<?php
/**
 * Plugin Name: beTube Ads
 * Plugin URI: http://joinwebs.com/
 * Description: This plugin is only for <strong>Betube Video WordPress Theme</strong>, 	which help you to run <strong>Video</strong>, <strong>HTML</strong>, <strong>Image banner ads</strong> before play videos.
 * Version: 1.0.3
 * Author: JoinWebs
 * Author URI: http://joinwebs.com/
 * Text Domain: betube-ads
 * @package betube
**/
?>
<?php 
// Load Ads Post Meta
define( 'BVA_VERSION', '1.0.3' );
define( 'BVA_PLUGIN', __FILE__ );
define( 'BVA_PLUGIN_BASENAME', plugin_basename( BVA_PLUGIN ) );
define( 'BVA_PLUGIN_NAME', trim( dirname( BVA_PLUGIN_BASENAME ), '/' ) );
define( 'BVA_PLUGIN_DIR', untrailingslashit( dirname( BVA_PLUGIN ) ) );
define( 'BVA_PLUGIN_INCLUDES_DIR', BVA_PLUGIN_DIR . '/includes/' );
define( 'BVA_PLUGIN_JS_DIR', plugin_dir_url( __FILE__ ).'js/' );
/*==========================
Call required files
===========================*/
require_once BVA_PLUGIN_INCLUDES_DIR . 'beads-post-type.php';
require_once BVA_PLUGIN_INCLUDES_DIR . 'betube-ads-meta.php';
require_once BVA_PLUGIN_INCLUDES_DIR . 'beads-post-meta.php';
/*==========================
betube-ads: Call Language
===========================*/
if ( ! function_exists( 'locations_beads_textdomain' ) ) {
	function locations_beads_textdomain() { 
		load_plugin_textdomain( 'betube-ads', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
	}
	add_action( 'plugins_loaded', 'locations_beads_textdomain' );
}
/*==========================
betube-ads: Load scripts for admin
===========================*/
if ( ! function_exists( 'betube_ads_backend_scripts' ) ) {
	add_action( 'admin_enqueue_scripts', 'betube_ads_backend_scripts' );
	function betube_ads_backend_scripts(){
		wp_enqueue_script('bva-admin', BVA_PLUGIN_JS_DIR . 'bva-admin.js', 'jquery', '', true);
	}
}
/*==========================
betube-ads: Load scripts at front-end
===========================*/
if ( ! function_exists( 'betube_adv_script' ) ) {
	function betube_adv_script() {
		wp_enqueue_script('bva', BVA_PLUGIN_JS_DIR . 'bva.js', 'jquery', '', true);
		
		wp_enqueue_style( 'bva', plugins_url( "css/bva.css", __FILE__ ));
	}
	add_action('wp_enqueue_scripts', 'betube_adv_script');
}
/*==========================
betube-ads: Video Filter
===========================*/
if ( ! function_exists( 'betube_adv_video_filter' ) ) {
	function betube_adv_video_filter($videoString){	
		if(preg_match("/youtu.be\/[a-z1-9.-_]+/", $videoString)) {
			preg_match("/youtu.be\/([a-z1-9.-_]+)/", $videoString, $matches);
			if(isset($matches[1])) {
				$url = 'https://www.youtube.com/embed/'.$matches[1];
			$finalVideoframe = '<iframe width="710" height="400" src="'.$url.'?autoplay=1&enablejsapi=1&mute=1" allow="autoplay src;" frameborder="0" allowfullscreen></iframe>';
			}
		}elseif(preg_match("/youtube.com(.+)v=([^&]+)/", $videoString)) {
			preg_match("/v=([^&]+)/", $videoString, $matches);
			if(isset($matches[1])) {
				$url = 'https://www.youtube.com/embed/'.$matches[1];
				$finalVideoframe = '<iframe width="710" height="400" src="'.$url.'?autoplay=1&enablejsapi=1&mute=1" allow="autoplay src" frameborder="0" allowfullscreen></iframe>';
			}
		}elseif(preg_match("#https?://(?:www\.)?vimeo\.com/(\w*/)*(([a-z]{0,2}-)?\d+)#", $videoString)) {
			preg_match("/vimeo.com\/([1-9.-_]+)/", $videoString, $matches);		
			if(isset($matches[1])) {
				$url = 'https://player.vimeo.com/video/'.$matches[1];
				$finalVideoframe = '<iframe width="710" height="400" src="'.$url.'" frameborder="0" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>';
			}
		}else{
			$finalVideoframe = $videoString;
		}
		return $finalVideoframe;
	}
}
/*==========================
betube-ads: Set Expiry Schedule
===========================*/
if ( ! function_exists( 'beads_ad_expiry_schedule' ) ) {
	add_action( 'wp', 'beads_ad_expiry_schedule' );
	function beads_ad_expiry_schedule() {
		if ( ! wp_next_scheduled( 'beads_ad_expiry_event' ) ) {
			wp_schedule_event( time(), 'hourly', 'beads_ad_expiry_event');
		}
	}
	add_action( 'beads_ad_expiry_event', 'betube_Ads_expiry' );
	function betube_Ads_expiry(){
	
		$argsallpost = array(
			'orderby'          => 'date',
			'order'            => 'DESC',
			'post_type'        => 'video-ads',
			'author_name'	   => '',
			'post_status'      => 'publish',
			'suppress_filters' => true 
		);
		$allPost = get_posts( $argsallpost );
		/*==========================
		betube-ads: Move to trash
		===========================*/
		foreach($allPost as $id){		
			$postID = $id->ID;
			$daystogo = get_post_meta($postID, 'bedatepicker', true);			
			global $wpdb;
			$sql ="UPDATE {$wpdb->posts}
			SET post_status = 'trash'
			WHERE (post_type = 'video-ads' AND ID = '$postID' AND post_status = 'publish')
			AND DATEDIFF(NOW(), post_date) > %d";		
			$wpdb->query($wpdb->prepare( $sql, $daystogo ));		
		}
	}
}
/*==========================
betube-ads: Frontend Play Function
===========================*/
if ( ! function_exists( 'beAds_By_ID_Input' ) ) {
	function beAds_By_ID_Input($randomID){	
		/*== Drop-down Value ==*/
		$adsdropdown = trim(get_post_meta($randomID, 'meta-box-dropdown', true));
		/*== Images ==*/
		$imageAdsURL = trim(get_post_meta($randomID, 'be-img-url', true));
		/*== HTML ==*/
		$htmlAds = get_post_meta($randomID, 'meta-html-code', true);
		/*== Video ==*/
		$videoAds = get_post_meta($randomID, 'meta-box-text', true);
		/*== Check Ads Type ==*/
		if($adsdropdown == 'image'){
			$beadsimgSrc = get_the_post_thumbnail($randomID, 'full', 'string');	
			$returnValue = '<a href='.$imageAdsURL.' target="_blank">'.$beadsimgSrc.'</a>';
		}elseif($adsdropdown == 'html'){
			$returnValue = "<div class='betube-html-content'>$htmlAds</div>";
		}elseif($adsdropdown == 'video'){			
			$returnValue = betube_adv_video_filter($videoAds);
		}
		return $returnValue;
	}
}
/*==========================
betube-ads: Get Video Random IDS
===========================*/
if ( ! function_exists( 'betube_Get_Random_IDS' ) ) {
	function betube_Get_Random_IDS(){
		$returnValue = "";
		$args = array(
			'posts_per_page'   => 1,
			'orderby'          => 'rand',
			'post_type'        => 'video-ads',
			'author_name'	   => '',
			'post_status'      => 'publish',
			'suppress_filters' => true 
		);
		$randomPost = get_posts( $args );
		if($randomPost){
			$randomID = $randomPost[0]->ID;
			$returnValue= beAds_By_ID_Input($randomID);
		}
		return $returnValue;
	}
}
?>