<?php
use Elementor\Plugin;
use Elementor\Controls_Manager;
class betube_movies_styles extends \Elementor\Widget_Base {
	public function get_name() {
		return 'betube-movies-styles';
	}
	public function get_title() {
		return esc_html__( 'Betube Movies', 'betube-elementor' );
	}
	public function get_icon() {
		return 'eicon-video-camera';
	}
	public function get_categories() {
		return [ 'betube' ];
	}
	protected function register_controls() {
		$this->start_controls_section(
			'setting_section',
			[
				'label' => __( 'Setting', 'betube-elementor' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control( 'layout_style', [
			'label'   => esc_html__( 'Section style', 'betube-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				'boxed'=> esc_html__( 'Boxed', 'betube-elementor' ),
				'wide'=> esc_html__( 'Wide', 'betube-elementor' ),
			],
			'default' => 'wide',
		] );
		$this->add_control(
            's_title',
            [
                'label' => __( 'Section title', 'betube-elementor' ),
                'type' => Controls_Manager::TEXT,
                'input_type' => 'text',
                'placeholder' => __( 'Enter your title', 'betube-elementore' ),
				'default' => 'Movies',
            ]
        );
		$this->add_control( 'orderby', [
			'label'   => esc_html__( 'Order by', 'betube-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				'title'=> esc_html__( 'Order by title', 'betube-elementor' ),
				'name'=> esc_html__( 'Order by name', 'betube-elementor' ),
				'date'=> esc_html__( 'Order by date', 'betube-elementor' ),
				'rand'=> esc_html__( 'Order by random', 'betube-elementor' ),
			],
			'default' => 'rand',
		] );
		$this->add_control( 'order', [
			'label'   => esc_html__( 'Order', 'betube-elementor' ),
			'type' => Controls_Manager::SELECT2,
			'options' => [
				'ASC'=> esc_html__( 'Order by ASC', 'betube-elementor' ),
				'DESC'=> esc_html__( 'Order by DESC', 'betube-elementor' ),
			],
			'default' => 'ASC',
		] );
		$this->add_control(
            'nop',
            [
                'label' => __( 'Number of posts', 'betube-elementor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'input_type' => 'text',
                'placeholder' => __( 'Enter a number', 'betube-elementore' ),
				'default' => '5',
            ]			
        );
		$this->add_control(
            'btntxt',
            [
                'label' => __( 'View Button', 'betube-elementor' ),
                'type' => Controls_Manager::TEXT,
                'input_type' => 'text',
                'placeholder' => __( 'Replace button text', 'betube-elementor' ),
				'default' => 'View All',
            ]
        );
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings_for_display();
		$atts = array(			
			'layout' => $settings['layout_style'],		
			'orderby' => $settings['orderby'],		
			'order' => $settings['order'],		
			'nop' => $settings['nop'],
			'btntxt' => $settings['btntxt'],
			's_title' => $settings['s_title'],
		);
		/***********************
		convert to vars
		**********************/			
		$sectionLayout = $settings['layout_style'];
		$orderby = $settings['orderby'];
		$order = $settings['order'];
		$nop = $settings['nop'];
		$sectionBtnTxt = $settings['btntxt'];
		$sectionTitle = $settings['s_title'];
		$args = array (
			'post_type' => 'movies',
			'post_status' => 'publish',
			'posts_per_page' => $nop,
			'order' => $order,
			'orderby' => $orderby,
		);
		global $redux_demo, $post;
		$betube_img_opti = true;
		$beTubedateFormat = get_option( 'date_format' );
		if (  class_exists( 'Redux' ) ) {   
		   $redux_demo = get_option( 'redux_demo' );
		   $betube_img_opti = $redux_demo['betube_img_opti'];
		}
		$btallMoviesURL = betube_get_template_url('template-all-movies.php');
		$blogSecQuery = new WP_Query($args);
		if ( $blogSecQuery->have_posts() ){
			?>
			<section class="btp_movies pb-3">
				<div class="container<?php if($sectionLayout == 'wide'){ echo "-fluid"; }?>">
					<div class="row">
						<div class="col-12">
							<div class="btp_section_head d-flex justify-content-between align-items-center mb-4">
								<h4 class="btp_section_head__title mb-0">
									<?php echo esc_html($sectionTitle); ?>
								</h4>
								<div class="btp_section_head__btns">
									<a href="<?php echo esc_url($btallMoviesURL); ?>" class="text-primary font-weight-bold mr-2 text-decoration-none">
										<?php echo esc_html($sectionBtnTxt); ?>
									</a>
									<button class="btp_carousel_btn rounded carousel__btn_prev d-none d-md-inline-flex btn-outline-primary btn btn-sm">
										<i class="fas fa-angle-<?php if(is_rtl()){ echo "right";}else{ echo "left";}?> btp_carousel_btn__icon"></i>
									</button>
									<button class="btp_carousel_btn rounded carousel__btn_next d-none d-md-inline-flex btn-outline-primary btn btn-sm">
										<i class="fas fa-angle-<?php if(is_rtl()){ echo "left"; }else{echo "right"; }?> btp_carousel_btn__icon"></i>
									</button>
								</div><!--btp_section_head__btns-->
							</div><!--btp_section_head-->
						</div><!--col-12-->
						<div class="col-12">
							<div class="swiper-container border-bottom" data-slides-per-view="6" data-space-between="15" data-loop="true" data-free-mode="true" data-click="false" data-center-xs-slide="false" data-spvxs="auto" data-spvsm="auto" data-spvmd="auto" data-spvlg="auto" data-spvxl="auto">
								<div class="swiper-wrapper border-bottom">
								<?php
								while ( $blogSecQuery->have_posts() ) : $blogSecQuery->the_post();
								$category = get_the_terms( $post->ID, 'movies_category' );
								$movies_year = get_post_meta($post->ID, 'movies_year', true);
								$movies_duration = get_post_meta($post->ID, 'movies_duration', true);				
								if($betube_img_opti == true){
									$thumbURL = betube_thumb_url($post->ID, 'betube-movies');
								}else{
									$thumbURL = betube_thumb_url($post->ID, 'full');
								}
								?>
								<div class="swiper-slide btp_movies__slide mb-4">
									<div class="card border-0 btp_movies_card bg-transparent">
										<?php if(!empty($thumbURL)){ ?>
										<a href="<?php the_permalink(); ?>">
											<img class="mb-2 btp_movies_card__img mb-2" src="<?php echo esc_url($thumbURL); ?>" alt="<?php echo get_the_title();?>">
										</a>
										<?php } ?>
										<?php if(!empty($category)){ ?>
										<small><?php echo esc_html($category[0]->name);?></small>
										<?php } ?>
										<h6 class="mb-1 text-truncate">
											<a href="<?php the_permalink(); ?>" class="btp_movies_card__title text-decoration-none">
												<?php echo get_the_title();?>
											</a>
										</h6>
										<small class="btp_movies_card__year">
											<?php esc_html_e('Year :', 'betube');?> <?php echo esc_html($movies_year);?>
										</small>
										<small class="mb-1 btp_movies_card__duration">
											<?php esc_html_e('Duration :', 'betube');?> <?php echo esc_html($movies_duration);?>
										</small>
										<a href="<?php the_permalink(); ?>" class="btn btn-sm btn-block btn-danger">
											<?php esc_html_e('Watch now', 'betube');?>
										</a>
									</div><!--card-->
								</div><!--swiper-slide-->
								<?php endwhile; ?>
								</div><!--swiper-wrapper-->
							</div><!--swiper-container-->
						</div><!--col-12-->
					</div><!--row-->
				</div><!--container-->
			</section>
		<?php
		}wp_reset_query();
	}
}