<?php
    /*==========================
    ReduxFramework Sample Config File
    For full documentation, please visit: http://docs.reduxframework.com/
	===========================*/   
    if ( ! class_exists( 'Redux' ) ) {
        return;
    }
    /*==========================
    This is your option name where all the Redux data is stored.
    ===========================*/
    $opt_name = "redux_demo";
    /*==========================
    This line is only for altering the demo. Can be easily removed.
    ===========================*/
    $opt_name = apply_filters( 'redux_demo/opt_name', $opt_name );
    /*==========================
    SET ARGUMENTS
    All the possible arguments for Redux.
    For full documentation on arguments, please refer to:
    https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
    ===========================*/
    /*==========================
    For use with some settings. Not necessary.
    ===========================*/
    $theme = wp_get_theme();
    $args = array(        
        'opt_name'             => $opt_name,        
        'display_name'         => $theme->get( 'Name' ),        
        'display_version'      => $theme->get( 'Version' ),
        'menu_type'            => 'menu',
        'allow_sub_menu'       => true,
        'menu_title'           => __( 'BeTube Options', 'betube' ),
        'page_title'           => __( 'BeTube Options', 'betube' ),
        'google_update_weekly' => false,
        'async_typography'     => false,
        //'disable_google_fonts_link' => true,
        'admin_bar'            => true,
        'admin_bar_icon'       => 'dashicons-portfolio',
        'admin_bar_priority'   => 50,
        'global_variable'      => '',
        'dev_mode'             => false,
        'update_notice'        => true,
        'customizer'           => true,
        'open_expanded'     => false,
        'disable_save_warn' => false,
        'page_priority'        => null,
        'page_parent'          => 'themes.php',
        'page_permissions'     => 'manage_options',
        'menu_icon'            => '',
        'last_tab'             => '',
        'page_icon'            => 'icon-themes',
        'page_slug'            => 'redux_demo',
        'save_defaults'        => true,
        'default_show'         => false,
        'default_mark'         => '',
        'show_import_export'   => true,
        'transient_time'       => 60 * MINUTE_IN_SECONDS,
        'output'               => true,
        'output_tag'           => true,
        // 'footer_credit'     => '',
        'database'             => '',
        'use_cdn'              => true,
        // HINTS
        'hints'                => array(
            'icon'          => 'el el-question-sign',
            'icon_position' => 'right',
            'icon_color'    => 'lightgray',
            'icon_size'     => 'normal',
            'tip_style'     => array(
                'color'   => 'red',
                'shadow'  => true,
                'rounded' => false,
                'style'   => '',
            ),
            'tip_position'  => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect'    => array(
                'show' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'mouseover',
                ),
                'hide' => array(
                    'effect'   => 'slide',
                    'duration' => '500',
                    'event'    => 'click mouseleave',
                ),
            ),
        )
    );
    /*==========================
    ADMIN BAR LINKS -> Setup custom links in the admin bar menu as external items.
    ===========================*/
    $args['admin_bar_links'][] = array(
        'id'    => 'betube-docs',
        'href'  => 'http://beetube.me/docs',
        'title' => __( 'Documentation', 'betube' ),
    );
    $args['admin_bar_links'][] = array(
        'id'    => 'betube-support',
        'href'  => 'https://joinwebs.com/support',
        'title' => __( 'Support', 'betube' ),
    );
    /*==========================
    SOCIAL ICONS -> Setup custom links in the footer for quick links in your panel footer icons.
    ===========================*/
   $args['share_icons'][] = array(
        'url'   => 'http://themeforest.net/user/joinwebs',
        'title' => 'Visit us on Themeforest',
        'icon'  => 'el el-tumblr',
        //'img' => ReduxFramework::$_url . 'assets/img/envato.png'
    );
    $args['share_icons'][] = array(
        'url'   => 'https://www.facebook.com/joinwebs',
        'title' => 'Like us on Facebook',
        'icon'  => 'el el-facebook'
    );
    $args['share_icons'][] = array(
        'url'   => 'http://twitter.com/joinwebs',
        'title' => 'Follow us on Twitter',
        'icon'  => 'el el-twitter'
    );
    $args['share_icons'][] = array(
        'url'   => 'http://www.linkedin.com/company/joinwebs',
        'title' => 'Find us on LinkedIn',
        'icon'  => 'el el-linkedin'
    );
    Redux::setArgs( $opt_name, $args );
    /*==========================
	betube: General Settings
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'General Settings', 'betube' ),
        'id'               => 'betube-general-settings',
        'desc'             => __( 'beTube general theme options settings', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el el-cog',
		'fields'           => array(
            array(
				'id'=>'betube-logo',
				'type' => 'media', 
				'url'=> true,
				'title' => __('Logo', 'betube'),
				'compiler' => true,
				'desc'=> __('Upload your logo.', 'betube'),
				'subtitle' => __('Upload your logo', 'betube'),
				'default'=>array('url'=>''),
			),
			array(
				'id'=>'betube-dashboard-logo',
				'type' => 'media', 
				'url'=> true,
				'title' => __('User dashboard logo', 'betube'),
				'compiler' => true,
				'desc'=> __('Upload logo for user dashboard.', 'betube'),
				'subtitle' => __('Upload your logo', 'betube'),
				'default'=>array('url'=>''),
			),
            array(
				'id'=>'betube-favicon',
				'type' => 'media', 
				'url'=> true,
				'title' => __('Favicon', 'betube'),
				'compiler' => 'true',
				'desc'=> __('Upload your favicon.', 'betube'),
				'subtitle' => __('Upload your favicon', 'betube'),
				'default'=>array('url'=>''),
			),
            array(
				'id' => 'backtotop',
				'type' => 'switch',
				'title' => __('Back to top button', 'betube'),
				'desc' => __('If you don&rsquo;t want to use back to top button then just turn OFF this', 'betube'),
				'subtitle' => __('Turn On/OFF back to top', 'betube'),
				'default' => false,
            ),        
            array(
				'id' => 'betube_img_opti',
				'type' => 'switch',
				'title' => __('Image Optimization', 'betube'),
				'subtitle' => __('On/OFF', 'betube'),
				'desc' => __('If you will turn OFF this option then we will use original image as a thumbnail which users have upload, But if you will turn ON this option then we will use small thumbnail image, And it will decrease your load time.', 'betube'),
				'default' => true,
            ),
            array(
				'id'=>'tags_limit',
				'type' => 'text',
				'title' => __('Tags cloud widget', 'betube'),
				'subtitle' => __('Number of tags in tag Cloud widget', 'betube'),
				'desc' => __('Put here a number. Example "16"', 'betube'),
				'default' => '15'
			),                       
            array(
				'id'=>'all-videos-page-counter',
				'type' => 'text',
				'title' => __('Number of Videos', 'betube'),
				'subtitle' => __('Number of video on all videos page', 'betube'),
				'desc' => __('How may videos you want to show on all video page? Put here a number. Ex:6', 'betube'),
				'default' => '9'
			),
            array(
				'id'=>'all-movies-page-counter',
				'type' => 'text',
				'title' => __('Number of Movies', 'betube'),
				'subtitle' => __('Number of movies on all movies page', 'betube'),
				'desc' => __('How many movies you want to show on all movies page? Put here a number. Ex:8', 'betube'),
				'default' => '8'
			), 
			array(
				'id' => 'betube-publish-post-notification',
				'type' => 'switch',
				'title' => __('Publish post', 'betube'),
				'desc' => __('If you want to send email notification to use on publish post then turn on this option. ', 'betube'),
				'subtitle' => __('Turn On/OFF back to top', 'betube'),
				'default' => false,
            ),
            array(
				'id' => 'betube-footer-on',
				'type' => 'switch',
				'title' => __('Footer widget area', 'betube'),
				'desc' => __('If you don&rsquo;t want to use widget in footer then turn off this.', 'betube'),
				'subtitle' => __('Footer widget ON/OFF', 'betube'),
				'default' => true,
            ),
            array(
				'id'=>'footer_copyright',
				'type' => 'text',
				'title' => __('Footer copyright text', 'betube'),
				'subtitle' => __('Replace text', 'betube'),
				'desc' => __('Replace copyright text', 'betube'),
				'default' => 'All copyrights reserved © 2020'
			),
            array(
				'id' => 'betube-loader-on',
				'type' => 'switch',
				'title' => __('Loader Image ON/OFF', 'betube'),
				'desc' => __('If you want to use loader then please turn on this option.', 'betube'),
				'subtitle' => __('Loader ON/OFF', 'betube'),
				'default' => false,
            ),
            array(
				'id'=>'betube-loader-img',
				'type' => 'media', 
				'url'=> true,
				'title' => __('Loader Image', 'betube'),
				'compiler' => 'true',
				'desc'=> __('Upload your Loader image.', 'betube'),
				'subtitle' => __('Loader image.', 'betube'),
				'default'=>array('url'=>''),
			),
            array(
                'id'       => 'betube-loader-bg',
                'type'     => 'color',                
                'title'    => __( 'Loader Background', 'betube' ),
                'subtitle' => __( 'Pick color for loader (default: #fff).', 'betube' ),
				'desc'     => __( 'This color will be shown on the loader background screen.', 'betube' ),
                'default'  => '#ffffff',
				'validate' => 'color',
            ),
            array(
				'id'=>'termsandcondition',
				'type' => 'text',
				'title' => __('Terms and conditions URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('This Link will be shown at registration page', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
            array(
				'id'=>'lawdataurl',
				'type' => 'text',
				'title' => __('Data protection law URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('This link will be shown at registration page', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
        )
    ) );
    /*==========================
	betube: Color Selection
	===========================*/
    Redux::setSection( $opt_name, array(
        'title' => __( 'Color Selection', 'betube' ),
        'id'    => 'color',
        'desc'  => __( 'Manage your website color, BeTube is based on Bootstrap 4.5, You can change Bootstrap default color from this section.', 'betube' ),
        'icon'  => 'el el-brush',
		'fields'     => array(
            array(
                'id'       => 'betube-color-title',
                'type'     => 'color',                
                'title'    => __( 'Site title color', 'betube' ),
                'subtitle' => __( 'Pick a title color for the Browser bar for Mobile only (default: #444).', 'betube' ),
				'desc'     => __( 'This Color will work for (meta tag: theme-color), its supported in Android Chrome', 'betube' ),
                'default'  => '#444',
				'validate' => 'color',
            ),
			array(
				'id'       => 'betube_body_color',
				'type'     => 'background',
				'title'    => __('Body Background', 'betube'),
				'subtitle' => __('Select image or color', 'betube'),
				'desc'     => __('If you want to display an image, don&rsquo;t select a color, just upload your image.', 'betube'),
				'default'  => array(
					'background-color' => '#ffffff',
					'background-image' => '',
					'background-repeat' => '',
					'background-position' => '',
					'background-size' => '',
					'background-attachment' => '',
				),			 
			),
			array(
                'id'       => 'betube_nav_bg',
                'type'     => 'color',
                'title'    => __( 'Navbar Background', 'betube' ),
                'subtitle' => __( 'Pick a Navbar background color (default: #f8f9fa).', 'betube' ),
                'default'  => '#f8f9fa',
                'validate' => 'color',
            ),
			array(
                'id'       => 'betube_nav_link_color',
                'type'     => 'link_color',
                'title'    => __( 'Navbar Link', 'betube' ),
                'subtitle' => __( 'Pick Navbar link color.', 'betube' ),
                'validate' => 'color',
                'default' => array(
					'regular' => '#000000',
					'hover' => '#000000',
					'active' => '#000000',
					'visited' => '#000000',
				),
            ),
            array(
                'id'       => 'betube-primary-color',
                'type'     => 'color',
                'title'    => __( 'Primary color', 'betube' ),
                'subtitle' => __( 'default: #dc3545.', 'betube' ),                
                'validate' => 'color',
				'default' => '#dc3545',
            ),
            array(
                'id'       => 'betube-secondary-color',
                'type'     => 'color',
                'title'    => __( 'Secondary color', 'betube' ),
                'subtitle' => __( 'Pick a secondary color (default: #6c757d).', 'betube' ),
                'validate' => 'color',
				'default' => '#6c757d',
            ),			
            array(
                'id'       => 'betube-success',
                'type'     => 'color',
                'title'    => __( 'Success color', 'betube' ),
                'subtitle' => __( 'Pick a Success color (default: #28a745).', 'betube' ),
                'validate' => 'color',
				'default' => '#28a745',
            ),
            array(
                'id'       => 'betube-danger',
                'type'     => 'color',
                'title'    => __( 'Danger color', 'betube' ),
                'subtitle' => __( 'Pick a danger color (default: #dc3545).', 'betube' ),
                'validate' => 'color',
				'default' => '#dc3545',
            ),
            array(
                'id'       => 'betube-warning',
                'type'     => 'color',
                'title'    => __( 'Warning color', 'betube' ),
                'subtitle' => __( 'Pick a warning color (default: #ffc107).', 'betube' ),
                'validate' => 'color',
				'default' => '#ffc107',
            ),
            array(
                'id'       => 'betube-info',
                'type'     => 'color',
                'title'    => __( 'Info color', 'betube' ),
                'subtitle' => __( 'Pick a info color (default: #17a2b8).', 'betube' ),
                'validate' => 'color',
				'default' => '#17a2b8',
            ),
            array(
                'id'       => 'betube-light',
                'type'     => 'color',
                'title'    => __( 'Light color', 'betube' ),
                'subtitle' => __( 'Pick a light color (default: #f8f9fa).', 'betube' ),
                'validate' => 'color',
				'default' => '#f8f9fa',
            ),
            array(
                'id'       => 'betube-dark',
                'type'     => 'color',
                'title'    => __( 'Dark color', 'betube' ),
                'subtitle' => __( 'Pick a dark color (default: #343a40).', 'betube' ),
                'validate' => 'color',
				'default' => '#343a40',
            ),
			array(
                'id'       => 'betube-border',
                'type'     => 'border',
                'title'    => __( 'Border color', 'betube' ),
                'desc' => __( 'Pick border color, This will work on all over the theme.', 'betube' ),
				'default' => array(
					'border-color' => '#dee2e6',
					'border-style' => 'solid',
					'border-top' => '1px',
					'border-right' => '1px',
					'border-bottom' => '1px',
					'border-left' => '1px',
				),
            ),
        )
    ) );
	/*==========================
	betube: Footer Color Selection
	===========================*/
	Redux::setSection( $opt_name, array(
        'title'            => __( 'Footer colors', 'betube' ),
        'id'               => 'btp_footer_color',
		'icon'             => 'el el-brush',
		'subsection' => true,
        'customizer_width' => '500px',        
		'desc'=> __('Set footer background and text colors', 'betube'),
        'fields'           => array(
			array(
                'id'       => 'btp_footer_bg',
                'type'     => 'color',
                'title'    => __( 'Footer background', 'betube' ),
                'subtitle' => __( 'Pick a footer background color (default: #FAFAFA).', 'betube' ),
                'validate' => 'color',
				'default' => '#FAFAFA',
            ),
			array(
                'id'       => 'btp_footer_heading',
                'type'     => 'color',
                'title'    => __( 'Footer heading', 'betube' ),
                'subtitle' => __( 'Pick a footer heading color (default: #232323).', 'betube' ),
                'validate' => 'color',
				'default' => '#232323',
            ),
			array(
                'id'       => 'btp_footer_text',
                'type'     => 'link_color',
                'title'    => __( 'Footer text', 'betube' ),
                'subtitle' => __( 'Pick footer text color.', 'betube' ),
                'validate' => 'color',
                'default' => array(
					'regular' => '#6c6c6c',
					'hover' => '#DC3545',
					'active' => false,
					'visited' => false,
				),
            ),
			array(
                'id'       => 'btp_footer_bottom_bg',
                'type'     => 'color',
                'title'    => __( 'Footer bottom background', 'betube' ),
                'subtitle' => __( 'Pick a footer bottom background color (default: #f0f0f0).', 'betube' ),
                'validate' => 'color',
				'default' => '#f0f0f0',
            ),
			array(
                'id'       => 'btp_footer_bottom_text',
                'type'     => 'link_color',
                'title'    => __( 'Footer bottom text', 'betube' ),
                'subtitle' => __( 'Pick footer bottom text color.', 'betube' ),
                'validate' => 'color',
                'default' => array(
					'regular' => '#6c6c6c',
					'hover' => '#DC3545',
					'active' => false,
					'visited' => false,
				),
            ),
		)
    ) );
    /*==========================
	betube: Typography
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'  => __( 'Typography', 'betube' ),
        'id'     => 'typography',
        'desc'   => __( 'Betube is based on Bootstrap 4.5. We are using Bootstrap typography settings, We recommend to use Bootstrap typography settings for better look. But you can change settings according to your need.', 'betube'),
        'icon'   => 'el el-font',
        'fields' => array(
            array(
                'id'       => 'body-font',
                'type'     => 'typography',
                'title'    => __( 'Body Font', 'betube' ),
                'subtitle' => __( 'Specify the body font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
                'units'   => 'rem',
				'output' => false,
                'default'  => array(
                    'color'       => '#8e8e8e',
                    'font-size'   => '1rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => 'Normal',
                    'font-style' => 'Normal',
					'visibility' => 'inherit'
                ),
            ), 
			array(
                'id'       => 'heding1-font',
                'type'     => 'typography',
                'title'    => __( 'Heading H1 Font', 'betube' ),
                'subtitle' => __( 'Specify the H1 font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
				'output' => false,
                'units' => 'rem',
                'default'  => array(
                    'color'       => '#444',
                    'font-size'   => '2.5rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => '500',
                    'font-style' => '500',
                    'visibility' => 'inherit'
                ),
            ),
			array(
                'id'       => 'heding2-font',
                'type'     => 'typography',
                'title'    => __( 'Heading H2 Font', 'betube' ),
                'subtitle' => __( 'Specify the H2 font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
				'output' => false,
                'units' => 'rem',
                'default'  => array(
                    'color'       => '#444',
                    'font-size'   => '2rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => '500',
                    'font-style' => '500',
                    'visibility' => 'inherit'
                ),
            ),
			array(
                'id'       => 'heding3-font',
                'type'     => 'typography',
                'title'    => __( 'Heading H3 Font', 'betube' ),
                'subtitle' => __( 'Specify the H3 font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
                'units' => 'rem',
				'output' => false,
                'default'  => array(
                    'color'       => '#444',
                    'font-size'   => '1.75rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => '500',
                    'font-style' => '500',
                    'visibility' => 'inherit'
                ),
            ),
			array(
                'id'       => 'heding4-font',
                'type'     => 'typography',
                'title'    => __( 'Heading H4 Font', 'betube' ),
                'subtitle' => __( 'Specify the H4 font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
                'units' => 'rem',
				'output' => false,
                'default'  => array(
                    'color'       => '#444',
                    'font-size'   => '1.5rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => '500',
                    'font-style' => '500',
                    'visibility' => 'inherit'
                ),
            ),
			array(
                'id'       => 'heding5-font',
                'type'     => 'typography',
                'title'    => __( 'Heading H5 Font', 'betube' ),
                'subtitle' => __( 'Specify the H5 font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
                'units' => 'rem',
				'output' => false,
                'default'  => array(
                    'color'       => '#444',
                    'font-size'   => '1.25rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => '500',
                    'font-style' => '500',
                    'visibility' => 'inherit'
                ),
            ),
			array(
                'id'       => 'heding6-font',
                'type'     => 'typography',
                'title'    => __( 'Heading H6 Font', 'betube' ),
                'subtitle' => __( 'Specify the H6 font properties.', 'betube' ),
                'google'   => true,
                'line-height'   => false,
                'units' => 'rem',
				'output' => false,
                'default'  => array(
                    'color'       => '#444',
                    'font-size'   => '1rem',
                    'font-family' => 'Open Sans',
                    'font-weight' => '500',
                    'font-style' => '500',
                    'visibility' => 'inherit'
                ),
            ),
        )
    ) );
    /*==========================
	betube: Categories Slider
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Categories', 'betube' ),
        'id'               => 'homecatslider',
        'desc'             => __( 'Categories Slider', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el el-list-alt',
		'fields'           => array(
            array(
				'id'=>'betube_cat_slider',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'hide_empty' => 0,
					'parent' => 0,
				),
				'multi'    => true,				
				'title' => __('Select Categories', 'betube'), 
				'subtitle' => __('Categories Slider', 'betube'),
				'desc' => __('Please select categories which you want to shown on Categories Slider', 'betube'),
				'default' => 1,
			),
			array(
				'id'=>'home-cat-counter',
				'type' => 'text',
				'title' => __('Number of Categories', 'betube'),
				'subtitle' => __('Number of Categories on homepage', 'betube'),
				'desc' => __('How may categories you want to show on home page? put here a number. Ex:6', 'betube'),
				'default' => '10'
			),
			array(
				'id' => 'betube_categories_desc',
				'type' => 'switch',
				'title' => __('Category description', 'betube'),
				'subtitle' => __('On category page', 'betube'),
				'desc' => __('If you want to shown category description on category page then turn ON this option', 'betube'),
				'default' => false,
            ),
        )
    ) );
    /*==========================
	betube: Movies Slider
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Movies Section', 'betube' ),
        'id'               => 'homemoviessection',
        'desc'             => __( 'You can manage movies section from here', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el el-film',
		'fields'           => array(
            array(
				'id'=>'movies-section-pcount',
				'type' => 'text',
				'title' => __('How many movies?', 'betube'),
				'subtitle' => __('Movies count', 'betube'),
				'desc' => __('How many movies you want to show on home page. Ex:6', 'betube'),
				'default' => '6'
			),
			array(
				'id'=>'betube_movies_order',
				'type' => 'radio',
				'title' => __('Movies section post order', 'betube'), 
				'subtitle' => __('Select Order', 'betube'),				
				'options' => array(
                    'title' => __('Order by title', 'betube'),
                    'name' => __('Order by name', 'betube'),
                    'date' => __('Order by date', 'betube'),
                    'rand' => __('Order by random', 'betube')
                ),
				'default' => 'title'
			),
            array(
				'id'=>'betube_movies_order_by',
				'type' => 'radio',
				'title' => __('Movies Post Order', 'betube'), 
				'subtitle' => __('Order', 'betube'),				
				'options' => array(
                    'ASC' => __('Order by ascending', 'betube'),
                    'DESC' => __('Order by Descending ', 'betube'),
                ),
				'default' => 'DESC'
			),
        )
    ) );
    /*==========================
	betube: Blogs
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Blog Section', 'betube' ),
        'id'               => 'homeblogsection',
        'desc'             => __( 'These settings will be only work when you are using blog section one homepage', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el el-book',
		'fields'           => array(            
            array(
				'id'=>'betube_blog_section_count',
				'type' => 'text',
				'title' => __('How many post', 'betube'),
				'subtitle' => __('Post count', 'betube'),
				'desc' => __('How many posts you want to shown in blog section on homepage?', 'betube'),
				'default' => '6'
			),
            array(
				'id'=>'betube_blog_section_post_order',
				'type' => 'radio',
				'title' => __('Blog section post order', 'betube'), 
				'subtitle' => __('Select Order', 'betube'),				
				'options' => array(
                    'title' => __('Order by title', 'betube'),
                    'name' => __('Order by name', 'betube'),
                    'date' => __('Order by date', 'betube'),
                    'rand' => __('Order by random', 'betube')
                ),
				'default' => 'title'
			),
            array(
				'id'=>'betube_blog_post_order',
				'type' => 'radio',
				'title' => __('Blog Post Order', 'betube'), 
				'subtitle' => __('Order', 'betube'),				
				'options' => array(
                    'ASC' => __('Order by ascending', 'betube'),
                    'DESC' => __('Order by Descending ', 'betube'),
                ),
				'default' => 'DESC'
			),
        )
    ) );
    /*==========================
	betube: Layout Manager
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Layout Manager', 'betube' ),
        'id'               => 'homelayoutmanager',
        'desc'             => __( 'Manage your homepage layout, If you want to disable any section just drag to "disable section".', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el el-align-justify',
		'fields'           => array(			
			array(
				'id'=>'betube_boxed',
				'type' => 'radio',
				'title' => __('Select Layout', 'betube'), 
				'subtitle' => __('Boxed or Wide', 'betube'),
				'desc' => __('Select theme layout which you want to use boxed or wide', 'betube'),
				'options' => array(
					'wide' => 'Wide',
					'boxed' => 'Boxed'
				),
				'default' => 'wide'
			),
			array(
				'id'=>'betube_single_layout',
				'type' => 'radio',
				'title' => __('Single post', 'betube'), 
				'subtitle' => __('Video or blog', 'betube'),
				'desc' => __('Single post details page you want to use for articles or video', 'betube'),
				'options' => array(
					'blog' => 'Article style',
					'video' => 'Video Style'
				),
				'default' => 'blog'
			),
			array(
				'id' => 'nav-sticky',
				'type' => 'switch',
				'title' => __('Navbar Sticky', 'betube'),
				'subtitle' => __('Navbar Sticky', 'betube'),
				'default' => true,
            ),
			array(
				'id' => 'upload_video_btn',
				'type' => 'switch',
				'title' => __('Upload Video/Sign In', 'betube'),
				'subtitle' => __('Hide/Show', 'betube'),
				'desc' => __('If you want to hide Sing-in & Upload Video button then Turn OFF this option ', 'betube'),
				'default' => true,
            ),
			array(
				'id'=>'betube_search_post_style',
				'type' => 'radio',
				'title' => __('Select post style', 'betube'), 
				'subtitle' => __('Post style on search page', 'betube'),
				'desc' => __('Select post style on search result page.', 'betube'),
				'options' => array(
					'grid' => 'Grid View',
					'list' => 'List View'
				),
				'default' => 'grid'
			),
			array(
				'id'=>'betube_latest_count',
				'type' => 'text',
				'title' => __('How many post', 'betube'),
				'subtitle' => __('Post count', 'betube'),
				'desc' => __('How many posts you want to shown in Latest video section on homepage?', 'betube'),
				'default' => '8'
			),
            array(
                'id'       => 'betube-landing-layout',
                'type'     => 'sorter',
                'title'    => __( 'Home layout manager', 'betube' ),
                'desc'    => __( 'Organize how you want the layout to appear on the homepage', 'betube' ),
                'compiler' => true,
                'options'  => array(
                    'disabled' => array(
                        'content'   => __( 'WP Editor', 'betube' ),
                        'banner1'   => __( 'Google/HTML Ads', 'betube' ),
                        'banner2'   => __( 'Google/HTML Ads 2', 'betube' ),
                        'banner3'   => __( 'Google/HTML Ads 3', 'betube' ),
                        'layerslider'   => __( 'LayerSlider', 'betube' ),
                        'catsposts'   => __( 'Categories Posts', 'betube' ),
                    ),
                    'enabled'  => array(                        
                        'videoslider'   => __( 'Video Slider', 'betube' ),
                        'categories'   => __( 'Categories', 'betube' ),
                        'trending'   => __( 'Trending/Featured Videos', 'betube' ),
                        'latest'   =>  __( 'Latest Videos', 'betube' ),
						'movies'   => __( 'Movies Slider', 'betube' ),
                        'blogs'   => __( 'Blogs', 'betube' ),
                    ),
                ),
            ),
        )
    ) );
	/*==========================
	betube: Home Categories
	===========================*/
	Redux::setSection( $opt_name, array(
        'title'            => __( 'Categories Posts', 'betube' ),
        'id'               => 'homesections',
        'customizer_width' => '500px',
        'icon'             => 'el el-home',
		'fields'     => array(
			array(
				'id' => 'landing-first-section-on',
				'type' => 'switch',
				'title' => __('Turn ON/OFF First Section', 'betube'),
				'subtitle' => __('Turn ON/OFF First Section on Home Page', 'betube'),
				'default' => false,
            ),
			array(
				'id'=>'landing-first-section-title',
				'type' => 'text',
				'title' => __('Landing Page First Section Title', 'betube'),			
				'desc' => __('Put Landing Page First Section Title, If you will leave empty then category name will be shown as a title.', 'betube'),
				'default' => 'Newest Videos'
			),			
			array(
				'id'=>'landing-first-section-category',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'order' => 'ASC',
					'hide_empty' => false,
				),
				'multi' => false,
				'title' => __('Landing Page First Section Category', 'betube'), 
				'subtitle' => __('Taxonomy Query Video Category', 'betube'),			
				'default' => '',
			),
			array(
				'id'=>'landing-first-section-pcount',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),			
				'desc' => __('How much Post You want to show in this section Put here a number. Example "5"', 'betube'),
				'default' => '6'
			),
			array(
				'id'=>'landing-first-section-order',
				'type' => 'radio',
				'title' => __('First Section Sort Order', 'betube'), 
				'subtitle' => __('Select Orderby', 'betube'),
				'desc' => __('Select First Section Sort Order', 'betube'),
				'options' => array('date' => 'Date', 'title' => 'Title', 'views' => 'Views', 'comment_count' => 'Comments', 'rand' => 'Random'),//Must provide key => value pairs for radio options			
				'default' => 'date'
			),
			array(
				'id'=>'landing-first-section-ad_code',
				'type' => 'textarea',
				'title' => __('Ads Code for First Section', 'betube'),
				'subtitle' => __('Ads Code', 'betube'),
				'desc' => __('Put your first section ads code', 'betube'),
				'default' => ''
			),
			//Second Section
			array(
				'id' => 'landing-second-section-on',
				'type' => 'switch',
				'title' => __('Turn ON/OFF Second Section', 'betube'),
				'subtitle' => __('Turn ON/OFF Second Section on Home Page', 'betube'),
				'default' => false,
            ),
			array(
				'id'=>'landing-second-section-title',
				'type' => 'text',
				'title' => __('Landing Page Second Section Title', 'betube'),			
				'desc' => __('Put Landing Page Second Section Title, If you will leave empty then category name will be shown as a title.', 'betube'),
				'default' => 'Most Viewed'
			),			
			array(
				'id'=>'landing-second-section-category',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'order' => 'ASC',
					'hide_empty' => false,
				),
				'multi' => false,
				'title' => __('Landing Page second Section Category', 'betube'), 
				'subtitle' => __('Taxonomy Query Video Category', 'betube'),			
				'default' => '',
			),
			array(
				'id'=>'landing-second-section-pcount',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),			
				'desc' => __('How much Post You want to show in this section Put here a number. Example "5"', 'betube'),
				'default' => '6'
			),
			array(
				'id'=>'landing-second-section-order',
				'type' => 'radio',
				'title' => __('second Section Sort Order', 'betube'), 
				'subtitle' => __('Select Orderby', 'betube'),
				'desc' => __('Select second Section Sort Order', 'betube'),
				'options' => array('date' => 'Date', 'title' => 'Title', 'views' => 'Views', 'comment_count' => 'Comments', 'rand' => 'Random'),//Must provide key => value pairs for radio options			
				'default' => 'date'
			),
			array(
				'id'=>'landing-second-section-ad_code',
				'type' => 'textarea',
				'title' => __('Ads Code for Second Section', 'betube'),
				'subtitle' => __('Ads Code', 'betube'),
				'desc' => __('Put your Second section ads code', 'betube'),
				'default' => ''
			),
			//Section third
			array(
				'id' => 'landing-third-section-on',
				'type' => 'switch',
				'title' => __('Turn ON/OFF third Section', 'betube'),
				'subtitle' => __('Turn ON/OFF third Section on Home Page', 'betube'),
				'default' => false,
            ),
			array(
				'id'=>'landing-third-section-title',
				'type' => 'text',
				'title' => __('Landing Page third Section Title', 'betube'),			
				'desc' => __('Put Landing Page third Section Title, If you will leave empty then category name will be shown as a title.', 'betube'),
				'default' => 'Most Liked'
			),			
			array(
				'id'=>'landing-third-section-category',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'order' => 'ASC',
					'hide_empty' => false,
				),
				'multi' => false,
				'title' => __('Landing Page third Section Category', 'betube'), 
				'subtitle' => __('Taxonomy Query Video Category', 'betube'),			
				'default' => '',
			),
			array(
				'id'=>'landing-third-section-pcount',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),			
				'desc' => __('How much Post You want to show in this section Put here a number. Example "5"', 'betube'),
				'default' => '12'
			),
			array(
				'id'=>'landing-third-section-order',
				'type' => 'radio',
				'title' => __('third Section Sort Order', 'betube'), 
				'subtitle' => __('Select Orderby', 'betube'),
				'desc' => __('Select third Section Sort Order', 'betube'),
				'options' => array('date' => 'Date', 'title' => 'Title', 'views' => 'Views', 'comment_count' => 'Comments', 'rand' => 'Random'),//Must provide key => value pairs for radio options			
				'default' => 'date'
			),
			array(
				'id'=>'landing-third-section-ad_code',
				'type' => 'textarea',
				'title' => __('Ads Code for Third Section', 'betube'),			
				'desc' => __('Put your Third section ads code', 'betube'),
				'default' => ''
			),
			//Section Fourth
			array(
				'id' => 'landing-fourth-section-on',
				'type' => 'switch',
				'title' => __('Turn ON/OFF fourth Section', 'betube'),
				'subtitle' => __('Turn ON/OFF fourth Section on Home Page', 'betube'),
				'default' => false,
            ),
			array(
				'id'=>'landing-fourth-section-title',
				'type' => 'text',
				'title' => __('Landing Page fourth Section Title', 'betube'),			
				'desc' => __('Put Landing Page fourth Section Title, If you will leave empty then category name will be shown as a title.', 'betube'),
				'default' => 'Fourth Title'
			),			
			array(
				'id'=>'landing-fourth-section-category',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'order' => 'ASC',
					'hide_empty' => false,
				),
				'multi' => false,
				'title' => __('Landing Page fourth Section Category', 'betube'), 
				'subtitle' => __('Taxonomy Query Video Category', 'betube'),			
				'default' => '',
			),
			array(
				'id'=>'landing-fourth-section-pcount',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),			
				'desc' => __('How much Post You want to show in this section Put here a number. Example "5"', 'betube'),
				'default' => '4'
			),
			array(
				'id'=>'landing-fourth-section-order',
				'type' => 'radio',
				'title' => __('fourth Section Sort Order', 'betube'), 
				'subtitle' => __('Select Orderby', 'betube'),
				'desc' => __('Select fourth Section Sort Order', 'betube'),
				'options' => array('date' => 'Date', 'title' => 'Title', 'views' => 'Views', 'comment_count' => 'Comments', 'rand' => 'Random'),//Must provide key => value pairs for radio options			
				'default' => 'date'
			),
			array(
				'id'=>'landing-fourth-section-ad_code',
				'type' => 'textarea',
				'title' => __('Ads Code for fourth Section', 'betube'),			
				'desc' => __('Put your fourth section ads code', 'betube'),
				'default' => ''
			),
			///Five Section
			array(
				'id' => 'landing-five-section-on',
				'type' => 'switch',
				'title' => __('Turn ON/OFF five Section', 'betube'),
				'subtitle' => __('Turn ON/OFF five Section on Home Page', 'betube'),
				'default' => false,
            ),
			array(
				'id'=>'landing-five-section-title',
				'type' => 'text',
				'title' => __('Landing Page five Section Title', 'betube'),			
				'desc' => __('Put Landing Page five Section Title, If you will leave empty then category name will be shown as a title.', 'betube'),
				'default' => 'five Title'
			),			
			array(
				'id'=>'landing-five-section-category',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'order' => 'ASC',
					'hide_empty' => false,
				),
				'multi' => false,
				'title' => __('Landing Page five Section Category', 'betube'), 
				'subtitle' => __('Taxonomy Query Video Category', 'betube'),			
				'default' => '',
			),
			array(
				'id'=>'landing-five-section-pcount',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),
				'subtitle' => __('Post Count', 'betube'),
				'desc' => __('How much Post You want to show in this section Put here a number. Example "5"', 'betube'),
				'default' => '2'
			),
			array(
				'id'=>'landing-five-section-order',
				'type' => 'radio',
				'title' => __('five Section Sort Order', 'betube'), 
				'subtitle' => __('Select Orderby', 'betube'),
				'desc' => __('Select five Section Sort Order', 'betube'),
				'options' => array('date' => 'Date', 'title' => 'Title', 'views' => 'Views', 'comment_count' => 'Comments', 'rand' => 'Random'),//Must provide key => value pairs for radio options			
				'default' => 'date'
			),
			array(
				'id'=>'landing-five-section-ad_code',
				'type' => 'textarea',
				'title' => __('Ads Code for Five Section', 'betube'),			
				'desc' => __('Put your Five section ads code', 'betube'),
				'default' => ''
			),
		)
    ) );
    /*==========================
	betube: Post Slider
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Video Carousel', 'betube' ),
        'id'               => 'verticalslider',
        'desc'             => __( 'Manage video slider at homepage.', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el-icon-video',
		'fields'           => array(
            array(
				'id' => 'betube-vertical-slider-cat',
				'type' => 'select',
				'data' => 'categories',
				'multi' => true,
				'args' => array(
					'orderby' => 'name',
					'hide_empty' => 0,
					'parent' => 0,
				),
				'title' => __('Video slider category', 'betube'),
				'subtitle' => __('Vertical slider category', 'betube'), 
				'desc' => __('From Which Category you want to show Post on home page vertical slider', 'betube'),
				'default' => '1'
            ),
            array(
				'id'=>'betube-vertical-slider-count',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),
				'subtitle' => __('Put a Number', 'betube'),
				'desc' => __('How much post you want to shown on Vertical Slider? Put here a number. Example "16"', 'betube'),
				'default' => '10'
			),
			array(
				'id' => 'betube-vertical-slider',
				'type' => 'switch',
				'title' => __('Auto Play', 'betube'),
				'subtitle' => __('Turn ON/OFF auto slide play for video slider.', 'betube'),
				'default' => false,
            ),
        )
    ) );
    /*==========================
	betube: Featured Post Slider
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Featured/Trending carousel', 'betube' ),
        'id'               => 'featured-carousel',
        'desc'             => __( 'Manage featured/trending video slider at homepage.', 'betube' ),
        'customizer_width' => '500px',
        'icon'             => 'el-icon-video',
		'fields'           => array(
            array(
				'id' => 'featured-caton',
				'type' => 'switch',
				'title' => __('Featured category ON/OFF', 'betube'),
				'subtitle' => __('Video shown from featured category.', 'betube'),
				'desc' => __('If You will turn OFF this option then trending videos from all category will be shown on carousel slider', 'betube'),
				'default' => false,
            ),
            array(
				'id' => 'featured-cat',
				'type' => 'select',				
				'data' => 'categories',
				'multi' => true,
				'args' => array(
					'orderby' => 'name',
					'hide_empty' => 0,
					'parent' => 0,
				),
				'title' => __('Featured categories', 'betube'),
				'subtitle' => __('Select categories', 'betube'), 
				'desc' => __('Select categories from where you want to show videos on featured carousel.', 'betube'),
				'default' => '',
            ),
            array(
				'id'=>'featured-counter',
				'type' => 'text',
				'title' => __('Number of Posts', 'betube'),
				'subtitle' => __('Enter a number', 'betube'),
				'desc' => __('How many posts you want to show on featured/trending slider, Enter here a number. Ex:8', 'betube'),
				'default' => '6'
			),
        )
    ) );
    /*==========================
	betube: Single Video
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Single Video', 'betube' ),
        'id'               => 'submitvideo',
        'customizer_width' => '500px',
        'icon'             => 'el-icon-video',
		'fields'     => array(
            array(
				'id' => 'betube-post-moderation-on',
				'type' => 'switch',
				'title' => __('Post moderation ON/OFF', 'betube'),
				'subtitle' => __('Turn ON/OFF', 'betube'),
				'desc' => __('If you will turn on post moderation then all new post will be goes on pending status.', 'betube'),
				'default' => true,
            ), 
			array(
				'id'=>'betube_exclude_categories',
				'type' => 'select',
				'data' => 'categories',
				'args' => array(
					'orderby' => 'name',
					'hide_empty' => 0,
				),
				'multi'    => true,				
				'title' => __('Select Categories to hide from users', 'betube'), 
				'subtitle' => __('Exclude from normal user', 'betube'),
				'desc' => __('Please select categories which you wish to hide from normal user from front-end video posting.', 'betube'),
				'default' => '',
			),
            array(
				'id' => 'betube-floting-video',
				'type' => 'switch',
				'title' => __('Scrolling Video', 'betube'),
				'subtitle' => __('Turn ON/OFF', 'betube'),
				'desc' => __('One Small Box shown when you scroll page on single video page, If you want to remove that then please turn OFF this option', 'betube'),
				'default' => true,
            ),
			array(
				'id' => 'betube_download_btn',
				'type' => 'switch',
				'title' => __('Download button', 'betube'),
				'subtitle' => __('Turn ON/OFF', 'betube'),
				'desc' => __('With self hosted videos there is one download button on single video page. If you want to remove that button then turn OFF this option.', 'betube'),
				'default' => true,
            ),
            array(
				'id' => 'betube-plugin-adv',
				'type' => 'switch',
				'title' => __('Video Plugin Ads', 'betube'),
				'subtitle' => __('Turn ON/OFF', 'betube'),
				'desc' => __('Turn ON this option if you are using ads from Betube Ads plugin', 'betube'),
				'default' => false,
            ),
            array(
				'id' => 'betube_embed_self_video',
				'type' => 'switch',
				'title' => __('Allow embed', 'betube'),
				'subtitle' => __('Embed hosted video', 'betube'),
				'desc' => __('You want to allow your self hosted video to embed on other websites or not.', 'betube'),
				'default' => false,
            ),
            array(
				'id' => 'betube-custom-uploading',
				'type' => 'switch',
				'title' => __('Upload Video File', 'betube'),
				'subtitle' => __('Allow user to upload video file', 'betube'),
				'desc' => __('If you will turn ON this option then user can upload mp4 video and also can upload images. If you don&rsquo;t want to allow mp4 video then user can only post video link from YouTube, Vimeo etc.', 'betube'),
				'default' => false,
            ),
            array(
				'id'=>'betube-default-player',
				'type' => 'radio',
				'title' => __('Select default player', 'betube'), 
				'subtitle' => __('Flowplayer, MediaElement', 'betube'),
				'desc' => __('Select default player for self hosted(MP4) video', 'betube'),				
				'options'  => array(
                    '1' => 'WordPress Player',
                    '2' => 'FlowPlayer',                    
                ),
				'default' => '2',
			),
			array(
				'id'=>'betube_upload_size',
				'type' => 'text',
				'title' => __('Video Size', 'betube'),
				'subtitle' => __('Enter value in KB', 'betube'),
				'desc' => __('Here you can enter video size limit in KB', 'betube'),
				'default' => '50'
			),
			array(
				'id'=>'betube_related_position',
				'type' => 'button_set',
				'title' => __('Select Position', 'betube'), 
				'subtitle' => __('Below content or sidebar', 'betube'),
				'desc' => __('Where you want to show related video.', 'betube'),				
				'options'  => array(
                    'content' => 'Below Content',
                    'sidebar' => 'In sidebar',                    
                ),
				'default' => 'content',
			),
			array(
				'id'=>'betube_related_version',
				'type' => 'radio',
				'title' => __('Select default player', 'betube'), 
				'subtitle' => __('Flowplayer, MediaElement', 'betube'),
				'desc' => __('Select default player for self hosted(MP4) video', 'betube'),				
				'options'  => array(
                    '1' => 'Without thumbnail',
                    '2' => 'Small thumbnail',                    
                    '3' => 'Large Thumbnail',                    
                ),
				'default' => '2',
				'required' => array( 'betube_related_position', '=', 'sidebar' )
			),
			array(
				'id'=>'betube_related_video_count',
				'type' => 'text',
				'title' => __('How many related videos', 'betube'),
				'subtitle' => __('Related videos count', 'betube'),
				'desc' => __('How many related videos you want to shown on single video page enter a number', 'betube'),
				'default' => '3'
			),			
        )
    ) );
    /*==========================
	betube: Advertisements
	===========================*/
    Redux::setSection( $opt_name, array(
        'title'            => __( 'Advertisements', 'betube' ),
        'id'               => 'advertisements',        
        'icon'             => 'el el-bullhorn',        
        'customizer_width' => '500px',
        'desc'             => __('Please Paste your HTML code for banner or Google AdSense code', 'betube'),
        'fields'           => array(
			array(
				'id'=>'betube_home_adv',
				'type' => 'textarea',
				'title' => __('Ads Code for HomePage', 'betube'),
				'subtitle' => __('Put Ads Code here', 'betube'),
				'desc' => __('Enter your home Page first ad box code.', 'betube'),
				'default' => ''
			),
			array(
				'id'=>'betube_home_adv_2',
				'type' => 'textarea',
				'title' => __('Ads Code for HomePage', 'betube'),
				'subtitle' => __('Put Ads Code here', 'betube'),
				'desc' => __('Enter your home Page second ad box code.', 'betube'),
				'default' => ''
			),
			array(
				'id'=>'betube_home_adv_3',
				'type' => 'textarea',
				'title' => __('Ads Code for HomePage', 'betube'),
				'subtitle' => __('Put Ads Code here', 'betube'),
				'desc' => __('Enter your home Page Third ad box code.', 'betube'),
				'default' => ''
			),			
			array(
				'id'=>'betube-google-ads-for-category-page',
				'type' => 'textarea',
				'title' => __('Ads Code for Category page', 'betube'),
				'subtitle' => __('Put Ads Code here', 'betube'),
				'desc' => __('Put your Ads Code for Category page', 'betube'),
				'default' => ''
			),
			array(
				'id'=>'betube-google-ads-for-all-video-page',
				'type' => 'textarea',
				'title' => __('Ads Code for All Videos Page', 'betube'),
				'subtitle' => __('Put Ads Code here', 'betube'),
				'desc' => __('Put your Ads Code for All Videos Page', 'betube'),
				'default' => ''
			),
		)
    ) );	
    /*==========================
	betube: Social Links
	===========================*/
    Redux::setSection( $opt_name, array(
        'title' => __( 'Social Media', 'betube' ),
        'id'    => 'social-links',
        'desc'  => __( 'Manage social media links here', 'betube' ),
        'icon'  => 'el el-glasses',
		'fields' => array(
			array(
				'id'=>'facebook-link',
				'type' => 'text',
				'title' => __('Facebook page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Facebook page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'twitter-link',
				'type' => 'text',
				'title' => __('Twitter page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Twitter page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'dribbble-link',
				'type' => 'text',
				'title' => __('Dribbble page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Dribbble page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'flickr-link',
				'type' => 'text',
				'title' => __('Flickr page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Flickr page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),			
			array(
				'id'=>'pinterest-link',
				'type' => 'text',
				'title' => __('Pinterest page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Pinterest Page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'youtube-link',
				'type' => 'text',
				'title' => __('YouTube page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('YouTube page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),			
			array(
				'id'=>'linkedin-link',
				'type' => 'text',
				'title' => __('LinkedIn page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('LinkedIn page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'instagram-link',
				'type' => 'text',
				'title' => __('Instagram page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Instagram page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'vimeo-link',
				'type' => 'text',
				'title' => __('Vimeo page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Vimeo page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_tumblr',
				'type' => 'text',
				'title' => __('Tumblr page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Tumblr page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_vk',
				'type' => 'text',
				'title' => __('VK page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('VK page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_soundcloud',
				'type' => 'text',
				'title' => __('Soundcloud page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Soundcloud page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_behance',
				'type' => 'text',
				'title' => __('Behance page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Behance page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_digg',
				'type' => 'text',
				'title' => __('Digg page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Digg page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_lastfm',
				'type' => 'text',
				'title' => __('Lastfm page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Lastfm page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_odnoklassniki',
				'type' => 'text',
				'title' => __('odnoklassniki page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('odnoklassniki page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_vine',
				'type' => 'text',
				'title' => __('Vine page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Vine page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),
			array(
				'id'=>'betube_yelp',
				'type' => 'text',
				'title' => __('Yelp page URL', 'betube'),
				'subtitle' => __('This must be an URL.', 'betube'),
				'desc' => __('Yelp page URL', 'betube'),
				'validate' => 'url',
				'default' => ''
			),			
		)
    ) );
    /*==========================
	betube: Facebook API
	===========================*/
    Redux::setSection( $opt_name, array(
        'title' => __( 'Facebook Settings', 'betube' ),
        'icon'  => 'el el-facebook',
        'id'    => 'facebook-section',
        'desc'  => __( 'Facebook Settings', 'betube' ),        
        'fields' => array(
			array(
				'id' => 'betube-facebook-meta-on',
				'type' => 'switch',
				'title' => __('Facebook meta', 'betube'),
				'subtitle' => __('Turn ON/OFF Facebook meta', 'betube'),
				'default' => true,
			),			
			array(
				'id'=>'betubefbappid',
				'type' => 'text',
				'title' => __('Facebook APP ID', 'betube'),
				'subtitle' => __('Facebook APP ID', 'betube'),
				'desc' => __('Facebook APP ID', 'betube'),
				'default' => ''
			),
			array(
				'id'=>'betube-play-on-facebook',
				'type' => 'switch',
				'title' => __('Play On Facebook', 'betube'),
				'subtitle' => __('Play On Facebook', 'betube'),
				'desc' => __('Would you like to play video on Facebook?', 'betube'),
				'default' => true,
			),			
		)
    ) );
    /*==========================
	betube: Contact Us
	===========================*/
    Redux::setSection( $opt_name, array(
        'title' => __( 'Contact Page', 'betube' ),
        'icon'  => 'el el-envelope',
        'id'    => 'contact-page',
        'desc'  => __( 'Contact Page Settings', 'betube' ),        
        'fields' => array(
			array(
				'id' => 'contact-map',
				'type' => 'switch',
				'title' => __('Google MAP', 'betube'),
				'desc' => __('Turn ON/OFF Google MAP from contact page', 'betube'),
				'default' => true,
			),
			array(
                'id'=>'contact-email',
                'type' => 'text',
                'title' => __('Your email address', 'betube'),
                'subtitle' => __('This must be an email address.', 'betube'),
                'desc' => __('Your email address', 'betube'),
                'validate' => 'email',
                'default' => ''
			),
            array(
                'id'=>'betube_google_api',
                'type' => 'text',
                'title' => __('Google API key', 'betube'),
                'subtitle' => __('Enter Google API Key', 'betube'),
                'desc' => __('Enter your Google API Key here to run Google MAP. If you don&rsquo;t know how to get API key Please Visit  <a href="http://www.tthemes.com/get-google-api-key/" target="_blank">Google API Key</a>', 'betube'),
                'default' => ''
			),
			array(
                'id'=>'btp_latlong',
                'type' => 'info',
                'title' => __('Get your Latitude & Longitude', 'betube'),
                'style' => 'info',                
                'desc' => 'If you don&rsquo;t know your latitude & longitude then <a href="https://www.latlong.net/" target="_blank">Click here</a> to get your latitude and longitude values.'
			),
            array(
                'id'=>'contact-latitude',
                'type' => 'text',
                'title' => __('Latitude', 'betube'),
                'subtitle' => __('Latitude', 'betube'),
                'desc' => __('Latitude', 'betube'),
                'default' => '31.516370'
			),

            array(
                'id'=>'contact-longitude',
                'type' => 'text',
                'title' => __('Longitude', 'betube'),
                'subtitle' => __('Longitude', 'betube'),
                'desc' => __('Longitude', 'betube'),
                'default' => '74.258727'
			),

            array(
                'id'=>'contact-zoom',
                'type' => 'text',
                'title' => __('Zoom level', 'betube'),
                'subtitle' => __('Zoom level', 'betube'),
                'desc' => __('Zoom level', 'betube'),
                'default' => '16'
			),
            array(
                'id'=>'contact-address',
                'type' => 'text',
                'title' => __('Office address', 'betube'),
                'subtitle' => __('Enter office Address', 'betube'),
                'desc' => __('Contact page office address', 'betube'),
                'default' => '1063 Freelon Street San Francisco, CA 95108'
			),	
            array(
                'id'=>'contact-phone',
                'type' => 'text',
                'title' => __('Phone number', 'betube'),
                'subtitle' => __('Enter phone number', 'betube'),
                'desc' => __('Contact page phone number', 'betube'),
                'default' => '021.343.7575'
			),	
            array(
                'id'=>'contact-mobile',
                'type' => 'text',
                'title' => __('Mobile number', 'betube'),
                'subtitle' => __('Contact page', 'betube'),
                'desc' => __('Contact page mobile number', 'betube'),
                'default' => '021.343.7576'
			),
		)
    ) );
	/*==========================
	betube: Header/Code
	===========================*/
	Redux::setSection( $opt_name, array(
        'title' => __( 'Header/Footer Code', 'betube' ),
        'icon'  => 'el el-cog',
        'id'    => 'betube_header_footer_code',
        'desc'  => __( 'Enter your Header/Footer custom code', 'betube' ),        
        'fields' => array(
			array(
                'id'=>'betube_head_code',
                'type' => 'textarea',
                'title' => __('Head code', 'betube'),
                'subtitle' => __('Enter your code', 'betube'),
                'desc' => __('Enter your code which you want to display between <head> tag, Like any custom meta tags', 'betube'),
                'default' => ''
			),			
			array(
                'id'=>'betube_footer_code',
                'type' => 'textarea',
                'title' => __('Footer code', 'betube'),
                'subtitle' => __('Enter your code', 'betube'),
                'desc' => __('Enter your code which you want to display in footer Like Google Analytic code', 'betube'),
                'default' => ''
			),
		)
    ) );
    /*==========================
	betube: Remove Redux demo mode
	===========================*/
    if ( function_exists( 'remove_demo' ) ) {
		add_action( 'redux/loaded', 'remove_demo' );
	}