<?php
if (!function_exists('betubepro_scripts_styles')){
	function betubepro_scripts_styles() {
		global $redux_demo;	
		$googleApiKey = '';
		if(isset($redux_demo)){			
			$googleApiKey = $redux_demo['betube_google_api'];
		}
		
		/*==========================
		Load JS Files.
		===========================*/
		wp_enqueue_script('jquery');
		wp_enqueue_script('popper', get_template_directory_uri() . '/js/popper.min.js', 'jquery', '', true);
		wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', 'jquery', '', true);
		wp_enqueue_script('jquery.validate.min', get_template_directory_uri() . '/js/jquery.validate.min.js', 'jquery', '', true);
		wp_enqueue_script('swiper.min', get_template_directory_uri() . '/js/swiper.min.js', 'jquery', '', true);
		wp_enqueue_script('betube.bundle', get_template_directory_uri() . '/js/betube.bundle.js', 'jquery', '', true);
		wp_enqueue_script('bootstrap-dropdownhover', get_template_directory_uri() . '/js/bootstrap-dropdownhover.js', 'jquery', '', true);
		wp_enqueue_script('jquery-mobile-mega-menu-min', get_template_directory_uri() . '/js/jquery-mobile-mega-menu-min.js', 'jquery', '', true);
		wp_enqueue_script('modernizr-custom', get_template_directory_uri() . '/js/modernizr-custom.js', 'jquery', '', true);
		if(is_page_template('template-submit-video.php') || is_page_template('template-edit-video.php')){
			wp_enqueue_script('dropzone', get_template_directory_uri() . '/js/dropzone.js', 'jquery', '', true);
		}
		wp_enqueue_script('betube', get_template_directory_uri() . '/js/betube.js', 'jquery', '', true);
		/*==========================
		Define Global Variables
		===========================*/
		if ( is_user_logged_in() ) {
			$current_user = wp_get_current_user();
			$user_ID = $current_user->ID;
		}else{
			$user_ID = '';
		}
		if ( function_exists( 'beetube_current_page' ) ) {
			$redirectURL = beetube_current_page();
		}else{
			$redirectURL = home_url();
		}
		wp_localize_script( 'betube', 'btpro', array( 
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			'home_url' => home_url(),
			'imgdir' => get_template_directory_uri(),
			'current_user_ID' => $user_ID,
			'redirectURL' => $redirectURL,
		));
		/*==========================
		Define Global Variables
		===========================*/
		/*==========================
		Adds JavaScript to pages with the comment form to support sites with
		threaded comments (when in use)
		===========================*/	
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ){
			wp_enqueue_script( 'comment-reply' );
		}
		if(!empty($googleApiKey) && is_page_template('template-contact.php')){
			wp_enqueue_script( 'google-map', 'https://maps.googleapis.com/maps/api/js?key='.$googleApiKey.'&language='.$mapLang.'&libraries=places&v=3.exp', array( 'jquery' ), false, false );
		}		
		/*==========================
		Load BeTubePro CSS
		===========================*/
		if(is_rtl()){
			wp_enqueue_style( 'bootstrap-rtl', get_template_directory_uri() . '/css/bootstrap-rtl.css', array(), '1' );
		}else{
			wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css', array(), '1' );
		}
		wp_enqueue_style( 'swiper.min', get_template_directory_uri() . '/css/swiper.min.css', array(), '1' );
		wp_enqueue_style( 'bootstrap-dropdownhover.min', get_template_directory_uri() . '/css/bootstrap-dropdownhover.min.css', array(), '1' );
		wp_enqueue_style( 'jquery-mobile-mega-menu-min', get_template_directory_uri() . '/css/jquery-mobile-mega-menu-min.css', array(), '1' );
		wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/fontawesome.css', array(), '1' );
		wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css', array(), '1' );
		wp_enqueue_style( 'betube', get_template_directory_uri() . '/css/betube.css', array(), '1' );			
		wp_enqueue_style( 'ie', get_template_directory_uri() . '/css/ie.css', array(), '1' );
		wp_enqueue_style( 'responsive', get_template_directory_uri() . '/css/responsive.css', array(), '1' );
		if(is_page_template('template-submit-video.php') || is_page_template('template-edit-video.php')){
			wp_enqueue_style( 'dropzone', get_template_directory_uri() . '/css/dropzone.css', array(), '1' );
		}
	}
}
/*==========================
 beTube : Admin Styles
 @since 1.0
 ===========================*/
if (!function_exists('betube_admin_style')){
	function betube_admin_style() {
	  wp_enqueue_style('betube-admin', get_template_directory_uri().'/css/betube-admin.css');
	  wp_enqueue_script('betube_admin', get_template_directory_uri() . '/js/betube_admin.js', 'jquery', '', true);
	}
	add_action('admin_enqueue_scripts', 'betube_admin_style');
}
/*==========================
 beTube : Single Post Styles
 @since 1.0
 ===========================*/
if (!function_exists('betube_prepare_scripts')){
	add_action('the_post', 'betube_prepare_scripts', 10);
	function betube_prepare_scripts($query) {
		if(is_admin()){
			return false;
		}
		if ( is_single()) {
			global $post;
			$code = trim(get_post_meta($post->ID, 'jtheme_video_file', true));
			if(has_shortcode($code, 'jplayer')){
				wp_enqueue_script('jquery-jplayer');
			}			
			$library = apply_filters( 'wp_video_shortcode_library', 'mediaelement' );	
			if(has_shortcode($code, 'video') && 'mediaelement' === $library && did_action( 'init' ) ) {
				wp_enqueue_style( 'wp-mediaelement' );
				wp_enqueue_script( 'wp-mediaelement' );
			}
		}
	}
}