<?php
if (!function_exists('betubepro_required_plugins')){
	function betubepro_required_plugins(){
		/*==========================
		* Array of plugin arrays. Required keys are name, slug and required.
		* If the source is NOT from the .org repo, then source is also required.
		===========================*/
		$plugins = array(
			/*==========================
			Redux Framework
			===========================*/
			array(            
				'name' => esc_html__( 'Redux Framework', 'betube' ),
				'slug' => 'redux-framework',
				'required' => true,
				'force_activation' => false,
				'force_deactivation' => false
			),
			/*==========================
			betube Helper
			===========================*/		
			array(            
				'name' => esc_html__( 'BetubePro Helper', 'betube' ),
				'slug' => 'betubepro-helper',
				'required' => true,
				'version' => '1.0',
				'force_activation' => false,
				'force_deactivation' => false,
				'source' => 'https://s3.amazonaws.com/joinwebs/plugins/betubepro-helper.zip',
			),
			/*==========================
			One Click Demo Import
			===========================*/		
			array(            
				'name' => esc_html__( 'One Click Demo Import', 'betube' ),
				'slug' => 'one-click-demo-import',
				'required' => false,				
				'force_activation' => false,
				'force_deactivation' => false,				
			),
			/*==========================
			LayerSlider
			===========================*/
			array(            
				'name' => esc_html__( 'LayerSlider', 'betube' ),
				'slug' => 'LayerSlider',
				'required' => false,
				'version' => '6.8.2',
				'force_activation' => false,
				'force_deactivation' => false,
				'source' => 'https://s3.amazonaws.com/joinwebs/plugins/LayerSlider.zip',
			),
			/*==========================
			Video Thumbnail
			===========================*/
			array(
				'name' => esc_html__( 'Video Thumbnails', 'betube' ),
				'slug' => 'video-thumbnails',            
				'required' => false,            
				'force_activation' => false,
				'force_deactivation' => false
			),
			/*==========================
			FV Flowplayer Video Player
			===========================*/	
			array(
				'name' => esc_html__( 'FV Flowplayer Video Player', 'betube' ),
				'slug' => 'fv-wordpress-flowplayer',            
				'required' => true,            
				'force_activation' => false,
				'force_deactivation' => false
			),
			/*==========================
			AccessPress Social Login Lite
			===========================*/	
			array(
				'name' => esc_html__( 'AccessPress Social Login Lite', 'betube' ),
				'slug' => 'accesspress-social-login-lite',
				'required' => false,
				'force_activation' => false,
				'force_deactivation' => false
			),
			/*==========================
			AccessPress Social Share
			===========================*/
			array(
				'name' => esc_html__( 'AccessPress Social Share', 'betube' ),
				'slug' => 'accesspress-social-share',
				'required' => false,
				'force_activation' => false,
				'force_deactivation' => false
			),
			/*==========================
			BetubePro Ads
			===========================*/		
			array(            
				'name' => esc_html__( 'BeTube Ads', 'betube' ),
				'slug' => 'betube-ads',
				'required' => true,
				'version' => '1.0.1',
				'force_activation' => false,
				'force_deactivation' => false,
				'source' => 'https://s3.amazonaws.com/joinwebs/plugins/betube-ads.zip',
			),
			/*==========================
			BetubePro YouTube Importer
			===========================*/		
			array(            
				'name' => esc_html__( 'BetubePro YouTube Importer', 'betube' ),
				'slug' => 'betube-youtube-importer',
				'required' => true,
				'version' => '1.0.2',
				'force_activation' => false,
				'force_deactivation' => false,
				'source' => 'https://s3.amazonaws.com/joinwebs/plugins/betube-youtube-importer.zip',
			),
			/*==========================
			BetubePro Dailymotion Importer
			===========================*/		
			array(            
				'name' => esc_html__( 'BeTube Dailymotion Importer', 'betube' ),
				'slug' => 'dailymotion_auto_post',
				'required' => true,
				'version' => '1.1',
				'force_activation' => false,
				'force_deactivation' => false,
				'source' => 'https://s3.amazonaws.com/joinwebs/plugins/dailymotion_auto_post.zip',
			),
		);		
		$config = array(
			'id'           => 'betube',
			'default_path' => '',
			'menu'         => 'install-required-plugins',
			'has_notices'  => true,
			'dismissable'  => true,
			'dismiss_msg'  => '',
			'is_automatic' => false,
			'message'      => '',
		);
		if ( function_exists( 'tgmpa' ) ){
			tgmpa( $plugins, $config );
		}
	}
}