<?php 
if ( ! function_exists( 'betubepro_theme_support' ) ){
	function betubepro_theme_support() {
		global $redux_demo;
		$betube_img_opti = true;
		if(isset($redux_demo)){
			$betube_img_opti = $redux_demo['betube_img_opti'];
		}
		/*==========================
		Add Theme support
		===========================*/
		add_theme_support( 'woocommerce' );
		add_theme_support( 'custom-background' );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );		
		add_theme_support( 'html5', 
			array( 
				'comment-list', 
				'comment-form', 
				'search-form', 
				'gallery', 
				'caption',
				'script', // Fix for: The "type" attribute is unnecessary for JavaScript resources.
            	'style',  // Fix for: The "type" attribute for the "style" element is not needed and should be omitted.				
			) 
		);		
		add_theme_support( 'post-formats',		
			array(
				'image',
				'video',
				'audio',
			)
		);
		if( ! isset( $content_width )){
			$content_width = 1200;
		}
		/*==========================
		beTube : Default thumbnail size
		===========================*/
		set_post_thumbnail_size(850, 500, true);
		if($betube_img_opti == true){
			add_image_size( 'betube-fslider', 310, 200, true );
			add_image_size( 'slider', 750, 500, true );
			add_image_size( 'betube-movies', 231, 225, false );
			add_image_size( 'betube-thumbnail', 350, 200, false );
			add_image_size( 'betube-blog', 450, 250, false );
		}
		add_action('wp_head', 'betube_track_post_views');
		add_action('wp_enqueue_scripts', 'betubepro_scripts_styles');
		add_action('admin_enqueue_scripts', 'betubepro_admin_scripts' );
		require get_template_directory() . '/assets/register-menu.php';
		require get_template_directory() . '/assets/register-sidebar.php';
		require get_template_directory() . '/assets/colors.php';
		require get_template_directory() . '/assets/class-wp-bootstrap-navwalker.php';
		/*==Include the TGM_Plugin_Activation class==*/    
		require_once get_template_directory() . '/assets/class-tgm-plugin-activation.php';
		add_action( 'tgmpa_register', 'betubepro_required_plugins');
		add_action( 'widgets_init', 'betubepro_widgets_init' );		
		/*==========================
		beTube : Update category fields
		===========================*/	
		add_action( 'edited_category', 'betube_update_my_category_fields', 10, 2 );  
		add_action( 'edit_category', 'betube_update_my_category_fields', 10, 2 );  
		add_action( 'create_category', 'betube_update_my_category_fields', 10, 2 );
		
	}
	add_action( 'after_setup_theme', 'betubepro_theme_support' );
}