<?php
/**
 * The template for displaying Author bio
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube
 */

global $authorID, $redux_demo;
$author = get_user_by( 'slug', get_query_var( 'author_name' ) ); 
$authorID = $author->ID;
$user_info = get_userdata($authorID);
if ( is_user_logged_in() ) {
	$current_user = wp_get_current_user();
	$current_userID = $current_user->ID;
} 
$betube_img_opti = false;
$betube_boxed= 'boxed';
if(isset($redux_demo)){
	$betube_img_opti = $redux_demo['betube_img_opti'];
	$betube_boxed = $redux_demo['betube_boxed'];
}
$beTubedateFormat = get_option( 'date_format' );
$authorEmail = get_the_author_meta( 'user_email', $authorID );
$authorAvatarURL = get_user_meta($authorID, "betube_author_avatar_url", true);
$authorAvatarURL = betube_get_image_url($authorAvatarURL);
if(empty($authorAvatarURL)){
	$authorAvatarURL = betube_get_avatar_url($authorEmail, $size = '150' );
}
if(isset($_POST['unfollow'])){
	$author_id = sanitize_text_field($_POST['author_id']);
	$follower_id = sanitize_text_field($_POST['follower_id']);
	echo betube_authors_unfollow($author_id, $follower_id);	
}
if(isset($_POST['follower'])){
	$author_id = sanitize_text_field($_POST['author_id']);
	$follower_id = sanitize_text_field($_POST['follower_id']);
	echo betube_authors_insert($author_id, $follower_id);	
}
get_header();
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_author_meta('display_name', $authorID); ?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'pages' ) ) {echo "col-lg-8 col-xl-9";}else{ echo "col-12"; }?>">
				<!-- user profile -->
				<div class="user_profile border-bottom mb-3 pb-4">
                    <div class="media align-items-center flex-column flex-sm-row text-center text-sm-left">
                        <img class="img-thumbnail rounded-circle mr-sm-5 mb-3 mb-sm-0" src="<?php echo esc_url($authorAvatarURL);?>" alt="user profile">
                        <div class="media-body">
                            <h4><?php echo get_the_author_meta('display_name', $authorID); ?></h4>
                            <p><?php echo wpautop(get_the_author_meta('description', $authorID)); ?></p>
                            <span>
							<?php if(function_exists('betubeFollowerCount')){
								echo betubeFollowerCount($authorID);
							}
							?>
							&nbsp;<?php esc_html_e('Followers ', 'betube' ); ?>
							</span>
                            <div class="ml-3 d-inline-block">
                               <?php
								if ( is_user_logged_in() ) {
									if($authorID != $current_userID){
										betube_authors_follower_check($authorID, $current_userID);
									}
								?>
								<?php }else{ ?>
								<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#btp_login">
									<i class="fas fa-user-plus"></i>
									<?php esc_html_e( 'Follow', 'betube' ); ?>
								</button>
								<?php } ?>
                            </div>
                        </div><!--media-body-->
                    </div><!--media-->
                </div>
				<!-- user profile -->
				<!--user info-->
				<div class="user_info">
					<ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="pills-videos-tab" data-toggle="pill" href="#pills-videos" role="tab" aria-controls="pills-videos" aria-selected="true"><?php esc_html_e('Videos ', 'betube' ); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-followers-tab" data-toggle="pill" href="#pills-followers" role="tab" aria-controls="pills-followers" aria-selected="false"><?php esc_html_e('Followers ', 'betube' ); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-about-tab" data-toggle="pill" href="#pills-about" role="tab" aria-controls="pills-about" aria-selected="false"><?php esc_html_e('About ', 'betube' ); ?></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="pills-contact-tab" data-toggle="pill" href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false"><?php esc_html_e('Contact ', 'betube' ); ?></a>
                        </li>
                    </ul>
					<div class="tab-content" id="pills-tabContent">
						<div class="tab-pane fade mb-5 mb-lg-0 show active" id="pills-videos" role="tabpanel" aria-labelledby="pills-videos-tab">
							<!-- posts -->
							<div class="btp_lt_posts__container btp_lt_posts__container_box d-grid align-items-center justify-content-start border-0">
							<?php
							$args = array(
								'post_type' => 'post',
								'posts_per_page' => 12,
								'author' => $authorID,
							);
							$authorposts = get_posts($args);
							if($authorposts){
								foreach ( $authorposts as $post ){
									setup_postdata( $post );									
									if($betube_img_opti == true){
										$thumbURL = betube_thumb_url($post->ID, 'betube-thumbnail');
									}else{
										$thumbURL = betube_thumb_url($post->ID, 'full');
									}									
									$post_time = get_post_meta($post->ID, 'post_time', true);
									$post_quality = get_post_meta($post->ID, 'post_quality', true);
									?>
								<div class="card btp_post_card btp_post_card_lt w-32 border-0 bg-transparent mr-1 mb-4">
									<div class="btp_post_card__top mb-2">
										<?php if(!empty($thumbURL)){ ?>
										<img class="btp_post_card__img" src="<?php echo esc_url($thumbURL);?>" alt="<?php echo get_the_title();?>">
										<?php } ?>
										<div class="card-img-overlay d-flex align-items-end justify-content-end">
											<div class="badge badge-dark rounded-0 mr-1">
												<?php echo esc_html($post_quality);?>
											</div>
											<div class="badge badge-dark rounded-0">
												<?php echo esc_html($post_time);?>
											</div>
										</div>
										<a href="<?php the_permalink(); ?>" class="btp_post_card__img_hover position-absolute d-flex text-decoration-none align-items-center justify-content-center">
											<i class="fas fa-play btp_post_card__img_hover_icon"></i>
										</a>
									</div><!--btp_post_card__top-->
									<h6 class="text-truncate">
										<a href="<?php the_permalink(); ?>" class="btp_post_card__title text-decoration-none">
											<?php echo get_the_title(); ?>
										</a>
									</h6>
									<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="small btp_post_card__author text-decoration-none">
										<span class="btp_post_card__author_text">
										<?php the_author(); ?>
										</span>
										<i class="btp_post_card__author_icon fas fa-check-circle ml-1"></i>
									</a>
									<p class="mb-0">
										<small class="mr-2"><?php echo betube_get_post_views($post->ID); ?>&nbsp;<?php esc_html_e('views', 'betube');?></small>
										<small><?php echo get_the_date($beTubedateFormat, $post->ID); ?></small>
									</p>
								</div><!--card-->
									<?php
								}
							}
							?>
							</div>
						</div><!--tab-pane-->
						<div class="tab-pane fade mb-5 mb-lg-0" id="pills-followers" role="tabpanel" aria-labelledby="pills-followers-tab">
							<!-- followers -->
							<div class="btp_user_follow">
								<?php
								$followerIDS = null;
								if(function_exists('betubeAllFollowers')){
									$followerIDS = betubeAllFollowers($authorID);
								}
								if($followerIDS){
								?>
								<h5 class="mb-4"><?php esc_html_e('Followers', 'betube');?></h5>
								<div class="btp_user_follow_row d-flex align-items-center justify-content-start flex-wrap">
									<?php
									foreach($followerIDS as $followerID){
										$followerAvtURL = get_user_meta($followerID, "betube_author_avatar_url", true);
										$followerAvtURL = betube_get_image_url($followerAvtURL);
										if(empty($followerAvtURL)){
											$followerEmail = get_the_author_meta('user_email', $followerID);
											$followerAvtURL = betube_get_avatar_url($followerEmail, $size = '150' );
										}
									?>
									<div class="btp_user_follow_col text-center mb-4">
										<a href="<?php echo get_author_posts_url($followerID); ?>">
											<img class="mb-2 img-thumbnail" src="<?php echo esc_url($followerAvtURL);?>" alt="<?php echo get_the_author_meta('display_name', $followerID); ?>">
										</a>
										<h6 class="font-weight-normal"><a href="<?php echo get_author_posts_url($followerID); ?>"><?php echo get_the_author_meta('display_name', $followerID); ?></a></h6>
										<?php
										if ( is_user_logged_in() && function_exists('betube_authors_follower_check')) {
											if($followerID != $current_userID){
												betube_authors_follower_check($followerID, $current_userID);
											}
										?>
										<?php }else{ ?>
										<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#btp_login">
											<i class="fas fa-user-plus"></i>
											<?php esc_html_e( 'Follow', 'betube' ); ?>
										</button>
										<?php } ?>
									</div>
									<?php } ?>
								</div>
								<?php }else{ ?>
								<h5 class="mb-3"><?php esc_html_e( 'Sorry there are no followers.', 'betube' ); ?></h5>
								<?php } ?>
							</div>
							<!-- followers -->
							<!-- following -->
							<div class="btp_user_follow">
								<?php
								$followingIDS = null;
								if(function_exists('betubeAllFollowing')){
									$followingIDS = betubeAllFollowing($authorID);
								}
								if($followingIDS){
								?>
								<h5 class="mb-4"><?php esc_html_e('Following', 'betube');?></h5>
								<div class="btp_user_follow_row d-flex align-items-center justify-content-start flex-wrap">
								<?php
									foreach($followingIDS as $followingID){
										$followingAvtURL = get_user_meta($followingID, "betube_author_avatar_url", true);
										$followingAvtURL = betube_get_image_url($followingAvtURL);
										if(empty($followingAvtURL)){
											$followingEmail = get_the_author_meta('user_email', $followingID);
											$followingAvtURL = betube_get_avatar_url($followingEmail, $size = '150' );
										}
									?>
									<div class="btp_user_follow_col text-center mb-4">
										<a href="<?php echo get_author_posts_url($followingID); ?>">
											<img class="mb-2 img-thumbnail" src="<?php echo esc_url($followerAvtURL);?>" alt="<?php echo get_the_author_meta('display_name', $followingID); ?>">
										</a>
										<h6 class="font-weight-normal"><a href="<?php echo get_author_posts_url($followingID); ?>"><?php echo get_the_author_meta('display_name', $followingID); ?></a></h6>
										<?php
										if ( is_user_logged_in() && function_exists('betube_authors_follower_check')) {
											if($followingID != $current_userID){
												betube_authors_follower_check($followingID, $current_userID);
											}
										?>
										<?php }else{ ?>
										<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#btp_login">
											<i class="fas fa-user-plus"></i>
											<?php esc_html_e( 'Follow', 'betube' ); ?>
										</button>
										<?php } ?>
									</div>
									<?php } ?>
								</div><!--btp_user_follow_row-->
								<?php } ?>
							</div>							
							<!-- following -->
						</div><!--tab-pane-->
						<div class="tab-pane fade mb-5 mb-lg-0" id="pills-about" role="tabpanel" aria-labelledby="pills-about-tab">
							<div class="btp_user_about">
								<h5 class="mb-4"><?php esc_html_e( 'About', 'betube' ); ?></h5>
								<p class="mb-4">
								<?php echo wpautop(get_the_author_meta('description', $authorID)); ?>
								</p>
								<p>
                                    <a href="<?php the_author_meta('user_url', $authorID); ?>" class="d-inline-flex align-items-center">
                                        <i class="fas fa-link mr-2"></i>
                                        <?php the_author_meta('user_url', $authorID); ?>
                                    </a>
                                </p>
								<p>
                                    <a href="mailto:<?php echo sanitize_email($authorEmail); ?>" class="d-inline-flex align-items-center">
                                        <i class="fas fa-envelope mr-2"></i>
                                        <?php echo sanitize_email($authorEmail); ?>
                                    </a>
                                </p>
								<p>
                                    <a href="+tel:<?php the_author_meta('phone', $authorID); ?>" class="d-inline-flex align-items-center">
                                        <i class="fas fa-phone mr-2"></i>
                                        <?php the_author_meta('phone', $authorID); ?>
                                    </a>
                                </p>
								<div class="mini_footer__btns">
								<?php 
									$authorFB = $user_info->facebook;
									$authorTW = $user_info->twitter;
									$authorPin = $user_info->pinterest;
									$authorLin = $user_info->linkedin;
									$authorYoutube = $user_info->youtube;
									$authorVimeo = $user_info->vimeo;
									$authorInstagram = $user_info->instagram;
								?>	
									<?php if($authorFB){?>
										<a href="<?php echo esc_url($authorFB); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-facebook-f"></i>
										</a>
									<?php } ?>
									<?php if($authorTW){?>
										<a href="<?php echo esc_url($authorTW); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-twitter"></i>
										</a>
									<?php } ?>
									<?php if($authorPin){?>	
										<a href="<?php echo esc_url($authorPin); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-pinterest-p"></i>
										</a>
									<?php } ?>
									<?php if($authorLin){?>	
										<a href="<?php echo esc_url($authorLin); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-linkedin"></i>
										</a>
									<?php } ?>
									<?php if($authorYoutube){?>	
										<a href="<?php echo esc_url($authorYoutube); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-youtube"></i>
										</a>
									<?php } ?>
									<?php if($authorVimeo){?>	
										<a href="<?php echo esc_url($authorVimeo); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-vimeo"></i>
										</a>
									<?php } ?>
									<?php if($authorInstagram){?>	
										<a href="<?php echo esc_url($authorInstagram); ?>" class="btn btn-sm btn_btp_footer">
											<i class="fab fa-instagram"></i>
										</a>
									<?php } ?>
								</div>
							</div><!--btp_user_about-->
						</div><!--tab-pane-->
						<div class="tab-pane fade mb-5 mb-lg-0" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">
							<div class="btp_user_contact">
								<h5 class="mb-3"><?php esc_html_e( 'We&rsquo;d Love to hear from you!', 'betube' ); ?></h5>
								<form method="post">
									<div class="form-group">
                                        <label for="contactName"><?php esc_html_e( 'Name', 'betube' ); ?></label>
                                        <input type="text" name="contactName" class="form-control " id="contactName" aria-describedby="name" placeholder="<?php esc_attr_e( 'Enter your name', 'betube' ); ?>">
                                    </div><!--form-group-->
									<div class="form-group">
                                        <label for="contactEmail"><?php esc_html_e( 'Email', 'betube' ); ?></label>
                                        <input type="email" name="contactEmail" class="form-control " id="contactEmail" aria-describedby="email" placeholder="<?php esc_attr_e( 'Enter your email', 'betube' ); ?>">
                                    </div><!--form-group-->
									<div class="form-group">
                                        <label for="contactSubject"><?php esc_html_e( 'Subject', 'betube' ); ?></label>
                                        <input type="text" name="contactSubject" class="form-control" id="contactSubject" aria-describedby="emailHelp" placeholder="<?php esc_attr_e( 'Enter your subject', 'betube' ); ?>">
                                    </div><!--form-group-->
									<div class="form-group">
                                        <label for="contactMessage"><?php esc_html_e( 'Message', 'betube' ); ?></label>
                                        <textarea name="message" cols="30" rows="5" class="form-control" id="contactMessage" placeholder="<?php esc_attr_e( 'type your message..!', 'betube' ); ?>"></textarea>
                                    </div><!--form-group-->
									<div class="form-group">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="termsCondition">
                                            <label class="custom-control-label" for="termsCondition"><?php esc_html_e( 'Agreed to terms &amp; Condition', 'betube' ); ?></label>
                                        </div>
                                    </div><!--form-group-->
									<div class="form-group">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="gdpr">
                                            <label class="custom-control-label" for="gdpr"><?php esc_html_e( 'Agreed to GDPR update me Via email regarding my account', 'betube' ); ?></label>
                                        </div><!--custom-control-->
                                    </div><!--form-group-->
									<button type="submit" class="btn btn-danger btn-block"><?php esc_html_e( 'Send now', 'betube' ); ?></button>
								</form>
							</div><!--btp_user_contact-->
						</div><!--tab-pane-->
					</div><!--tab-content-->
				</div>
				<!--user info-->
			</div><!--col-lg-8-->
			<?php if ( is_active_sidebar( 'pages' ) ) { ?>
			<div class="col-lg-4 col-xl-3">
				<div class="btp_sidebar">
					<?php dynamic_sidebar('pages'); ?>
				</div><!--btp_sidebar-->
			</div><!--col-lg-4-->
			<?php } ?>
		</div><!--row-->
	</div><!--container-->
</section>
<?php get_footer(); ?>