<?php
/**
 * The template for displaying Category pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */
?>
<?php get_header(); ?>
<?php
global $redux_demo, $current_user, $current_user_ID, $current_user_email, $current_user_name, $paged, $wp_query;
$beTubedateFormat = get_option( 'date_format' );
$betube_img_opti = true;
$betube_categories_desc = false;
$betube_boxed= 'boxed';
$betube_categoryAdv= '';
if(isset($redux_demo)){
	$betube_img_opti = $redux_demo['betube_img_opti'];
	$betube_boxed = $redux_demo['betube_boxed'];
	$betube_categories_desc = $redux_demo['betube_categories_desc'];
	$betube_categoryAdv = $redux_demo['betube-google-ads-for-category-page'];
}
/*==========================
Here we will collect 
logged in user data
===========================*/
if ( is_user_logged_in() ) {	
	$current_user = wp_get_current_user(); 
	$current_user_ID = $current_user->ID;
	$current_user_email = $current_user->user_email;
	$current_user_name = $current_user->display_name;
	if(empty($current_user_name)){
		$current_user_name = $current_user->user_login;
	}
}
$current_catID = get_queried_object_id();
$this_category = get_category($current_catID);
$count = $this_category->category_count;
$current_catName = get_cat_name( $current_catID );
$allowed_html = array(
	'ul' => array(
		'class' => array(),
	),
	'li' => array(
		'class' => array(),
	),
	'i' => array(
		'class' => array(),
	),
	'span' => array(
		'class' => array(),
	),
	'a' => array(
		'href' => array(),
		'title' => array(),
		'class' => array(),
	),
);
?>
<!-- breadcrumb -->
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<?php
					if ($this_category->parent != 0) {
						$delimiter   = '&nbsp;';
						$cats = get_category_parents($this_category->parent, TRUE, $delimiter);
						$cats = str_replace('<a', '<li class="breadcrumb-item"><a class="breadcrumb-link"', $cats);
						echo wp_kses($cats, $allowed_html);
					}else{
					?>
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<?php } ?>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo esc_html($current_catName);?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<!-- breadcrumb -->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'category' ) ) {echo "col-lg-8 col-xl-9";}else{ echo "col-12"; }?>">
				<h4 class="mb-4">
					<?php echo esc_html($current_catName);?>
				</h4>
				<?php if($betube_categories_desc == true){
					echo category_description($current_catID);
				}?>
				<div class="btp_lt_posts__container btp_lt_posts__container_box d-grid align-items-center justify-content-start border-0">
					<?php
					if ( !empty ( $args['paged'] ) && 0 == $paged ) {
						$wp_query->set('paged', $args['paged']);
						$paged = $args['paged'];
					}
					$args = array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'posts_per_page' => 10,
						'paged' => $paged,
						'cat' => $current_catID
					);
					while ($wp_query->have_posts()) : $wp_query->the_post();					
					if($betube_img_opti == true){
						$thumbURL = betube_thumb_url($post->ID, 'betube-fslider');
					}else{
						$thumbURL = betube_thumb_url($post->ID, 'full');
					}
					
					$post_time = get_post_meta($post->ID, 'post_time', true);
					$post_quality = get_post_meta($post->ID, 'post_quality', true);
					?>
					<div class="card btp_post_card btp_post_card_lt border-0 bg-transparent mr-1 mb-4">
						<div class="btp_post_card__top mb-2">
							<?php if(!empty($thumbURL)){ ?>
							<img class="btp_post_card__img" src="<?php echo esc_url($thumbURL);?>" alt="<?php echo get_the_title();?>">
							<?php } ?>
							<div class="card-img-overlay d-flex align-items-end justify-content-end">
								<div class="badge badge-dark rounded-0 mr-1">
									<?php echo esc_html($post_quality);?>
								</div>
								<div class="badge badge-dark rounded-0">
									<?php echo esc_html($post_time);?>
								</div>
							</div>
							<a href="<?php the_permalink(); ?>" class="btp_post_card__img_hover position-absolute d-flex text-decoration-none align-items-center justify-content-center">
								<i class="fas fa-play btp_post_card__img_hover_icon"></i>
							</a>
						</div><!--btp_post_card__top-->
						<h6 class="text-truncate">
							<a href="<?php the_permalink(); ?>" class="btp_post_card__title text-decoration-none">
								<?php echo get_the_title(); ?>
							</a>
						</h6>
						<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="small btp_post_card__author text-decoration-none">
							<span class="btp_post_card__author_text">
							<?php the_author(); ?>
							</span>
							<i class="btp_post_card__author_icon fas fa-check-circle ml-1"></i>
						</a>
						<p class="mb-0">
							<small class="mr-2"><?php echo betube_get_post_views($post->ID); ?>&nbsp;<?php esc_html_e('views', 'betube');?></small>
							<small><?php echo get_the_date($beTubedateFormat, $post->ID); ?></small>
						</p>
					</div><!--card-->
					<?php
					endwhile;
					?>
				</div><!--btp_lt_posts__container-->
				<!-- pagination -->
				<?php
				the_posts_pagination(
					array(
						'mid_size'  => 2,
						'prev_text' => __( 'Back', 'betube' ),
						'next_text' => __( 'Onward', 'betube' ),
					)
				);
				wp_reset_query();
				?>
				<!-- pagination -->
				<?php if(!empty($betube_categoryAdv)){?>
				<section class="btp_img_advertisement mt-4">
					<div class="container-fluid">
						<div class="row">
							<div class="col">
								<div class="text-center">					
									<?php 
									if(function_exists('betube_escape')) {
										echo betube_escape($betube_categoryAdv);
									}
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<?php } ?>
			</div><!--col-8-->
			<?php if ( is_active_sidebar( 'category' ) ) { ?>
			<div class="col-lg-4 col-xl-3">
				<div class="btp_sidebar">
					<?php dynamic_sidebar( 'category' ); ?>
				</div>
			</div><!--col-4-->
			<?php } ?>
		</div><!--row-->
	</div><!--container-->
</section><!--btp_inner_page-->
<?php get_footer(); ?>