<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "container" div.
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */
?>
<!DOCTYPE html>
<!--[if lt IE 7]><html class="no-js lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]><html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]><html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]--><!--[if gt IE 8]><!-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html class="no-js" <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<?php
global $redux_demo;
$beTubeLoaderOn = false;
$beTubeFacebookTags = false;
$upload_video_btn = true;
$betubeLoaderIMG = '';
$betube_head_code = '';
$betube_boxed= 'boxed';
if(isset($redux_demo)){
	$btLogo = $redux_demo['betube-logo']['url'];
	$beTubeLoaderOn = $redux_demo['betube-loader-on'];	
	$betube_boxed = $redux_demo['betube_boxed'];
	$beTubeFacebookTags = $redux_demo['betube-facebook-meta-on'];
	$upload_video_btn = $redux_demo['upload_video_btn'];
	$betube_head_code = $redux_demo['betube_head_code'];	
}
$btuploadURL = betube_get_template_url('template-submit-video.php');
$btLoginURL = betube_get_template_url('template-login.php');
$btProfileURL = betube_get_template_url('template-profile.php');
?>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) { ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php } ?>
	<?php 
		if($beTubeFacebookTags == 1){
			echo betube_facebook_tags();
		}else{
			if(is_single()){
				$ID = $wp_query->post->ID;
				$feat_image = wp_get_attachment_url( get_post_thumbnail_id($ID) );
				?>
				<meta property="og:image" content="<?php echo esc_url( $feat_image ); ?>"/>
				<?php
			}
		}	
		if(!empty($betube_head_code)){
			betube_escape($betube_head_code);
		}		
	?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php
    if ( function_exists( 'wp_body_open' ) ) {
        wp_body_open();
    }
    ?>
	<!--betubeLoader-->
	<?php if($beTubeLoaderOn == true){?>
	<div id="betubeloader-container">
		<div id="betubeloader-animation">			
		</div>
	</div>
	<?php } ?>
	<!--betubeLoader-->
	<!-- mobile responsive buttons -->
	<div class="main-menu mobile-mega-menu" id="mobile-menu">
		<nav>
			<?php betubeMobileNav();?>
		</nav>
	</div>
	<!-- mobile responsive buttons -->
	<!-- mobile app style buttons -->
	<nav class="navbar btp_mobile_app_btn d-sm-none position-fixed w-100">
		<ul class="navbar-nav flex-row justify-content-between w-100">
			<li class="nav-item active text-center">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="nav-link py-0">
					<i class="fas fa-home"></i>
					<p class="mb-0 small">
						<?php esc_html_e( 'Home', 'betube' ); ?>
					</p>
				</a>
			</li>
			<?php if($upload_video_btn == true){ ?>
				<?php if (is_user_logged_in() && !empty($btProfileURL)){ ?>
				<li class="nav-item text-center">
					<a href="<?php echo esc_url($btProfileURL); ?>" class="nav-link py-0">
						<i class="fas fa-user"></i>
						<p class="mb-0 small"><?php esc_html_e( 'Account', 'betube' ); ?></p>
					</a>
				</li>
				<?php }elseif(!is_user_logged_in() && !empty($btLoginURL)){ ?>
				<li class="nav-item text-center">
					<a href="<?php echo esc_url($btLoginURL); ?>" class="nav-link py-0">
						<i class="fas fa-user"></i>
						<p class="mb-0 small"><?php esc_html_e( 'Login', 'betube' ); ?></p>
					</a>
				</li>
				<?php } ?>
				<?php if(!empty($btuploadURL)){?>
				<li class="nav-item text-center">
					<a href="<?php echo esc_url($btuploadURL); ?>" class="nav-link py-0">
						<i class="fas fa-video"></i>
						<p class="mb-0 small"><?php esc_html_e( 'Upload Video', 'betube' ); ?></p>
					</a>
				</li>
				<?php } ?>
			<?php } ?>
			<li class="nav-item text-center">
				<a href="#" class="nav-link py-0 navbar-toggler border-0 btp_mobile_menu">
					<i class="fas fa-bars"></i>
					<p class="mb-0 small"><?php esc_html_e( 'Menu', 'betube' ); ?></p>
				</a>
			</li>
		</ul>
	</nav>
		<!-- mobile app style buttons -->
	<header class="sticky-top">
		<?php
		$navmb = '';
		if(is_front_page() || is_home() || is_page_template('template-landing.php')){
			$navmb = 'mb-3';
		}
		if(is_category()){
			$navmb = '';
		}
		?>
		<nav class="navbar navbar-expand-xl shadow-sm navbar-light <?php echo esc_attr($navmb);?>">
			<div class="container-fluid">
				<a class="navbar-brand mr-auto" href="<?php echo esc_url( home_url( '/' ) ); ?>">
					<?php if(empty($btLogo)){?>
						<img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/logo.png" alt="<?php bloginfo( 'name' ); ?>">
					<?php }else{ ?>
						<img src="<?php echo esc_url($btLogo);?>" alt="<?php bloginfo( 'name' ); ?>">
					<?php } ?>
				</a>
				<div class="dropdown position-static">
					<button class="btn btn-link dropdown-toggle btn_nav_search d-lg-none" type="button" id="dropdownMenuNavSearch" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						<i class="fas fa-search"></i>
					</button>
					<div class="dropdown-menu dropdown-menu-right w-100 border-0 px-3 mt-n1" aria-labelledby="dropdownMenuNavSearch">
						<form class="form-inline my-0 btp_nav_search" method="get" action="<?php echo esc_url(home_url()); ?>">
							<div class="input-group btp_nav_search__ig w-100">
								<input type="search" class="form-control btp_nav_search_input btp_search_dark" placeholder="<?php esc_attr_e( 'Enter your keyword', 'betube' ); ?>" aria-label="search" aria-describedby="dropdownMenuNavSearch" name="s">
								<?php 
								if ( function_exists('icl_object_id') ) { 
									do_action( 'wpml_add_language_form_field' );
								}
								?>
								<div class="input-group-append btp_nav_search__ig_prepend">
									<button class="btn btn-primary my-0 my-sm-0 btp_search_dark_btn" type="submit">
										<i class="fas fa-search"></i>
									</button>
								</div>
							</div><!--input-group-->
						</form>
					</div><!--dropdown-menu-->
				</div><!--dropdown position-static-->
				<button class="navbar-toggler d-none d-sm-block d-xl-none btp_mobile_menu" type="button">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse ml-3" data-hover="dropdown" data-animations="fadeIn fadeIn fadeIn fadeIn">
					<?php betubePrimaryNav();?>
					<form class="form-inline my-2 my-lg-0 btp_nav_search ml-auto" method="get" action="<?php echo esc_url(home_url()); ?>">
						<div class="input-group btp_nav_search__ig w-100">
							<input type="search" class="form-control btp_nav_search_input btp_search_dark" placeholder="<?php esc_attr_e( 'Enter your keyword', 'betube' ); ?>" aria-label="search" name="s">
							<?php 
							if ( function_exists('icl_object_id') ) { 
								do_action( 'wpml_add_language_form_field' );
							}
							?>
							<div class="input-group-append btp_nav_search__ig_prepend">
								<button class="btn btn-primary my-2 my-sm-0 btp_search_dark_btn" type="submit">
									<i class="fas fa-search"></i>
								</button>
							</div><!--input-group-append-->
						</div><!--input-group-->
					</form>
					<?php if($upload_video_btn == true){ ?>
						<?php if (is_user_logged_in() && !empty($btProfileURL)){ ?>
						<a href="<?php echo esc_url($btProfileURL); ?>" class="btn btn-outline-primary btp_nav_btn ml-4">
							<i class="fas fa-user"></i>
						   <?php esc_html_e( 'Account', 'betube' ); ?>
						</a>
						<?php }elseif(!is_user_logged_in() && !empty($btLoginURL)){ ?>
						<a href="<?php echo esc_url($btLoginURL); ?>" class="btn btn-outline-primary btp_nav_btn ml-4">
							<?php esc_html_e( 'Sign in', 'betube' ); ?>
						</a>
						<?php } ?>
						<?php if(!empty($btuploadURL)){?>
						<a href="<?php echo esc_url($btuploadURL); ?>" class="btn btn-success ml-3">
							<?php esc_html_e( 'Upload Video', 'betube' ); ?>
						</a>
						<?php } ?>
					<?php } ?>
				</div><!--collapse-->
			</div><!--container-->
		</nav>		
	</header>