<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other
 * 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */
get_header();
?>
<?php 
	$page = get_page($post->ID);
	$current_page_id = $page->ID;
	$page_slider = get_post_meta($current_page_id, 'page_slider', true); 
	$page_custom_title = get_post_meta($current_page_id, 'page_custom_title', true);
	global $redux_demo, $post;	
	$betube_boxed= 'boxed';
	if(isset($redux_demo)){		
		$betube_boxed = $redux_demo['betube_boxed'];		
	}	
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<?php if( is_page() && !$post->post_parent ) { ?>
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_title(); ?>
					</li>
					<?php }elseif ( is_page() && $post->post_parent ) { ?>
						<?php
						$delimiter = '&nbsp;';
						$linkPage = '<li class="breadcrumb-item"><a class="breadcrumb-link" rel="v:url" property="v:title" href="%1$s">%2$s</a>';
						$parent_id  = $post->post_parent;
						$breadcrumbs = array();
						while ($parent_id) {
							$page = get_page($parent_id);	
							$breadcrumbs[] = sprintf($linkPage, get_permalink($page->ID), get_the_title($page->ID));
							$parent_id  = $page->post_parent;
						}
						$breadcrumbs = array_reverse($breadcrumbs);
						for ($i = 0; $i < count($breadcrumbs); $i++) {
							echo wp_kses_post($breadcrumbs[$i]);
							if ($i != count($breadcrumbs)-1){
								echo wp_kses_post($delimiter);
							}
						}
						?>
						<li class="breadcrumb-item active" aria-current="page">
							<?php echo get_the_title(); ?>
						</li>
					<?php } ?>
				</ol>
			</nav><!-- breadcrumb -->
		</div>
	</div><!--row-->
</div><!--container-->
<!-- breadcrumb -->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'pages' ) ) {echo "col-lg-8 col-xl-9";}else{ echo "col-12"; }?>">
				<article class="btp_inner_page__content">
					<h4 class="mb-4">
						<?php echo get_the_title(); ?>
					</h4>
					<?php
					if (have_posts()) : while (have_posts()) : the_post();
					the_content();					
					endwhile; endif; ?>
				</article>
				<?php
				$defaults = array(
						'before'           => '<p class="text-center">' . __( 'Pages:' , 'betube'),
						'after'            => '</p>',
						'link_before'      => '',
						'link_after'       => '',
						'next_or_number'   => 'number',
						'separator'        => ' ',
						'nextpagelink'     => __( 'Next page', 'betube'),
						'previouspagelink' => __( 'Previous page', 'betube'),
						'pagelink'         => '%',
						'echo'             => 1
					);
					wp_link_pages( $defaults );
				?>
				<?php
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				?>
			</div><!--col-lg-8-->
			<?php if ( is_active_sidebar( 'pages' ) ) { ?>
			<div class="col-lg-4 col-xl-3">
				<div class="btp_sidebar">
					<?php dynamic_sidebar('pages'); ?>
				</div><!--btp_sidebar-->
			</div><!--col-lg-4-->
			<?php } ?>		
		</div><!--row-->
	</div><!--container-->
</section>
<?php get_footer(); ?>