<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */
get_header(); ?>
<?php
global $redux_demo, $paged, $wp_query, $wp, $keyword;
if(isset($_GET['s'])){
	$keyword = $_GET['s'];
}
$searchPostStyle = 'grid';
$betube_boxed= 'boxed';
if(isset($redux_demo)){
	$searchPostStyle = $redux_demo['betube_search_post_style'];
	$betube_boxed = $redux_demo['betube_boxed'];
}
$count = $wp_query->post_count;
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url(home_url()); ?>" class="breadcrumb-link">
							<?php esc_html_e( 'Home', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page"><?php esc_html_e( 'Search results for', 'betube' ); ?>:&nbsp;<?php echo get_search_query(); ?></li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'pages' ) ) {echo "col-lg-9 col-xl-9";}else{ echo "col-12"; }?>">
				<form method="get" class="mb-4 d-flex align-items-center">
					<div class="form-group mb-0 mr-2 flex-grow-1">
						<input type="search" name="s" class="form-control form-control-lg" placeholder="<?php esc_attr_e( 'enter your keyword..', 'betube' ); ?>">
					</div>
					<?php 
					if ( function_exists('icl_object_id') ) { 
						do_action( 'wpml_add_language_form_field' );
					}
					?>
					<button type="submit" class="btn btn-danger btn-lg">
						<?php esc_html_e( 'Search Now', 'betube' ); ?>
					</button>
				</form>
				<h4>
					<?php
					/* translators: %s: The search query. */
					printf( __( 'Search Results for: %s', 'betube' ), esc_html( get_search_query() )  );
					?>
				</h4>
				<p class="mb-4"><?php esc_html_e( 'You found', 'betube' ); ?> <?php echo esc_html($count);?> <?php esc_html_e( 'videos', 'betube' ); ?></p>
				<?php if($searchPostStyle == 'grid'){?>
				<div class="btp_lt_posts__container d-grid btp_lt_posts__container_box align-items-center justify-content-start border-0">
				<?php }elseif($searchPostStyle == 'list'){ ?>
				<div class="btp_lt_list_post">
				<?php } ?>
					<?php 
					while ($wp_query->have_posts()) : $wp_query->the_post();
						get_template_part( 'templates/single-loop');
					endwhile;
					//wp_reset_query();					
					?>
				</div><!--btp_lt_posts__container-->
				<div class="row mt-4">
					<div class="col">
						<?php
						the_posts_pagination(
							array(
								'mid_size'  => 2,
								'prev_text' => __( 'Previous', 'betube' ),
								'next_text' => __( 'Next', 'betube' ),
							)
						);					
						?>
					</div>
				</div>
			</div><!--col-lg-9-->
			<?php if ( is_active_sidebar( 'pages' ) ) { ?>
			<div class="col-lg-3">
				<div class="btp_sidebar">
					<?php dynamic_sidebar('pages'); ?>
				</div>
			</div><!--col-lg-3-->
			<?php } ?>
		</div><!--row-->
	</div><!--container-->
</section>
<?php get_footer(); ?>