<?php
/**
 * The template for displaying the single blog posts.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other
 * 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */
?>
<?php get_header();?>
<?php
global $redux_demo;
$betube_boxed= 'boxed';
if(isset($redux_demo)){		
	$betube_boxed = $redux_demo['betube_boxed'];
}
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="#" class="breadcrumb-link">
							<?php esc_html_e( 'Blog', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page"><?php the_title(); ?></li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'pages' ) ) {echo "col-lg-8 col-xl-9";}else{ echo "col-12"; }?>">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<?php
				$authorID = get_the_author_meta( 'ID' );
				$authorID = $post->post_author;
				$authorName = get_the_author_meta( 'user_nicename' );
				$authorPageURL = get_author_posts_url($authorID, $authorName);					
				$authorName = get_the_author_meta('display_name', $authorID );
				if(empty($authorName)){
					$authorName = get_the_author_meta('user_nicename', $authorID );
				}
				if(empty($authorName)){
					$authorName = get_the_author_meta('user_login', $authorID );
				}				
				$authorEmail = get_the_author_meta('user_email', $authorID);
				$authorURL = get_the_author_meta('user_url', $authorID);
				$authorPhone = get_the_author_meta('phone', $authorID);
				$authorAvatarURL = get_user_meta($authorID, "betube_author_avatar_url", true);
				$authorAvatarURL = betube_get_image_url($authorAvatarURL);
				if(empty($authorAvatarURL)){			
					$authorAvatarURL = betube_get_avatar_url ($authorEmail, $size = '150' );
				}
				$userRegistered = get_the_author_meta( 'user_registered', $authorID );
				$dateFormat = get_option( 'date_format' );
				$dpRegDate = date_i18n($dateFormat,  strtotime($userRegistered));
				$blog_category = get_the_terms( $post->ID, 'blog_category' );
				?>
				<div class="blog_single_post_head mb-4">
					<?php if( has_post_thumbnail()){ ?>
					<img class="mb-4 mx-auto" src="<?php echo get_the_post_thumbnail_url(); ?>" alt="<?php echo get_the_title();?>">
					<?php } ?>
					<h4 class="mb-4">
						<?php the_title();?>
					</h4>
					<p class="mb-0">
						<a href="<?php echo esc_url($authorPageURL);?>" class="mr-3">
							<i class="fas fa-user-circle mr-2"></i>
							<?php echo esc_html($authorName);?>
						</a>
						<?php betubepro_posted_on(); ?>
						<a href="#comments" class="mr-3">
							<i class="fas fa-comment-alt mr-2"></i>
							<?php echo comments_number(); ?>
						</a>
					</p>
				</div><!--blog_single_post_head-->
				<article class="btp_inner_page__content border-bottom mb-3">
					<?php the_content(); ?>
				</article>
				<?php if ( class_exists( 'APSS_Class' )) { ?>
				<div class="share_post d-flex align-items-center border-bottom pb-4 mb-4">
					<?php esc_html_e( 'Share', 'betube' ); ?>
					<i class="ml-2 mr-2 far fa-share-square"></i>
					<div class="mini_footer__btns">
						<?php echo do_shortcode('[apss-share]'); ?>
					</div><!--mini_footer__btns-->
				</div><!--share_post-->
				<?php } ?>
				<div class="blog_post_author_bio pb-3 mb-3 border-bottom">
					<div class="media align-items-center">
						<img class="img-thumbnail mr-4" src="<?php echo esc_url($authorAvatarURL);?>" alt="<?php echo esc_html($authorName);?>">
						<div class="media-body">
							<h5 class="mb-1"><?php esc_html_e( 'Author', 'betube' ); ?></h5>
							<a href="<?php echo esc_url($authorPageURL);?>" class="mb-3 d-inline-block"><?php echo esc_html($authorName);?></a>
							<p class="mb-0"><?php echo wpautop(get_the_author_meta('description', $authorID)); ?></p>
						</div>
					</div>
				</div>
				<div class="btp_post_nav">
				<?php
				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . __( 'Pages:', 'betube' ),
						'after'  => '</div>',
					)
				);
				if ( is_singular( 'blog' ) ) {
					the_post_navigation(
						array(
							'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next Post', 'betube' ) . '</span> ' .
								'<span class="screen-reader-text">' . __( 'Next post:', 'betube' ) . '</span> <br/>' .
								'<span class="post-title">%title</span>',
							'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous Post', 'betube' ) . '</span> ' .
								'<span class="screen-reader-text">' . __( 'Previous post:', 'betube' ) . '</span> <br/>' .
								'<span class="post-title">%title</span>',
						)
					);
				}
				?>
				</div>
				<?php if ( comments_open()) { comments_template(); } ?>
			<?php endwhile; endif; ?>
			</div><!--col-lg-8-->
			<?php if ( is_active_sidebar( 'blog' ) ) { ?>
			<div class="col-lg-4 col-xl-3">
				<div class="btp_sidebar">
					<?php dynamic_sidebar( 'blog' ); ?>
				</div>
			</div>
			<?php } ?>
		</div><!--row-->
	</div><!--container-->
</section>
<?php get_footer(); ?>