<?php
/**
 * Template name: All Categories
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package betube
 * @since betube 3.0
 */
?>
<?php 
get_header();
$page = get_page($post->ID);
$current_page_id = $page->ID;
global $redux_demo;
$betube_boxed= 'boxed';
if(isset($redux_demo)){		
	$betube_boxed = $redux_demo['betube_boxed'];
}
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_title(); ?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'pages' ) ) {echo "col-lg-8 col-xl-9";}else{ echo "col-12"; }?>">
				<h4 class="mb-4"><?php the_title();?></h4>
				<div class="btp_inner_page_categories d-grid align-items-center">
					<?php
					$args = array(	
						'hide_empty' => 0,
						'parent' => 0,
						'order'=> 'ASC'
					);
					$categories = get_terms('category', $args);
					foreach ($categories as $category){
						$termID = $category->term_id;						
						$beeCatThumb  = get_term_meta( $termID, 'your_image_url', true);
					?>
					<div class="card btp_cat_card border-0">
						<?php if(!empty($beeCatThumb)){?>
						<img class="btp_cat_card__img" src="<?php echo esc_url($beeCatThumb); ?>" alt="<?php echo get_cat_name( $termID ); ?>">
						<?php }?>
						<a href="<?php echo get_category_link( $termID ); ?>" class="text-decoration-none card-img-overlay btp_cat_card_img_overlay d-flex flex-column justify-content-end p-0">
							<h5 class="text-center btp_cat_card__title font-weight-bold mb-0 text-white">
								<?php echo get_cat_name( $termID ); ?>
							</h5>
						</a>
					</div>
					<?php } ?>
				</div><!--btp_inner_page_categories-->
			</div><!--col-lg-8-->
			<?php if ( is_active_sidebar( 'pages' ) ) { ?>
			<div class="col-lg-4 col-xl-3">
				<div class="btp_sidebar">
					<?php 
					if ( is_active_sidebar( 'pages' ) ) {
						dynamic_sidebar( 'pages' );
					}
					?>
				</div><!--btp_sidebar-->
			</div><!--col-lg-4-->
			<?php } ?>
		</div><!--row-->
	</div><!--container-->
</section><!--btp_inner_page-->
<?php get_footer(); ?>