<?php
/**
 * Template name: All Movies
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package betube
 * @since betube 3.0
 */
?>
<?php 
get_header();
$page = get_page($post->ID);
$current_page_id = $page->ID;
global $redux_demo;
$beTubedateFormat = get_option( 'date_format' );
$betube_img_opti = true;
$betube_boxed= 'boxed';
$betube_AllMoviesCount= 12;
if(isset($redux_demo)){
	$betube_boxed = $redux_demo['betube_boxed'];
	$betube_img_opti = $redux_demo['betube_img_opti'];
	$betube_AllMoviesCount = $redux_demo['all-movies-page-counter'];
}
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_title(); ?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="col-lg-12">
				<h4 class="mb-4"><?php the_title();?></h4>				
			</div><!--col-lg-12-->			
		</div><!--row-->
		<?php
		$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
		$args = array(
			'post_type' => 'movies',
			'post_status' => 'publish',				
			'posts_per_page' => $betube_AllMoviesCount,				
			'paged' => $paged,				
			'suppress_filters' => false,
		);
		$moviesposts = new WP_Query( $args );
		if ( $moviesposts->have_posts() ){
		?>
		<div class="row">
			<?php			
				while ( $moviesposts->have_posts() ) : $moviesposts->the_post();					
					$category = get_the_terms( $post->ID, 'movies_category' );
					$movies_year = get_post_meta($post->ID, 'movies_year', true);
					$movies_duration = get_post_meta($post->ID, 'movies_duration', true);
					if($betube_img_opti == true){
						$thumbURL = betube_thumb_url($post->ID, 'betube-movies');
					}else{
						$thumbURL = betube_thumb_url($post->ID, 'full');
					}					
					?>
					<div class="col-lg-3 col-md-4 col-sm-6">						
						<div class="card border-0 btp_movies_card bg-transparent mb-4">
							<?php if(!empty($thumbURL)){ ?>
							<a href="<?php the_permalink(); ?>">
								<img class="mb-2 btp_movies_card__img mb-2" src="<?php echo esc_url($thumbURL); ?>" alt="<?php echo get_the_title();?>">
							</a>
							<?php } ?>
							<?php if(!empty($category)){ ?>
							<small><?php echo esc_html($category[0]->name);?></small>
							<?php } ?>
							<h6 class="mb-1 text-truncate">
								<a href="<?php the_permalink(); ?>" class="btp_movies_card__title text-decoration-none">
									<?php echo get_the_title();?>
								</a>
							</h6>
							<small class="btp_movies_card__year">
								<?php esc_html_e('Year :', 'betube');?> <?php echo esc_html($movies_year);?>
							</small>
							<small class="mb-1 btp_movies_card__duration">
								<?php esc_html_e('Duration :', 'betube');?> <?php echo esc_html($movies_duration);?>
							</small>
							<a href="<?php the_permalink(); ?>" class="btn btn-sm btn-block btn-danger">
								<?php esc_html_e('Watch now', 'betube');?>
							</a>
						</div><!--card-->						
					</div><!--col-lg-3-->
					<?php
				endwhile;
			}
			?>			
		</div><!--row-->
		<div class="row">
			<div class="col">
				<?php
				$big = 999999999; // need an unlikely integer
				echo paginate_links( array(
					'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
					'format' => '?paged=%#%',
					'type' => 'list',
					'current' => max( 1, get_query_var('paged') ),
					'total' => $moviesposts->max_num_pages
				) );
				?>
			</div><!--col-->
		</div><!--row-->
	</div><!--container-->
</section><!--btp_inner_page-->
<?php get_footer(); ?>