<?php
/**
 * Template name: All Videos
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package betube
 * @since betube 3.0
 */
?>
<?php 
get_header();
$page = get_page($post->ID);
$current_page_id = $page->ID;
global $redux_demo;
$beTubedateFormat = get_option( 'date_format' );
$betube_img_opti = true;
$betube_boxed= 'boxed';
$betube_VideoCount= 12;
$betube_AllAdsAdv= '';
if(isset($redux_demo)){
	$betube_boxed = $redux_demo['betube_boxed'];
	$betube_img_opti = $redux_demo['betube_img_opti'];
	$betube_VideoCount = $redux_demo['all-videos-page-counter'];
	$betube_AllAdsAdv = $redux_demo['betube-google-ads-for-all-video-page'];
}
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_title(); ?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="<?php if ( is_active_sidebar( 'pages' ) ) {echo "col-lg-8 col-xl-9";}else{ echo "col-12"; }?>">
				<h4 class="mb-4">
					<?php 
					$betubePostCount = wp_count_posts();
					$betubePublishPCount = $betubePostCount->publish;					
					?>
					<span><?php echo esc_html($betubePublishPCount); ?>&nbsp;<?php esc_html_e( 'Videos founded', 'betube' ); ?></span>
				</h4>
				<div class="btp_lt_posts__container btp_lt_posts__container_box d-grid align-items-center justify-content-start border-0">
					<?php
					global $paged, $wp_query, $wp;
					$args = wp_parse_args($wp->matched_query);
					if ( !empty ( $args['paged'] ) && 0 == $paged ){
						$wp_query->set('paged', $args['paged']);
						$paged = $args['paged'];
					}					
					$wp_query = new WP_Query();
					$arags = array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'posts_per_page' => $betube_VideoCount,
						'paged' => $paged,						
					);
					$wp_query = new WP_Query($arags);
					while ($wp_query->have_posts()) : $wp_query->the_post();						
						if($betube_img_opti == true){
							$thumbURL = betube_thumb_url($post->ID, 'betube-thumbnail');
						}else{
							$thumbURL = betube_thumb_url($post->ID, 'full');
						}						
						$post_time = get_post_meta($post->ID, 'post_time', true);
						$post_quality = get_post_meta($post->ID, 'post_quality', true);
						?>
						<div class="card btp_post_card btp_post_card_lt border-0 bg-transparent mr-1 mb-4">
							<div class="btp_post_card__top mb-2">
								<?php if(!empty($thumbURL)){ ?>
								<img class="btp_post_card__img" src="<?php echo esc_url($thumbURL);?>" alt="<?php echo get_the_title();?>">
								<?php } ?>
								<div class="card-img-overlay d-flex align-items-end justify-content-end">
									<div class="badge badge-dark rounded-0 mr-1">
										<?php echo esc_html($post_quality);?>
									</div>
									<div class="badge badge-dark rounded-0">
										<?php echo esc_html($post_time);?>
									</div>
								</div>
								<a href="<?php the_permalink(); ?>" class="btp_post_card__img_hover position-absolute d-flex text-decoration-none align-items-center justify-content-center">
									<i class="fas fa-play btp_post_card__img_hover_icon"></i>
								</a>
							</div><!--btp_post_card__top-->
							<h6 class="text-truncate">
								<a href="<?php the_permalink(); ?>" class="btp_post_card__title text-decoration-none">
									<?php echo get_the_title(); ?>
								</a>
							</h6>
							<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="small btp_post_card__author text-decoration-none">
								<span class="btp_post_card__author_text">
								<?php the_author(); ?>
								</span>
								<i class="btp_post_card__author_icon fas fa-check-circle ml-1"></i>
							</a>
							<p class="mb-0">
								<small class="mr-2"><?php echo betube_get_post_views($post->ID); ?>&nbsp;<?php esc_html_e('views', 'betube');?></small>
								<small><?php echo get_the_date($beTubedateFormat, $post->ID); ?></small>
							</p>
						</div><!--card-->
						<?php
					endwhile; ?>
				</div><!--btp_lt_posts__container-->
				<?php
				the_posts_pagination(
					array(
						'mid_size'  => 2,
						'prev_text' => __( 'Back', 'betube' ),
						'next_text' => __( 'Onward', 'betube' ),
					)
				);
				wp_reset_query();
				?>
				<?php if(!empty($betube_AllAdsAdv)){?>
				<section class="btp_img_advertisement mt-4">
					<div class="container-fluid">
						<div class="row">
							<div class="col">
								<div class="text-center">					
									<?php 
									if(function_exists('betube_escape')) {
										echo betube_escape($betube_AllAdsAdv);
									}
									?>
								</div>
							</div>
						</div>
					</div>
				</section>
				<?php } ?>
			</div><!--col-lg-8-->
			<?php if ( is_active_sidebar( 'pages' ) ) { ?>
			<div class="col-lg-4 col-xl-3">
				<div class="btp_sidebar">
					<?php 
					if ( is_active_sidebar( 'pages' ) ) {
						dynamic_sidebar( 'pages' );
					}
					?>
				</div>
			</div><!--col-lg-4-->	
			<?php } ?>			
		</div><!--row-->
	</div><!--container-->
</section>
<?php get_footer(); ?>