<?php
/**
 * Template Name: Contact
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other
 * 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */

global $redux_demo, $nameError, $emailSent, $emailError, $commentError, $subjectError, $humanTestError;
$betube_boxed= 'boxed';
if(isset($redux_demo)){		
	$betube_boxed = $redux_demo['betube_boxed'];
}
$contact_email = $redux_demo['contact-email'];
$betubeTerms = $redux_demo['termsandcondition'];
$betubeLawURL = $redux_demo['lawdataurl'];
$contact_latitude = $redux_demo['contact-latitude'];
$contact_longitude = $redux_demo['contact-longitude'];
$contactzoom = $redux_demo['contact-zoom'];
$contactAddress = $redux_demo['contact-address'];
$contactPhone = $redux_demo['contact-phone'];
$beTubeMAPOnOff = $redux_demo['contact-map'];

/*Social Links*/
$facebookLink = $redux_demo['facebook-link'];
$twitterLink = $redux_demo['twitter-link'];
$dribbbleLink = $redux_demo['dribbble-link'];
$flickrLink = $redux_demo['flickr-link'];
$pinLink = $redux_demo['pinterest-link'];
$youtubeLink = $redux_demo['youtube-link'];
$linkedinLink = $redux_demo['linkedin-link'];
$instagramLink = $redux_demo['instagram-link'];						
$vimeoLink = $redux_demo['vimeo-link'];
$betubeTumbleLink = $redux_demo['betube_tumblr'];
$betubeVKLink = $redux_demo['betube_vk'];
$betubeSoundCloudLink = $redux_demo['betube_soundcloud'];
$betubeBehanceLink = $redux_demo['betube_behance'];
$betubeDiggLink = $redux_demo['betube_digg'];
$betubeLastfmLink = $redux_demo['betube_lastfm'];
$betubeOdnoLink = $redux_demo['betube_odnoklassniki'];
$betubeVineLink = $redux_demo['betube_vine'];
$betubeYelpLink = $redux_demo['betube_yelp'];
/*Social Links*/
//If the form is submitted
if(isset($_POST['submit'])) {
	$hasError = false;
	$remember = esc_sql($_POST['remember']);
	if(!empty($remember)){
		//Check to make sure that the name field is not empty		
		if(trim($_POST['contactName']) === '') {
			$message = esc_html__('Your name is required.', 'betube');
			$hasError = true;
		}else{			
			$name = trim($_POST['contactName']);
		}

		//Check to make sure that the subject field is not empty
		if(trim($_POST['subject']) === '') {
			$message = esc_html__('Please type something in subject', 'betube');
			$hasError = true;
		}else {
			$subject = trim($_POST['subject']);			
		}
		
		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$message = esc_html__('Email is required.', 'betube');
			$hasError = true;
		} else if (!preg_match("/^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$/i", trim($_POST['email']))) {
			$message = esc_html__('Email is not valid.', 'betube');
			$hasError = true;
		} else {
			$email = sanitize_email($_POST['email']);			
		}
			
		//Check to make sure comments were entered	
		if(trim($_POST['comments']) === '') {
			$message = esc_html__('Please type something in comment.', 'betube');
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}			
		}
			
		//If there is no error, send the email
		if($hasError == false) {		
			$emailTo = $contact_email;
			$subject = $subject;	
			$message = $comments;
			$emailfrom = $email;
			$headers = 'From website <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;			
			contact_us_page_mail($emailTo, $subject, $message, $name, $emailfrom, $headers);			
			$emailSent = true;
		}
	}else{
		$hasError = true;
		$message = esc_html__( 'You must need to agreed to terms and condition.', 'betube' );
	}	
}
get_header(); ?>
<?php 
	$page = get_page($post->ID);
	$current_page_id = $page->ID;
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_title(); ?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="col-12">
				<h4 class="mb-4"><?php the_title(); ?></h4>
				<?php
				if (have_posts()) : while (have_posts()) : the_post();
				the_content();
				endwhile; endif;
				?>
				<?php if($beTubeMAPOnOff == true){?>
				<div id="map" class="mt-2 mb-4"></div>
				<?php } ?>
			</div><!--col-12-->
		</div><!--row-->
		<div class="row">
			<div class="col-lg-8">
				<h5 class="mb-3"><?php esc_html_e("We'd Love to hear from you!", "betube"); ?></h5>
					<?php 
					if($emailSent == true){
						echo '<p class="alert alert-success">';
						echo esc_html($beTubeContactThankyou);
						echo '</p>';
					}
					if(isset($hasError) && $hasError == true) {
						echo '<p class="alert alert-warning">';
						echo esc_html($message);
						echo '</p>';
					}	
					?>
				<form class="mb-5 mb-lg-0" action="<?php the_permalink(); ?>" method="post">
					<div class="form-group">
						<label for="contactName" class="font-weight-bold"><?php esc_html_e("Name", "betube"); ?></label>
						<input type="text" name="contactName" class="form-control " id="contactName" aria-describedby="Name" placeholder="<?php esc_attr_e("Enter Your Name", "betube"); ?>">
					</div>
					<div class="form-group">
						<label for="contactEmail" class="font-weight-bold"><?php esc_html_e("Email", "betube"); ?></label>
						<input type="email" name="email" class="form-control " id="contactEmail" aria-describedby="Email" placeholder="<?php esc_attr_e("Enter your email", "betube"); ?>">
					</div>
					<div class="form-group">
						<label for="contactSubject" class="font-weight-bold"><?php esc_html_e("Subject", "betube"); ?></label>
						<input type="text" name="subject" class="form-control" id="contactSubject" aria-describedby="Subject" placeholder="<?php esc_attr_e("Enter your subject", "betube"); ?>">
					</div>
					<div class="form-group">
						<label for="contactMessage" class="font-weight-bold"><?php esc_html_e("Message", "betube"); ?></label>
						<textarea name="comments" cols="30" rows="5" class="form-control" id="contactMessage" placeholder="<?php esc_attr_e("Type your message..!", "betube"); ?>"></textarea>
					</div>
					<div class="form-group">
						<div class="custom-control custom-checkbox">
							<input type="checkbox" class="custom-control-input" id="termsCondition" name="remember" value="forever">
							<label class="custom-control-label" for="termsCondition">
							<?php esc_html_e("Agreed to", 'betube') ?>
							<a target="_blank" href="<?php echo esc_url($betubeTerms); ?>">
								<?php esc_html_e('terms & Condition.', 'betube'); ?>
							</a>
							</label>
						</div>
					</div>
					<div class="form-group">
						<div class="custom-control custom-checkbox">
							<input type="checkbox" class="custom-control-input" id="gdpr">
							<label class="custom-control-label" for="gdpr">
								<?php esc_html_e("Agreed to", 'betube') ?>
								<a target="_blank" href="<?php echo esc_url($betubeLawURL); ?>">
									<?php esc_html_e('GDPR', 'betube'); ?>
								</a>
								<?php esc_html_e(', keep me informed via email about query..!', 'betube') ?>
							</label>
						</div>
					</div>
					<button type="submit" name="submit" class="btn btn-danger btn-block">
						<?php esc_html_e('Send Now', 'betube'); ?>
					</button>
				</form>
			</div><!--col-lg-8-->
			<div class="col-lg-4">
				<?php if(!empty($contactAddress)){ ?>
				<div class="mb-3 border-bottom">
					<h5 class="mb-3">
						<i class="text-danger fas fa-map-marker-alt mr-2"></i>
						<?php esc_html_e('Office Address', 'betube'); ?>
					</h5>
					<p><?php echo esc_html($contactAddress); ?></p>
				</div><!--mb-3-->
				<?php } ?>
				<?php if(!empty($contact_email)){ ?>
				<div class="mb-3 border-bottom">
					<h5 class="mb-3">
						<i class="text-danger fas fa-envelope mr-2"></i>
						<?php esc_html_e('Emails', 'betube'); ?>
					</h5>
					<p>
						<a href="<?php echo sanitize_email($contact_email); ?>" class="color-inherit"><?php echo sanitize_email($contact_email); ?></a>
					</p>
				</div>
				<?php } ?>
				<?php if(!empty($contactPhone)){ ?>
				<div class="mb-3 border-bottom">
					<h5 class="mb-3">
						<i class="text-danger fas fa-phone mr-2"></i>
						<?php esc_html_e('Phone Number', 'betube'); ?>
					</h5>
					<p >
						<a href="#" class="color-inherit"><?php echo esc_html($contactPhone);?> </a>
					</p>
				</div>
				<?php } ?>
				<div class="mb-3 border-bottom">
					<h5 class="mb-3">
						<i class="text-danger fas fa-share-alt mr-2"></i>
						<?php esc_html_e('Social media', 'betube'); ?>
					</h5>
					<div class="mini_footer__btns mb-3">
						<?php if(!empty($facebookLink)){ ?>
						<a href="<?php echo esc_url($facebookLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-facebook-f"></i>
						</a>
						<?php } ?>
						<?php if(!empty($twitterLink)){ ?>
						<a href="<?php echo esc_url($twitterLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-twitter"></i>
						</a>
						<?php } ?>
						<?php if(!empty($instagramLink)){ ?>
						<a href="<?php echo esc_url($instagramLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-instagram"></i>
						</a>
						<?php } ?>
						<?php if(!empty($dribbbleLink)){ ?>
						<a href="<?php echo esc_url($dribbbleLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-dribbble"></i>
						</a>
						<?php } ?>
						<?php if(!empty($flickrLink)){ ?>
						<a href="<?php echo esc_url($flickrLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-flickr"></i>
						</a>
						<?php } ?>
						<?php if(!empty($pinLink)){ ?>
						<a href="<?php echo esc_url($pinLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-pinterest-p"></i>
						</a>
						<?php } ?>
						<?php if(!empty($linkedinLink)){ ?>
						<a href="<?php echo esc_url($linkedinLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-linkedin"></i>
						</a>
						<?php } ?>
						<?php if(!empty($vimeoLink)){ ?>
						<a href="<?php echo esc_url($vimeoLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-vimeo"></i>
						</a>
						<?php } ?>
						<?php if(!empty($youtubeLink)){ ?>
						<a href="<?php echo esc_url($youtubeLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-youtube"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeTumbleLink)){ ?>
						<a href="<?php echo esc_url($betubeTumbleLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-tumblr"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeVKLink)){ ?>
						<a href="<?php echo esc_url($betubeVKLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-vk"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeSoundCloudLink)){ ?>
						<a href="<?php echo esc_url($betubeSoundCloudLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-soundcloud"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeBehanceLink)){ ?>
						<a href="<?php echo esc_url($betubeBehanceLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-behance"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeDiggLink)){ ?>
						<a href="<?php echo esc_url($betubeDiggLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-digg"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeLastfmLink)){ ?>
						<a href="<?php echo esc_url($betubeLastfmLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-lastfm"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeOdnoLink)){ ?>
						<a href="<?php echo esc_url($betubeOdnoLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-odnoklassniki"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeVineLink)){ ?>
						<a href="<?php echo esc_url($betubeVineLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-vine"></i>
						</a>
						<?php } ?>
						<?php if(!empty($betubeYelpLink)){ ?>
						<a href="<?php echo esc_url($betubeYelpLink); ?>" class="btn btn-sm btn_btp_footer">
							<i class="fab fa-yelp"></i>
						</a>
						<?php } ?>
					</div>
				</div>
			</div><!--col-lg-4-->
		</div><!--row-->
	</div><!--container-->
</section>
<?php if(!empty($contact_latitude) && !empty($contact_longitude)){ ?>
<script>
function initMap() {
	var userLatLang = { lat: <?php echo esc_html($contact_latitude); ?>, lng: <?php echo esc_html($contact_longitude); ?> };
	var options = {
		zoom: <?php echo esc_attr($contactzoom);?>,
		center: userLatLang
	}
	var mapId = document.getElementById('map');
	var bmgmap = new google.maps.Map(mapId, options);
	var marker = new google.maps.Marker({
		position: userLatLang,
		map: bmgmap,
		anchorPoint: new google.maps.Point(0, -29),
		draggable: true,
		clickable: true
	});
}
google.maps.event.addDomListener(window, 'load', initMap);
</script>
<?php } ?>
<?php get_footer(); ?>