<?php
/**
 * Template name: Edit Profile
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 1.0
 */

if ( !is_user_logged_in() ) { 

	global $redux_demo; 	
	$login = betube_get_template_url('template-login.php');
	wp_redirect( $login ); exit;

}
/*==========================
 BeTubePro : Define Variables
===========================*/
global $message, $betube_gdpr, $nickName, $displayName, $current_user, $current_userID;
$current_user = wp_get_current_user();
$current_userID = $current_user->ID;
$user_info = get_userdata($current_userID);
$displayName = $current_user->display_name;
if(empty($displayName)){
	$displayName = $current_user->user_nicename;
}
if(empty($displayName)){
	$displayName = $current_user->user_login;
}
$beTubedateFormat = get_option( 'date_format' );
$authorEmail = $current_user->user_email;
/*==========================
 BeTubePro : Get Template URLS
===========================*/
$pagepermalink = get_permalink($post->ID);
$profileURL = betube_get_template_url('template-profile.php');
$all_adds = betube_get_template_url('template-all-posts.php');
$favouriteURL = betube_get_template_url('template-favorite.php');
$submitVideo = betube_get_template_url('template-submit-video.php');
$editPostURL = betube_get_template_url('template-edit-video.php');
/*==========================
 betube : Update Fields Values
===========================*/
if(isset($_POST) && !empty($_POST)){
	$message = esc_html__( 'Your profile updated successfully.', 'betube' );
	global $wpdb;
	$firstName = esc_sql($_POST['first_name']);
	$lastName = esc_sql($_POST['last_name']);
	$email = esc_sql($_POST['email']);
	$user_url = esc_sql($_POST['website']);
	$user_phone = esc_sql($_POST['phone']);
	
	$facebook = esc_sql($_POST['facebook']);
	$twitter = esc_sql($_POST['twitter']);
	$youtube = esc_sql($_POST['youtube']);
	$vimeo = esc_sql($_POST['vimeo']);
	$pinterest = esc_sql($_POST['pinterest']);
	$instagram = esc_sql($_POST['instagram']);
	$linkedin = esc_sql($_POST['linkedin']);
	$description = esc_sql($_POST['desc']);
	$password = esc_sql($_POST['password']);
	$newPassword = esc_sql($_POST['confirm']);
	
	if(isset($_POST['gdpr'])){
		$betube_gdpr = true;
	}else{
		$betube_gdpr = false;
	}
	if($betube_gdpr == true){
		update_user_meta($current_userID, 'betube_gdpr', 'yes');
	}else{
		update_user_meta($current_userID, 'betube_gdpr', 'no');
	}
	
	update_user_meta( $current_userID, 'first_name', $firstName );
	update_user_meta( $current_userID, 'last_name', $lastName );
	update_user_meta( $current_userID, 'user_nicename', $nickName );
	update_user_meta( $current_userID, 'display_name', $displayName );
	update_user_meta( $current_userID, 'phone', $user_phone );
	
	update_user_meta( $current_userID, 'facebook', $facebook );
	update_user_meta( $current_userID, 'twitter', $twitter );
	update_user_meta( $current_userID, 'youtube', $youtube );
	update_user_meta( $current_userID, 'vimeo', $vimeo );
	update_user_meta( $current_userID, 'linkedin', $linkedin );
	update_user_meta( $current_userID, 'pinterest', $pinterest );
	update_user_meta( $current_userID, 'instagram', $instagram );
	
	update_user_meta( $current_userID, 'description', $description );
	wp_update_user( array ('ID' => $current_userID, 'user_url' => $user_url) );
	
	if(isset($email)) {
		if (preg_match("/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/", $email)){ 

			wp_update_user( array ('ID' => $current_userID, 'user_email' => $email) ) ;

		}else{
			$message = esc_html__( 'Please enter a valid email id.', 'betube' );
		}
	}
	if(isset($password) && !empty($newPassword)) {			

		if (strlen($password) < 5 || strlen($password) > 25) {
			$message = esc_html__('Password must be 5 to 15 characters in length.', 'betube' );
		}
		
		if(isset($newPassword) && $newPassword == $password) {
			$message = esc_html__( 'You are using Old Password for update, Please use new Password.', 'betube' );
		} elseif ( isset($newPassword) && !empty($password) ) {
			$update = wp_set_password( $newPassword, $current_userID );
			$message = esc_html__( 'Your Profile is Updated Successfully!', 'betube' );
		}
	}
	
}
if (isset($_FILES['upload_profile'])){	
	$profile = $_FILES['upload_profile'];
	//Update Profile IMG
	foreach ($profile['name'] as $key => $value) {				
		if ($profile['name'][$key]) {
			$file = array(
				'name'     => $profile['name'][$key],
				'type'     => $profile['type'][$key],
				'tmp_name' => $profile['tmp_name'][$key],
				'error'    => $profile['error'][$key],
				'size'     => $profile['size'][$key]
			);
			$_FILES = array("upload_profile" => $file);				
			foreach($_FILES as $file => $array){					
				$profileAva = betube_insert_userIMG($file);
				if(!empty($profileAva )){
					update_user_meta( $current_userID, 'betube_author_avatar_url', $profileAva );
				}					
			}
		}
	}		
	//Update Profile IMG
}
$betubeAuthorIMG = get_user_meta($current_userID, "betube_author_avatar_url", true);
$betubeAuthorIMG = betube_get_image_url($betubeAuthorIMG);
if(empty($betubeAuthorIMG)){
	$betubeAuthorIMG = betube_get_avatar_url ($authorEmail, $size = '150' );
}
?>
<?php get_template_part('templates/dashboard/btp_dashboard_header'); ?>
<div class="container-fluid">
	<div class="row">
		<?php get_template_part('templates/dashboard/btp_dashboard_nav'); ?>
		<main class="col-md-12 ml-xl-auto col-lg-12 col-xl-10 bm_admin_main">
			<nav class="bm_admin_main_nav nav align-items-center py-3 box-shadow-bottom bg-white">
				<button class="bm_cl_navbar__toggler navbar-toggler d-inline-flex d-xl-none align-items-center">
					<i class="bm_cl_navbar__toggler_icon fas fa-bars"></i>
				</button>
				<div class="media bm_admin_sidebar_author ml-auto p-0">
					<div class="media-body bm_admin_sidebar_author_body align-self-center">
						<h6 class="bm_admin_sidebar_author_heading small mb-0">
							<?php esc_html_e( 'Hello, ', 'betube' ); ?>&nbsp;<?php echo esc_html($displayName); ?>
						</h6>
					</div>
					<img class="bm_admin_sidebar_author_img ml-2" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName); ?>">
				</div><!--media-->
			</nav>
			<section class="bm_admin_main_content pt-4 px-xl-2">
				<!--breadcrumb-->
				<div class="bm_admin_main_content_head d-flex align-items-center mb-4 flex-wrap">
					<h4 class="mb-0 mr-3">
						<?php esc_html_e( 'Profile Setting', 'betube' ); ?>
					</h4>
					<nav aria-label="breadcrumb">
						<ol class="breadcrumb bg-transparent mb-0 p-0 rounded-0 pl-0">
							<li class="breadcrumb-item">
								<a href="<?php echo esc_url($profileURL); ?>"><?php esc_html_e( 'Profile', 'betube' ); ?></a>
							</li>
							<li class="breadcrumb-item active" aria-current="page">
								<?php echo get_the_title(); ?>
							</li>
						</ol>
					</nav>
					<a href="<?php echo esc_url($submitVideo);?>" class="btn btn-success ml-auto">
						<i class="fas fa-edit"></i>
						<span class="d-none d-sm-inline-block text-capitalize">
							<?php esc_html_e( 'Post video', 'betube' ); ?>
						</span>
					</a>
				</div>
				<!--breadcrumb-->
				<!--Admin Widgets -->
				<div class="bm_admin_main_content_cya p-4 bg-white shadow-sm mb-4">
					<!--Profile Picture-->
					<div class="media bm_admin_main_content_cya_media border-bottom pb-4 mb-5 flex-wrap flex-sm-nowrap">
						<img class="bm_admin_main_content_cya_img img-thumbnail rounded-circle mr-0 mr-sm-4 mb-3 mb-sm-0 betube_upload_author_img" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName);?>">
						<div class="media-body bm_admin_main_content_cya_body">
							<h5>
							<?php esc_html_e( 'Update your profile photo', 'betube' ); ?>
							</h5>
							<p><?php esc_html_e( 'Update your avatar manually,If the not set the default avatar will be the same as your login email/user account.', 'betube' ); ?></p>
							<div class="input-group input-group-lg">
								<div class="custom-file custom-file-lg">
									<input type="file" class="custom-file-input custom-file-lg" id="inputGroupFile01" form="bmForm" name="upload_profile[]">
									<label class="custom-file-label custom-file-lg" for="inputGroupFile01"><?php esc_html_e( 'Select file', 'betube' ); ?></label>
								</div>
							</div>
						</div>
					</div>
					<!--Profile Picture-->
					<form method="POST" id="bmForm" class="needs-validation bm_admin_main_content_cya_form" novalidate enctype="multipart/form-data">
						<!--Basic Information-->
						<div class="form-row border-bottom pb-3 mb-5">
							<div class="col-12">
								<h5 class="mb-4 font-weight-bold">
									<?php esc_html_e( 'Your basic information :', 'betube' ); ?>
								</h5>
							</div>
							<div class="col-12 col-sm-6">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'First name:', 'betube' ); ?>
									</label>
									<input type="text" name="first_name" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter your first name", 'betube') ?>" value="<?php echo esc_html($user_info->first_name); ?>">
								</div>                                    
							</div>
							<div class="col-12 col-sm-6">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'Last name:', 'betube' ); ?>
									</label>
									<input type="text" name="last_name" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter your last name", 'betube') ?>" value="<?php echo esc_html($user_info->last_name); ?>">
								</div>
							</div>
							<div class="col-12">
								<div class="form-group mb-2">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'Your biography:', 'betube' ); ?>
									</label>
									<textarea class="form-control h-auto" cols="30" rows="8" placeholder="<?php esc_attr_e("Write about yourself", 'betube') ?>" name="desc"><?php echo esc_html($user_info->description); ?></textarea>
								</div>
							</div>
						</div>
						<!--Basic Information-->
						<!--Contact Info-->
						<div class="form-row border-bottom pb-2 mb-5">
							<div class="col-12">
								<h5 class="mb-3 font-weight-bold"><?php esc_html_e( 'Contact info :', 'betube' ); ?></h5>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'Phone :', 'betube' ); ?>
									</label>
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text">
												<i class="fas fa-phone"></i>
											</span>
										</div>
										<input type="tel" class="form-control form-control-lg" name="phone" placeholder="<?php esc_attr_e("Enter your phone number", 'betube') ?>" aria-label="telephone" value="<?php echo esc_attr($user_info->phone); ?>">
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e("Website URL", 'betube') ?>
									</label>
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text">
												<i class="fas fa-globe"></i>
											</span>
										</div>
										<input type="url" name="website" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter your Website URL", 'betube') ?>" aria-label="URL" value="<?php echo esc_url($user_info->user_url); ?>">
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e("Email :", 'betube') ?>
										<span class="text-danger">*</span>
									</label>
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text">
												<i class="fas fa-globe"></i>
											</span>
										</div>
										<input type="email" name="email" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter your email address..", 'betube') ?>" aria-label="Email" value="<?php echo sanitize_email($user_info->user_email); ?>" required>
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter a valid email.", 'betube') ?>
									</div>
								</div>
							</div>
						</div>
						<!--Contact Info-->
						<!--Social Info-->
						<div class="form-row border-bottom pb-2 mb-5">
							<div class="col-12">
								<h5 class="mb-3 font-weight-bold">
									<?php esc_html_e("Social profile links :", 'betube') ?>
								</h5>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-facebook-f"></i>
											</span>
										</div>
										<input type="url" name="facebook" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter Facebook URL", 'betube') ?>" aria-label="facebook" value="<?php echo esc_url($user_info->facebook); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter Facebook URL", 'betube') ?>
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-twitter"></i>
											</span>
										</div>
										<input type="url" name="twitter" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter twitter profile URL", 'betube') ?>" aria-label="twitter" value="<?php echo esc_url($user_info->twitter); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter twitter URL", 'betube') ?>
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-instagram"></i>
											</span>
										</div>
										<input type="url" name="instagram" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter Instagram URL", 'betube') ?>" aria-label="instagram" value="<?php echo esc_url($user_info->instagram); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter instagram URL", 'betube') ?>
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-pinterest"></i>
											</span>
										</div>
										<input type="url" name="pinterest" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter Pinterest URL", 'betube') ?>" aria-label="pinterest" value="<?php echo esc_url($user_info->pinterest); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter pinterest URL", 'betube') ?>
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-linkedin-in"></i>
											</span>
										</div>
										<input type="url" name="linkedin" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter LinkedIn URL", 'betube') ?>" aria-label="linkedin" value="<?php echo esc_url($user_info->linkedin); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter instagram URL", 'betube') ?>
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-youtube"></i>
											</span>
										</div>
										<input type="url" name="youtube" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter YouTube URL", 'betube') ?>" aria-label="youtube" value="<?php echo esc_url($user_info->youtube); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter YouTube URL", 'betube') ?>
									</div>
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<div class="input-group input-group-lg">
										<div class="input-group-prepend">
											<span class="input-group-text d-inline-flex align-items-center justify-content-center">
												<i class="fab fa-vimeo"></i>
											</span>
										</div>
										<input type="url" name="vimeo" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter Vimeo URL", 'betube') ?>" aria-label="vimeo" value="<?php echo esc_url($user_info->vimeo); ?>">
									</div>
									<div class="valid-feedback">
										<?php esc_html_e("Looks good!", 'betube') ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e("Please enter vimeo URL", 'betube') ?>
									</div>
								</div>
							</div>
						</div>
						<!--Social Info-->
						<!--Update Password-->
						<div class="form-row border-bottom mb-4">
							<div class="col-12">
								<h5 class="mb-3 font-weight-bold">
									<?php esc_html_e("Update your password :", 'betube') ?>
								</h5>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e("Current Password :", 'betube') ?>
									</label>
									<input type="password" name="password" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter current password", 'betube') ?>">
								</div>
							</div>
							<div class="col-12 col-sm-6 col-md-4">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e("Type New Password :", 'betube') ?>
									</label>
									<input type="password" name="new-password" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Enter new password", 'betube') ?>">
								</div>
							</div>
							<div class="col-12 col-sm-12 col-md-4">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e("Re-type new password :", 'betube') ?>
									</label>
									<input type="password" name="confirm" class="form-control form-control-lg" placeholder="<?php esc_attr_e("Please re-type new password", 'betube') ?>">
								</div>
							</div>
							<div class="col">
								<p class="text-muted"><?php esc_html_e("If you would like to change the password type a new one. Otherwise leave blank", 'betube') ?></p>
							</div>
						</div>
						<!--Update Password-->
						<button type="submit" class="btn btn-block btn-lg btn-success">
							<?php esc_html_e("Update now", 'betube') ?>
						</button>
					</form>
				</div>
				<!--Admin Widgets -->
			</section>
		</main>
	</div><!--row-->
</div><!--container-fluid-->
<?php get_template_part('templates/dashboard/btp_dashboard_footer'); ?>