<?php
/**
 * Template Name: Edit Video
 *
 * @package betube
 * @since betube 3.0
 */
if (!is_user_logged_in()){
	$login = betube_get_template_url('template-login.php');
	wp_redirect($login); exit;
}
/*==========================
 BeTubePro : Define Variables
===========================*/
global $redux_demo, $message, $betube_gdpr, $nickName, $displayName, $current_user, $current_userID, $hasError, $post_status, $allowed, $currentPostID, $attachments, $thisCatID, $jtheme_video_file, $jtheme_video_url, $jtheme_video_code, $current_post_time, $current_post_quality, $post_thumbnail;
$betube_upload_size = 50;
$current_user = wp_get_current_user();
$current_userID = $current_user->ID;
$user_info = get_userdata($current_userID);
$displayName = $current_user->display_name;
if(empty($displayName)){
	$displayName = $current_user->user_nicename;
}
if(empty($displayName)){
	$displayName = $current_user->user_login;
}
$beTubedateFormat = get_option( 'date_format' );
$authorEmail = $current_user->user_email;
$betubeAuthorIMG = get_user_meta($current_userID, "betube_author_avatar_url", true);
$betubeAuthorIMG = betube_get_image_url($betubeAuthorIMG);
if(empty($betubeAuthorIMG)){
	$betubeAuthorIMG = betube_get_avatar_url ($authorEmail, $size = '150' );
}
if(isset($redux_demo)){
	$embedVideo = $redux_demo['betube_embed_self_video'];
	$selfVideo = $redux_demo['betube-custom-uploading'];
	$betube_upload_size = $redux_demo['betube_upload_size'];
}
/*==========================
 BeTubePro : Get Template URLS
===========================*/
$pagepermalink = get_permalink($post->ID);
$profileURL = betube_get_template_url('template-profile.php');
$all_adds = betube_get_template_url('template-all-posts.php');
$favouriteURL = betube_get_template_url('template-favorite.php');
$submitVideo = betube_get_template_url('template-submit-video.php');
$editPostURL = betube_get_template_url('template-edit-video.php');
/*==========================
 BeTubePro : Post Video
===========================*/
$args = array(
	'post_type' => 'post',
	'post_status' => array('publish', 'pending', 'draft', 'trash', 'private', 'expired', 'future', 'rejected'),
	'posts_per_page' => '1',
	'p' => $_GET['post'],
);
$query = new WP_Query($args);
if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post();
	if(isset($_GET['post'])) {
		if($_GET['post'] == $post->ID){
			$currentPostID = $_GET['post'];
			$postAuthor = get_post_field( 'post_author', $currentPostID );
			$postStatus = get_post_status($currentPostID);
			if(current_user_can('administrator') ){
				/*==Continue Editing==*/
			}else{
				/*==========================
				Security check
				===========================*/
				if($postAuthor != $current_userID) {
					wp_redirect( home_url() ); exit;
				}
			}
			/*==========================
			Get Post Info
			===========================*/
			$current_post_title = get_the_title($currentPostID);
			$current_post_content = get_the_content($currentPostID);
			$current_posttags = get_the_tags($currentPostID);
			if ($current_posttags) {
				foreach($current_posttags as $tag) {
					$current_tags_list = $tag->name . ' ';
				}
			}
			$categories = get_the_category( $currentPostID );
			if($categories){
				foreach ($categories as $category){
					$thisCatID = $category->term_id;
				}
			}
			$jtheme_video_url = get_post_meta($currentPostID, 'jtheme_video_url', true);
			$jtheme_video_code = get_post_meta($currentPostID, 'jtheme_video_code', true);
			$jtheme_video_file = get_post_meta($currentPostID, 'jtheme_video_file', true);
			$current_post_time = get_post_meta($currentPostID, 'post_time', true);
			$current_post_quality = get_post_meta($currentPostID, 'post_quality', true);
			if ( has_post_thumbnail($currentPostID) ) {
				$post_thumbnail = get_the_post_thumbnail_url($currentPostID, 'full');
			}
		}
	}
endwhile; endif;
wp_reset_query();
if(isset($_POST['submitted']) && isset($_POST['post_nonce_field']) && wp_verify_nonce($_POST['post_nonce_field'], 'post_nonce')) {
	$hasError = false;
	/*==========================
	betube : We must need title and category
	To post Video
	===========================*/
	if(trim($_POST['postTitle']) === '') {
		$message = esc_html__( 'Please enter Title', 'betube' );
		$hasError = true;
	} else {
		$postTitle = sanitize_text_field($_POST['postTitle']);
	} 	
	if(trim($_POST['cat']) === '-1') {
		$message = esc_html__( 'Please select category', 'betube' );
		$hasError = true;
	} 
	/*==========================
	BeTubePro : If there is no error then we
	Will process data
	===========================*/	
	if($hasError == false ) {
		/*==========================
		BeTubePro : Post status
		If user is admin then post status will be published
		If user is not admin then post stats will depends on
		theme options settings.
		===========================*/
		if(is_super_admin() ){
			$post_status = 'publish';
		}elseif(!is_super_admin()){
			$post_status = $_POST['post_status'];			
		}
		/*==========================
		BeTubePro : Setup post data
		===========================*/
		$post_information = array(
			'ID' => $currentPostID,
			'post_title' => esc_attr(strip_tags($_POST['postTitle'])),
			'post_content' => strip_tags($_POST['video-body'], '<a><h1><h2><h3><strong><b>'),
			'post-type' => 'post',
			'post_category' => array($_POST['cat']),
	        'tags_input'    => explode(',', $_POST['post_tags']),
	        'comment_status' => 'open',
	        'post_author' => $_POST['postAuthor'],
	        'ping_status' => 'open',
			'post_status' => $post_status
		);
		$post_id = wp_insert_post($post_information);
		if(isset($_POST['video_link'])){
			update_post_meta($post_id, 'jtheme_video_url', $_POST['video_link'], $allowed);
		}
		if(isset($_POST['video_embed_code'])){
			update_post_meta($post_id, 'jtheme_video_code', $_POST['video_embed_code'], $allowed);
		}
		if(isset($_POST['post_time'])){
			update_post_meta($post_id, 'post_time', $_POST['post_time'], $allowed);
		}
		if(isset($_POST['post_quality'])){
			update_post_meta($post_id, 'post_quality', $_POST['post_quality'], $allowed);
		}
		$permalink = get_permalink( $post_id );
		if(isset($_POST['attachedids'])){
			$attachedids = $_POST['attachedids'];
			foreach($attachedids as $ids){
				$attachedURL = wp_get_attachment_url($ids);
				$attachedType = wp_check_filetype($attachedURL);
				$attCheck = $attachedType['ext'];
				if($attCheck == 'jpg' || $attCheck == 'png' || $attCheck == 'jpeg'){
					set_post_thumbnail( $post_id, $ids );
				}else{
					update_post_meta($post_id, 'jtheme_video_file', $attachedURL, $allowed);
				}				
				wp_update_post( array(
						'ID' => $ids,
						'post_parent' => $post_id
					)
				);			
			}
		}
		/*If Post Insert Successfully*/
		wp_redirect( $permalink ); exit;
		
	}/*End If there is no error*/
}
?>
<?php get_template_part('templates/dashboard/btp_dashboard_header'); ?>
<div class="container-fluid">
	<div class="row">
		<?php get_template_part('templates/dashboard/btp_dashboard_nav'); ?>
		<main class="col-md-12 ml-xl-auto col-lg-12 col-xl-10 bm_admin_main">
			<nav class="bm_admin_main_nav nav align-items-center py-3 box-shadow-bottom bg-white">
				<button class="bm_cl_navbar__toggler navbar-toggler d-inline-flex d-xl-none align-items-center">
					<i class="bm_cl_navbar__toggler_icon fas fa-bars"></i>
				</button>
				<div class="media bm_admin_sidebar_author ml-auto p-0">
					<div class="media-body bm_admin_sidebar_author_body align-self-center">
						<h6 class="bm_admin_sidebar_author_heading small mb-0">
							<?php esc_html_e( 'Hello, ', 'betube' ); ?>&nbsp;<?php echo esc_html($displayName); ?>
						</h6>
					</div>
					<img class="bm_admin_sidebar_author_img ml-2" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName); ?>">
				</div><!--media-->
			</nav>
			<section class="bm_admin_main_content pt-4 px-xl-2">
				<!--breadcrumb-->
				<div class="bm_admin_main_content_head d-flex align-items-center mb-4 flex-wrap">
					<h4 class="mb-0 mr-3 font-weight-bold">
						<?php esc_html_e( 'Post Video', 'betube' ); ?>
					</h4>
					<nav aria-label="breadcrumb">
						<ol class="breadcrumb bg-transparent mb-0 p-0 rounded-0 pl-0">
							<li class="breadcrumb-item">
								<a href="<?php echo esc_url($profileURL); ?>"><?php esc_html_e( 'Profile', 'betube' ); ?></a>
							</li>
							<li class="breadcrumb-item active" aria-current="page">
								<?php echo get_the_title(); ?>
							</li>
						</ol>
					</nav>
					<a href="<?php echo esc_url($submitVideo);?>" class="btn btn-success ml-auto">
						<i class="fas fa-edit"></i>
						<span class="d-none d-sm-inline-block">
							<?php esc_html_e( 'Post video', 'betube' ); ?>
						</span>
					</a>
				</div>
				<!--breadcrumb-->
				<!--Admin Widgets -->
				<div class="bm_admin_main_content_cya p-4 bg-white shadow-sm mb-4">
					<div class="bm_admin_main_content_cya_head mb-4">
						<h4 class="font-weight-bold"><?php esc_html_e( 'Upload your video', 'betube' ); ?></h4>
						<p class="text-muted"><?php esc_html_e( 'Items marked with * are required fields.', 'betube' ); ?></p>
					</div>
					<form method="POST" class="needs-validation bm_admin_main_content_cya_form" novalidate  enctype="multipart/form-data">
						<input type="hidden" id="postAuthor"  name="postAuthor" value="<?php echo esc_attr($postAuthor); ?>">
						<input type="hidden" id="postAuthor"  name="post_status" value="<?php echo esc_attr($postStatus); ?>">
						<div class="form-row border-bottom pb-3 mb-3">
							<div class="col-12">
								<div class="form-group mb-4">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label"><?php esc_html_e( 'Video title :', 'betube' ); ?><span class="text-danger">*</span></label>
									<input type="text" name="postTitle" class="form-control form-control-lg" placeholder="<?php esc_attr_e( 'Please enter a title.', 'betube' ); ?>" value="<?php echo esc_html($current_post_title); ?>" required>
									<div class="valid-feedback">
										<?php esc_html_e( 'Looks good!', 'betube' ); ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e( 'Please enter a title.', 'betube' ); ?>
									</div>
								</div><!--form-group-->
							</div><!--col-12-->
							<div class="col-12">
								<div class="form-group mb-4">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label"><?php esc_html_e( 'Video Description/Details :', 'betube' ); ?><span class="text-danger">*</span></label>
									<textarea class="form-control" name="video-body" placeholder="<?php esc_attr_e( 'Enter video details here.', 'betube' ); ?>"><?php echo esc_html($current_post_content);?></textarea>
								</div><!--form-group-->
							</div><!--col-12-->
							<div class="col-6 col-sm-6 col-md-6 col-lg-6">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label"><?php esc_html_e( 'Category', 'betube' ); ?><span class="text-danger">*</span></label>
									<?php
									$args = array(
										'show_option_none' => esc_html__('Select category', 'betube'),
										'class' => 'custom-select custom-select-lg',
										'hide_empty' => 0,
										'depth' => 5,
										'hierarchical' => 1,
										'orderby' => 'ASC',
										'id' => 'catID',
										'selected' => $thisCatID,
										'required' => true,
									);									
									wp_dropdown_categories($args);
									?>
								</div><!--form-group-->
							</div><!--col-12-->
							<div class="col-6 col-sm-6 col-md-6 col-lg-6">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label"><?php esc_html_e( 'Video keywords :', 'betube' ); ?><span class="text-danger">*</span></label>
									<?php 
									echo "<input type='text' placeholder='".esc_html__('Enter keywords for better search: video, movie, cartoon', 'betube')."' name='post_tags' value='";
									$posttags = get_the_tags($currentPostID);
									if ($posttags) {
										foreach($posttags as $tag) {
											$tags_list = $tag->name . ', ';
											echo esc_html($tags_list);
										}
									}
									echo "' class='form-control form-control-lg'>";
									?>
									<div class="valid-feedback">
										<?php esc_html_e( 'Looks good!', 'betube' ); ?>
									</div>
									<div class="invalid-feedback">
										<?php esc_html_e( 'Please enter a keywords.', 'betube' ); ?>
									</div>
								</div><!--form-group-->
							</div><!--col-12-->
							<div class="col-6 col-sm-6 col-md-6 col-lg-6">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'Duration :', 'betube' ); ?> 
									</label>
									<input name="post_time" type="text" class="form-control form-control-lg" placeholder=" <?php esc_attr_e( 'Enter Video duration time like 15:20', 'betube' ); ?>" value="<?php echo esc_html($current_post_time);?>">
								</div><!--form-group-->
							</div>
							<div class="col-6 col-sm-6 col-md-6 col-lg-6">
								<div class="form-group">
									<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'Quality :', 'betube' ); ?>
									</label>
									<input name="post_quality" type="text" class="form-control form-control-lg" placeholder="<?php esc_attr_e( 'Enter video quality like HD, 720p, 320p', 'betube' ); ?>" value="<?php echo esc_html($current_post_quality);?>">
								</div><!--form-group-->
							</div>
							<!--Upload-->
							<div class="col-12">
								<div class="tab-content mb-4">
									<?php if($selfVideo == true){ ?>
									<div id="customUpload">
										<div class="dropzone dz-clickable mb-4" id="betube_editdropzone" data-max-file="2" data-max-size="<?php echo esc_attr($betube_upload_size);?>">
											<div class="dz-default dz-message" data-dz-message="">
												<span><?php esc_html_e( 'Drop files here to upload', 'betube' ); ?></span>
												<span><?php esc_html_e( 'or', 'betube' ); ?></span>
												<span class="btn btn-success">
													<?php esc_html_e( 'Click here', 'betube' ); ?>
												</span>
												<span><?php esc_html_e( 'to select video file', 'betube' ); ?></span>
												<p class="text-muted">(<?php esc_html_e( 'Your image will be used as a featured image, and it will be shown as thumbnail.', 'betube' ); ?>)</p>
											</div>
											<div class="dz-max-file-msg">
												<div class="alert alert-danger text-center">
													<?php esc_html_e( 'we are sorry but your upload limit is reached.', 'betube' ); ?>
													<?php esc_html_e('Max file size need to be', 'betube') ?>&nbsp;<?php echo esc_attr($betube_upload_size*1024 / 1024);?>&nbsp;<?php esc_html_e('KB .', 'betube') ?>
												</div>
											</div>					
										</div>
										<p class="d-lg-none d-md-none alert alert-warning">
											<strong><?php esc_html_e('Alert', 'betube') ?> :</strong>
											<?php esc_html_e('Multi selection is not supported by Opera, UC Browser, Firefox or KaiOS Mobile browser', 'betube') ?>
										</p>
									</div>
									<?php } ?>
									<?php if($embedVideo == true){ ?>
									<div class="form-group mb-4">
										<label class="label-sm qs-font-weight-medium bm_cya_form_label">
										<?php esc_html_e( 'Video URL', 'betube' ); ?>
										</label>
										<input name="video_link" type="url" class="form-control form-control-lg" placeholder="<?php esc_attr_e('http://youtube.com/xkijkbh', 'betube') ?>" value="<?php echo esc_url($jtheme_video_url);?>">
									</div>
									<?php } ?>
									<?php if($embedVideo == true){ ?>
									<div id="form-group mb-4">
										<label class="label-sm qs-font-weight-medium bm_cya_form_label"><?php esc_html_e( 'iFrame/Embed/Object', 'betube' ); ?></label>
										<textarea name="video_embed_code" class="form-control" placeholder="<?php esc_attr_e("Paste your embed code here", 'betube') ?>"></textarea>
									</div>
									<?php } ?>
								</div><!--tab-content-->
							</div>
							<!--Upload-->
							<div class="col-12">
								<?php wp_nonce_field('post_nonce', 'post_nonce_field'); ?>
								<input type="hidden" name="submitted" id="submitted" value="true" />
								<button type="submit" name="submit" class="btn btn-success btn-block btn-lg">
									<?php esc_html_e("Publish Now", 'betube') ?>
								</button>
							</div>
						</div><!--form-row-->
					</form>
				</div>
				<!--Admin Widgets -->
			</section>
		</main>
	</div><!--row-->
</div><!--container-fluid-->
<?php 
$imgargs = array(
	'post_parent' => $currentPostID,
	'post_status' => 'inherit',
	'post_type'   => 'attachment', 
	'post_mime_type'   => 'image', 
	'order' => 'ASC',
	'orderby' => 'menu_order',
);
$attachments = get_children($imgargs);
?>
<script>
jQuery(document).ready(function () {
	jQuery.noConflict();
	if(jQuery('div').is('#betube_editdropzone')){
		Dropzone.autoDiscover = false;
		var myDropzone = jQuery("#betube_editdropzone");
		var maxfile = myDropzone.data("max-file");
        var maxsize = myDropzone.data("max-size");
		var filemsg = jQuery(".dz-max-file-msg");		
		var ourIDS = '';
		myDropzone.dropzone ({
			url: btpro.ajaxurl,
			acceptedFiles: "image/*,.mp4,.mov,.webm",			
			maxFiles: maxfile,
			parallelUploads: 1,
			uploadMultiple: true,					
			addRemoveLinks: true,
			maxFilesize: maxsize,
			init: function() {
				<?php
				if($attachments || $post_thumbnail || $jtheme_video_file){
					if(empty($attachments)){
						$imgID = get_post_thumbnail_id($currentPostID);
						$imgURL = $post_thumbnail;
						$fileName = get_the_title($imgID);
						?>
						var attID = <?php echo esc_attr($imgID); ?>;
						var mockFile = {
							name: "<?php echo esc_html($fileName); ?>",
							size: 12345,
							id: attID,
							accepted:true
						};
						this.emit("addedfile", mockFile);
						this.emit("thumbnail", mockFile, '<?php echo esc_url($imgURL);?>');
						this.emit("complete", mockFile);
						jQuery(mockFile.previewElement).attr("id", attID);
						jQuery(mockFile.previewElement).append('<input name="attachedids[]" type="hidden" value="'+ attID +'">');
						mockFile.previewElement.classList.add(attID);						
						<?php
					}else{
						foreach ($attachments as $att_id => $attachment){
							$attachment_ID = $attachment->ID;
							$fileName = $attachment->post_title;
							$imgURL = wp_get_attachment_url($attachment->ID);
							?>
							var attID = <?php echo esc_attr($attachment_ID); ?>;
							var mockFile = {
								name: "<?php echo esc_html($fileName); ?>",
								size: 12345,
								id: attID,
								accepted:true
							};
							this.emit("addedfile", mockFile);
							this.emit("thumbnail", mockFile, '<?php echo esc_url($imgURL);?>');
							this.emit("complete", mockFile);
							jQuery(mockFile.previewElement).attr("id", attID);
							jQuery(mockFile.previewElement).append('<input name="attachedids[]" type="hidden" value="'+ attID +'">');
							mockFile.previewElement.classList.add(attID);							
							<?php
						}
					}
					if(!empty($jtheme_video_file)){
						$attachedID = betube_get_attachedfile_id($jtheme_video_file);
						$fileName = basename($jtheme_video_file);
						$imgURL = '';
						?>
						var attID = <?php echo esc_attr($attachedID); ?>;
						var mockFile = {
							name: "<?php echo esc_html($fileName); ?>",
							size: 12345,
							id: attID,
							accepted:true
						};
						this.emit("addedfile", mockFile);
						this.emit("thumbnail", mockFile, '<?php echo esc_url($imgURL);?>');
						this.emit("complete", mockFile);
						jQuery(mockFile.previewElement).attr("id", attID);
						jQuery(mockFile.previewElement).append('<input name="attachedids[]" type="hidden" value="'+ attID +'">');
						mockFile.previewElement.classList.add(attID);
						<?php
					}
				}
				?>
                this.on("error", function(file, message) {
					filemsg.show();
					this.removeFile(file);
				});
				this.on("sending", function(file, xhr, formData) {
					formData.append("action", "betubepro_media_upload");
				});
				this.on("success", function(file, response) {					
					jQuery(file.previewElement).append('<input name="attachedids[]" type="hidden" value="'+ response +'">');
					jQuery(file.previewElement).attr("id", response);
				});
				this.on("removedfile", function(file) {
					var attachedID = jQuery(file.previewElement).attr("id");
					var attachedData = {
						'action': 'betubepro_media_upload',			
						'delete_attached': attachedID
					};
					jQuery.ajax({
						type : 'POST',
						dataType : 'json',
						url : btpro.ajaxurl,
						data : attachedData,						
					});
				});
			},
		});
	}
});
</script>
<?php get_template_part('templates/dashboard/btp_dashboard_footer'); ?>