<?php
/**
 * Template name: Followers
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 1.0
 */
if ( !is_user_logged_in() ) { 
	global $redux_demo; 
	$login = betube_get_template_url('template-login.php');
	wp_redirect( $login ); exit;
}
if(isset($_POST['follower'])){
	$author_id = $_POST['author_id'];
	$follower_id = $_POST['follower_id'];
	echo betube_authors_insert($author_id, $follower_id);	
}
if(isset($_POST['unfollow'])){
	$author_id = $_POST['author_id'];
	$follower_id = $_POST['follower_id'];
	echo betube_authors_unfollow($author_id, $follower_id);	
}
if(isset($_POST['favorite'])){
	$author_id = $_POST['author_id'];
	$post_id = $_POST['post_id'];
	echo betube_favorite_insert($author_id, $post_id);
}
/*==========================
 BeTubePro : Define Variables
===========================*/
global $redux_demo, $current_user, $current_userID, $paged, $wp_query;
global $redux_demo, $current_user, $current_userID, $paged, $wp_query;
$current_user = wp_get_current_user();
$current_userID = $current_user->ID;
$user_info = get_userdata($user_ID);
$displayName = $current_user->display_name;
if(empty($displayName)){
	$displayName = $current_user->user_nicename;
}
if(empty($displayName)){
	$displayName = $current_user->user_login;
}
$beTubedateFormat = get_option( 'date_format' );
$authorEmail = $current_user->user_email;
$betubeAuthorIMG = get_user_meta($current_userID, "betube_author_avatar_url", true);
$betubeAuthorIMG = betube_get_image_url($betubeAuthorIMG);
if(empty($betubeAuthorIMG)){
	$betubeAuthorIMG = betube_get_avatar_url ($authorEmail, $size = '150' );
}
/*==========================
 BeTubePro : Get Template URLS
===========================*/
$pagepermalink = get_permalink($post->ID);
$profileURL = betube_get_template_url('template-profile.php');
$all_adds = betube_get_template_url('template-all-posts.php');
$favouriteURL = betube_get_template_url('template-favorite.php');
$newPostAds = betube_get_template_url('template-submit-video.php');
$editPostURL = betube_get_template_url('template-edit-video.php');
?>
<?php get_template_part('templates/dashboard/btp_dashboard_header'); ?>
<div class="container-fluid">
	<div class="row">
		<?php get_template_part('templates/dashboard/btp_dashboard_nav'); ?>
		<main class="col-md-12 ml-xl-auto col-lg-12 col-xl-10 bm_admin_main">
			<nav class="bm_admin_main_nav nav align-items-center py-3 box-shadow-bottom bg-white">
				<button class="bm_cl_navbar__toggler navbar-toggler d-inline-flex d-xl-none align-items-center">
					<i class="bm_cl_navbar__toggler_icon fas fa-bars"></i>
				</button>
				<div class="media bm_admin_sidebar_author ml-auto p-0">
					<div class="media-body bm_admin_sidebar_author_body align-self-center">
						<h6 class="bm_admin_sidebar_author_heading small mb-0">
							<?php esc_html_e( 'Hello, ', 'betube' ); ?>&nbsp;<?php echo esc_html($displayName); ?>
						</h6>
					</div>
					<img class="bm_admin_sidebar_author_img ml-2" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName); ?>">
				</div><!--media-->
			</nav>
			<section class="bm_admin_main_content pt-4 px-xl-2">
				<!--breadcrumb-->
				<div class="bm_admin_main_content_head d-flex align-items-center mb-4 flex-wrap">
					<h4 class="mb-0 mr-3">
						<?php esc_html_e( 'Followers', 'betube' ); ?>
					</h4>
					<nav aria-label="breadcrumb">
						<ol class="breadcrumb bg-transparent mb-0 p-0 rounded-0 pl-0">
							<li class="breadcrumb-item">
								<a href="<?php echo esc_url($profileURL); ?>"><?php esc_html_e( 'Profile', 'betube' ); ?></a>
							</li>
							<li class="breadcrumb-item active" aria-current="page">
								<?php echo get_the_title(); ?>
							</li>
						</ol>
					</nav>
					<a href="<?php echo esc_url($newPostAds);?>" class="btn btn-success ml-auto">
						<i class="fas fa-edit"></i>
						<span class="d-none d-sm-inline-block">
							<?php esc_html_e( 'Post video', 'betube' ); ?>
						</span>
					</a>
				</div>
				<!--breadcrumb-->
				<div class="bm_admin_main_content_cya p-4 bg-white shadow-sm mb-4">
					<ul class="nav nav-pills border-bottom pb-4 mb-4" id="pills-tab" role="tablist">
						<li class="nav-item">
                        	<a class="nav-link bm_follow_filter__link active" href="#" data-toggle="pill" data-rel="followers"><?php esc_html_e( 'Followers', 'betube' ); ?></a>
                        </li>
						<li class="nav-item">
							<a class="nav-link bm_follow_filter__link" href="#" data-toggle="pill" data-rel="following"><?php esc_html_e( 'Following', 'betube' ); ?></a>
						</li>
					</ul>
					<div class="bm_admin_follow_content">
						<div class="row followers border-bottom mb-3">
							<div class="col-12">
								<h5 class="mb-3">
									<?php esc_html_e( 'Followers', 'betube' ); ?>
								</h5>
							</div>
							<?php
							if( function_exists('betubeAllFollowers')){
								$followersIDs = betubeAllFollowers($current_userID);
								if(!empty($followersIDs)){
									foreach ( $followersIDs as $followersID ){
										$followerData = get_userdata($followersID);
										$followerName = $followerData->display_name;
										if(empty($followerName)){
											$followerName = $followerData->user_nicename;
										}
										if(empty($followerName)){
											$followerName = $followerData->user_login;
										}
										$followerEmail = $followerData->user_email;
										$followerIMG = get_user_meta($followersID, "betube_author_avatar_url", true);
										$followerIMG = betube_get_image_url($followerIMG);
										if(empty($followerIMG)){
											$followerIMG = betube_get_avatar_url ($followerEmail, $size = '150' );
										}
									?>
									<div class="col-12 col-sm-6 col-md-4 col-lg-3">
										<form method="POST" class="bm_admin_follow__form mb-3">
											<div class="media bm_admin_follow__media align-items-center">
											<img class="rounded bm_admin_follow__img mr-3" src="<?php echo esc_url($followerIMG);?>" alt="<?php echo esc_html($followerName);?>">
											<div class="media-body">
												<h6 class="mb-1"><?php echo esc_html($followerName);?></h6>
												<p class="mb-1 text-muted">
													<?php echo esc_html($followerData->roles[0]);?>
												</p>
												<input type="hidden" name="author_id" value="<?php echo esc_attr($followersID); ?>"/>
												<input type="hidden" name="follower_id" value="<?php echo esc_attr($current_userID); ?>"/>	
												<button type="submit" name="follower" value="Follow" class="btn btn-danger"><?php esc_html_e( 'Follow', 'betube' ); ?></button>
											</div>
											</div>
										</form>
									</div>
									<?php
									}
								}else{
									?>
									<div class="col-12">
										<p><?php esc_html_e('Sorry you have not follower yet.','betube'); ?></p>
									</div>
									<?php
								}
							}
							?>
						</div><!--row-->
						<div class="row following border-bottom mb-3">
							<div class="col-12">
								<h5 class="mb-3">
									<?php esc_html_e("Following", 'betube') ?>
								</h5>
							</div>
							<?php
							if( function_exists('betubeAllFollowing')){
								$followingIDs = betubeAllFollowing($current_userID);
								if(!empty($followingIDs)){
									foreach ( $followingIDs as $followingID ){
										$followingData = get_userdata($followingID);
										$followingName = $followingData->display_name;
										if(empty($followingName)){
											$followingName = $followingData->user_nicename;
										}
										if(empty($followingName)){
											$followingName = $followingData->user_login;
										}
										$followingEmail = $followingData->user_email;
										$followingIMG = get_user_meta($followingID, "betube_author_avatar_url", true);
										$followingIMG = betube_get_image_url($followingIMG);
										if(empty($followingIMG)){
											$followingIMG = betube_get_avatar_url ($followingEmail, $size = '150' );
										}
									?>
									<div class="col-12 col-sm-6 col-md-4 col-lg-3">
										<form method="POST" class="bm_admin_follow__form mb-3">
											<div class="media bm_admin_follow__media align-items-center">
											<img class="rounded bm_admin_follow__img mr-3" src="<?php echo esc_url($followingIMG);?>" alt="<?php echo esc_html($followingName);?>">
											<div class="media-body">
												<h6 class="mb-1"><?php echo esc_html($followingName);?></h6>
												<p class="mb-1 text-muted">
													<?php echo esc_html($followingData->roles[0]);?>
												</p>
												<input type="hidden" name="author_id" value="<?php echo esc_attr($followingID); ?>"/>
												<input type="hidden" name="follower_id" value="<?php echo esc_attr($current_userID); ?>"/>	
												<button type="submit" name="follower" value="Follow" class="btn btn-danger"><?php esc_html_e( 'Follow', 'betube' ); ?></button>
											</div>
											</div>
										</form>
									</div>
									<?php
									}
								}else{
									?>
									<div class="col-12">
										<p><?php esc_html_e('Sorry you have not followed any user.','betube'); ?></p>
									</div>
									<?php
								}
							}
							?>
						</div><!--row-->
					</div><!--bm_admin_follow_content-->
				</div><!--bm_admin_main_content_cya-->
			</section>
		</main>
	</div><!--row-->
</div><!--container-fluid-->
<?php get_template_part('templates/dashboard/btp_dashboard_footer'); ?>