<?php
/**
 * Template name: HomePage
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */
get_header(); ?>
<?php
global $redux_demo;
$betube_landing_layout = '';
$betube_boxed= 'boxed';
$current_pageID = get_the_ID();
$btp_layout = get_post_meta($current_pageID, 'btp_layout', true);
if(empty($btp_layout)){
	$btp_layout = 'fullwidth';
}
if(isset($redux_demo)){
	$betube_boxed = $redux_demo['betube_boxed'];
	$betube_landing_layout = $redux_demo['betube-landing-layout']['enabled'];
}
if ($betube_landing_layout){
	foreach ($betube_landing_layout as $key=>$value) {
		switch($key) {
			case 'videoslider': get_template_part( 'templates/sliderv1' );
			break;
			case 'layerslider': get_template_part( 'templates/btplayerslider' );
			break;
		}
	}
}
if($btp_layout =='fullwidth'){
	if ($betube_landing_layout){
		foreach ($betube_landing_layout as $key=>$value) {
			switch($key) {
				
				case 'categories': get_template_part( 'templates/categories' );
				break;
				
				case 'trending': get_template_part( 'templates/trending-videos' );
				break;
				
				case 'latest': get_template_part( 'templates/latest-videos' );
				break;
				
				case 'movies': get_template_part( 'templates/movies' );
				break;
				
				case 'blogs': get_template_part( 'templates/blogs' );
				break;
				
				case 'banner1': get_template_part( 'templates/customads' );
				break;
				
				case 'banner2': get_template_part( 'templates/customads2' );
				break;
				
				case 'banner3': get_template_part( 'templates/customads3' );
				break;
				
				case 'catsposts': get_template_part( 'templates/categories-section' );
				break;
				
				case 'content': get_template_part( 'templates/contentsection' );
				break;
			}
		}
	}
}elseif($btp_layout =='sidebar'){
	?>
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="col-lg-9">
				<?php
				if ($betube_landing_layout){
					foreach ($betube_landing_layout as $key=>$value) {
						switch($key) {
							
							case 'categories': get_template_part( 'templates/categories' );
							break;
							
							case 'trending': get_template_part( 'templates/trending-videos' );
							break;
							
							case 'latest': get_template_part( 'templates/latest-videos' );
							break;
							
							case 'movies': get_template_part( 'templates/movies' );
							break;
							
							case 'blogs': get_template_part( 'templates/blogs' );
							break;
							
							case 'banner1': get_template_part( 'templates/customads' );
							break;
							
							case 'banner2': get_template_part( 'templates/customads2' );
							break;
							
							case 'banner3': get_template_part( 'templates/customads3' );
							break;
							
							case 'catsposts': get_template_part( 'templates/categories-section' );
							break;
						}
					}
				}
				?>
			</div><!--col-lg-9-->
			<div class="col-lg-3">
				<div class="btp_sidebar">
					<?php 
					if ( is_active_sidebar( 'home_sidebar' ) ) {
						dynamic_sidebar('home_sidebar');
					}							
					?>
				</div><!--btp_sidebar-->
			</div><!--col-lg-3-->
		</div><!--row-->
	</div><!--container-fluid-->
<?php } ?>
<?php get_footer(); ?>