<?php
/**
 * Template name: Login Page
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube
 */

if ( is_user_logged_in() ) {
	$profile = betube_get_template_url('template-profile.php');
	wp_redirect( $profile ); exit;
}

global $user_ID, $username, $password, $remember, $redux_demo;

//We shall SQL escape all inputs
$username = esc_sql(isset($_REQUEST['username']) ? $_REQUEST['username'] : '');
$password = esc_sql(isset($_REQUEST['password']) ? $_REQUEST['password'] : '');
$remember = esc_sql(isset($_REQUEST['rememberme']) ? $_REQUEST['rememberme'] : '');
	
if($remember){
	$remember = "true";
}else{
	$remember = "false";
}
$login_data = array();
$login_data['user_login'] = $username;
$login_data['user_password'] = $password;
$login_data['remember'] = $remember;
$user_verify = wp_signon( $login_data, false );
if(isset($_POST['submit'])){	
	if($_POST['submit'] == 'Login'){
		
		$login_data = array();
		$login_data['user_login'] = $username;
		$login_data['user_password'] = $password;
		$login_data['remember'] = $remember;
		$user_verify = wp_signon( $login_data, false );
		if( is_wp_error($user_verify)){			
			$UserError = esc_html__( 'Invalid username or password. Please try again!', 'betube' );
		}else{
			$profile = betube_get_template_url('template-profile.php');
			wp_redirect( $profile ); exit;

		}
	}
}
get_header(); 
$betube_boxed= 'boxed';
if(isset($redux_demo)){		
	$betube_boxed = $redux_demo['betube_boxed'];
}
?>
<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
	<div class="row">
		<div class="col-12">
			<!-- breadcrumb -->
			<nav aria-label="breadcrumb">
				<ol class="breadcrumb bg-transparent border-bottom mb-4 rounded-0 pl-0">
					<li class="breadcrumb-item">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="breadcrumb-link">
							<?php esc_html_e('Home ', 'betube' ); ?>
						</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">
						<?php echo get_the_title(); ?>
					</li>
				</ol>
			</nav>
		</div><!--col-12-->
	</div><!--row-->
</div><!--container-->
<section class="btp_inner_page pb-5">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="col-lg-8 mx-auto">
				<h4 class="text-center mb-4"><?php the_title(); ?></h4>
				<div class="text-center mb-4">
				<?php
				if (have_posts()) : while (have_posts()) : the_post();
				the_content();
				endwhile; endif;
				?>
				</div>
				<?php if( class_exists( 'APSL_Lite_Class' ) ) { ?>
					<h5 class="mb-4 text-center"><?php esc_html_e('Login via Social Profile', 'betube'); ?></h5>
					<div class="accesspress mb-4">
					<?php echo do_shortcode('[apsl-login-lite]'); ?>
					</div>
					<h5 class="mb-4 text-center"><?php esc_html_e('or', 'betube'); ?></h5>
				<?php }elseif ( class_exists( 'APSP_Class' ) ) { ?>
					<h5 class="mb-4 text-center"><?php esc_html_e('Login via Social Profile', 'betube'); ?></h5>
					<div class="accesspress mb-4">
					<?php echo do_shortcode('[apsl-login]'); ?>
					</div>
					<h5 class="mb-4 text-center"><?php esc_html_e('or', 'betube'); ?></h5>
					<h5 class="mb-4 text-center">
						<?php esc_html_e('Login here', 'betube'); ?>
					</h5>
				<?php } ?>
			</div><!--col-lg-8-->
			<div class="col-lg-5 mx-auto">
				<?php if(!empty($UserError)) { ?>
				<p class="alert alert-warning">
					<i class="fa fa-exclamation-triangle"></i>
					<?php echo esc_html($UserError); ?>	
				</p>
				<?php } ?>
				<form class="validator" method="POST">
					<!--user name -->
					<div class="form-group">
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text bg-transparent border-right-0">
									<i class="fas fa-user-circle input-group-text-icon"></i>
								</span>
							</div><!--input-group-prepend-->
							<input id="signupUsername" type="text" name="username" class="form-control border-left-0" placeholder="<?php esc_attr_e('Enter your username', 'betube'); ?>" aria-label="Username" data-rule-required="true" data-msg="<?php esc_attr_e('Username is required', 'betube'); ?>" required>
							<div class="valid-feedback">
								<?php esc_html_e('Looks good!', 'betube'); ?>
							</div><!--valid-feedback-->
							<div class="invalid-feedback">
							</div><!--invalid-feedback-->
						</div><!--input-group-->
					</div><!--form-group-->
					<!--user name -->
					<!--password-->
					<div class="form-group">
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text bg-transparent border-right-0">
									<i class="fas fa-key input-group-text-icon"></i>
								</span>
							</div>
							<input id="password" name="password" type="password" class="form-control border-left-0" placeholder="<?php esc_attr_e('Enter your Password', 'betube'); ?>" aria-label="password" data-rule-required="true" data-msg="<?php esc_attr_e('Password is required', 'betube'); ?>" required>
							<div class="valid-feedback">
								<?php esc_html_e('Looks good!', 'betube'); ?>
							</div><!--valid-feedback-->
							<div class="invalid-feedback">
								<?php esc_html_e('Please enter password', 'betube'); ?>
							</div><!--invalid-feedback-->
						</div><!--input-group-->
					</div><!--form-group-->
					<!--password-->
					<!--remember-->
					<div class="form-group">
						<div class="custom-control custom-checkbox">
							<input type="checkbox" class="custom-control-input" id="rememberme" name="rememberme" value="forever">
							<label class="custom-control-label" for="rememberme"><?php esc_html_e( 'Remember me', 'betube' ); ?></label>
						</div>
					</div>
					<!--remember-->
					<button type="submit" name="submit" value="Login" class="btn btn-danger btn-block mb-4"><?php esc_html_e( 'Login now', 'betube' ); ?></button>
					<?php
					$reset = betube_get_template_url('template-reset.php');
					$register = betube_get_template_url('template-register.php');
					?>
					<div class="d-flex align-items-center justify-content-between">
						<a href="<?php echo esc_url($reset); ?>">
							<?php esc_html_e('Forget Password?', 'betube'); ?>
						</a>
						<p class="mb-0"><?php esc_html_e('New Here?', 'betube'); ?> <a href="<?php echo esc_url($register); ?>" class="text-danger"><?php esc_html_e('Sign up now', 'betube'); ?></a></p>
					</div>
				</form>
			</div><!--col-lg-5-->
		</div><!--row-->
	</div><!--container-->
</section>
<?php get_footer(); ?>