<?php
/**
 * Template name: Profile Page
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage betube
 * @since betube 3.0
 */

if ( !is_user_logged_in() ) {
	$login = betube_get_template_url('template-login.php');
	wp_redirect( $login ); exit;
}
global $user_ID, $user_identity, $user_level, $message, $betube_gdpr, $nickName, $displayName; 
$pagepermalink = get_permalink($post->ID);
$editPostURL = betube_get_template_url('template-edit-video.php');

if(isset($_GET['delete_id'])){
	$deleteUrl = $_GET['delete_id'];
	wp_delete_post($deleteUrl);
}
?>
<?php 
global $current_user, $current_userID, $redux_demo, $wp_rewrite;
$current_user = wp_get_current_user();
$current_userID = $current_user->ID;
$displayName = $current_user->display_name;
if(empty($displayName)){
	$displayName = $current_user->user_nicename;
}
if(empty($displayName)){
	$displayName = $current_user->user_login;
}
$beTubedateFormat = get_option( 'date_format' );
$authorEmail = $current_user->user_email;
$user_info = get_userdata($current_userID);
$profile = betube_get_template_url('template-profile.php');
$allFavourite = betube_get_template_url('template-favorite.php');
$submitVideo = betube_get_template_url('template-submit-video.php');
$userAllVideos = betube_get_template_url('template-user-all-video.php');
$betubeAuthorIMG = get_user_meta($current_userID, "betube_author_avatar_url", true);
$betubeAuthorIMG = betube_get_image_url($betubeAuthorIMG);
if(empty($betubeAuthorIMG)){
	$betubeAuthorIMG = betube_get_avatar_url ($authorEmail, $size = '150' );
}
$betube_gdpr = get_the_author_meta('betube_gdpr', $current_userID);
?>
<?php get_template_part('templates/dashboard/btp_dashboard_header'); ?>
<div class="container-fluid">
	<div class="row">
		<?php get_template_part('templates/dashboard/btp_dashboard_nav'); ?>
		<main class="col-md-12 ml-xl-auto col-lg-12 col-xl-10 bm_admin_main">
			<nav class="bm_admin_main_nav nav align-items-center py-3 box-shadow-bottom bg-white">
				<button class="bm_cl_navbar__toggler navbar-toggler d-inline-flex d-xl-none align-items-center">
					<i class="bm_cl_navbar__toggler_icon fas fa-bars"></i>
				</button>
				<div class="media bm_admin_sidebar_author ml-auto p-0">
					<div class="media-body bm_admin_sidebar_author_body align-self-center">
						<h6 class="bm_admin_sidebar_author_heading small mb-0">
							<?php esc_html_e( 'Hello, ', 'betube' ); ?>&nbsp;<?php echo esc_html($displayName); ?>
						</h6>
					</div>
					<img class="bm_admin_sidebar_author_img ml-2" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName); ?>">
				</div><!--media-->
			</nav>
			<section class="bm_admin_main_content pt-4 px-xl-2">
				<!--breadcrumb-->
				<div class="bm_admin_main_content_head d-flex align-items-center mb-4 flex-wrap">
					<h4 class="mb-0 mr-3">
						<?php esc_html_e( 'Dashboard', 'betube' ); ?>
					</h4>
					<nav aria-label="breadcrumb">
						<ol class="breadcrumb bg-transparent mb-0 p-0 rounded-0 pl-0">
							<li class="breadcrumb-item">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'betube' ); ?></a>
							</li>
							<li class="breadcrumb-item active" aria-current="page">
								<?php echo get_the_title(); ?>
							</li>
						</ol>
					</nav>
					<a href="<?php echo esc_url($submitVideo);?>" class="btn btn-success ml-auto">
						<i class="fas fa-edit"></i>
						<span class="d-none d-sm-inline-block">
							<?php esc_html_e( 'Post video', 'betube' ); ?>
						</span>
					</a>
				</div>
				<!--breadcrumb-->
				<div class="bm_admin_main_content_status mb-4">
					<div class="row">
						<!--Total Videos-->
						<div class="col-sm-6 col-lg-3">
							<div class="bm_admin_main_content_status_box rounded p-3 bg-white shadow-sm mb-2 mb-lg-0">
								<div class="media">
									<div class="media-body">
										<span class="text-secondary">
											<?php esc_html_e( 'Total videos posted', 'betube' ); ?>
										</span>
										<h2 class="mb-0">
											<?php echo count_user_posts($current_userID, 'post');?>
										</h2>
									</div>
									<button class="btn btn-lg-asb btn-danger align-self-center">
										<i class="h4 mb-0 far fa-clone text-light"></i>
									</button>
								</div>
							</div>
						</div>
						<!--Total Videos-->
						<!--Total Views-->
						<div class="col-sm-6 col-lg-3">
							<div class="bm_admin_main_content_status_box rounded p-3 bg-white shadow-sm mb-2 mb-lg-0">
								<div class="media">
									<div class="media-body">
										<span class="text-secondary"><?php esc_html_e( 'Total views', 'betube' ); ?></span>
										<h2 class="mb-0">
										<?php echo betube_total_views_byauthor($current_userID);?>
										</h2>
									</div>
									<button class="btn btn-lg-asb btn-primary align-self-center">
										<i class="h4 mb-0 far fa-eye text-light"></i>
									</button>
								</div>
							</div>
						</div>
						<!--Total Views-->
						<!--Watch Later-->
						<div class="col-sm-6 col-lg-3">
							<div class="bm_admin_main_content_status_box rounded p-3 bg-white shadow-sm mb-2 mb-lg-0">
								<div class="media">
									<div class="media-body">
										<span class="text-secondary">
											<?php esc_html_e( 'Watch Later videos', 'betube' ); ?>
										</span>
										<h2 class="mb-0">
										<?php echo betubeFavoriteCount($current_userID);?>
										</h2>
									</div>
									<button class="btn btn-lg-asb btn-heart bg-heart align-self-center">
										<i class="h4 mb-0 far fa-heart text-light"></i>
									</button>
								</div>
							</div>
						</div>
						<!--Watch Later-->
						<!--Subscriber-->
						<div class="col-sm-6 col-lg-3 mb-2 mb-lg-0">
							<div class="bm_admin_main_content_status_box rounded p-3 bg-white shadow-sm">
								<div class="media">
									<div class="media-body">
										<span class="text-secondary">
											<?php esc_html_e( 'Total Subscribers', 'betube' ); ?>
										</span>
										<h2 class="mb-0">
										<?php echo betubeFollowerCount($current_userID);?>
										</h2>
									</div>
									<button class="btn btn-lg-asb btn-indigo bg-heart align-self-center">
										<i class="h4 mb-0 fas fa-users text-light"></i>
									</button>
								</div>
							</div>
						</div>
						<!--Subscriber-->
					</div><!--row-->
				</div><!--bm_admin_main_content_status-->
				<!--Admin Widgets -->
				<div class="bm_admin_main_content_widgets mb-4">
					<div class="row justify-content-center">
						<div class="col-md-8 col-lg-8">
							<div class="bm_admin_main_content_widgets_box bg-white rounded p-3 shadow-sm mb-2 mb-xl-0">
								<div class="bm_admin_main_content_widgets_box_head d-flex align-items-center justify-content-between border-bottom pb-3 mb-3">
									<h5 class="mb-0"><?php esc_html_e( 'Latest videos', 'betube' ); ?></h5>
									<a href="<?php echo esc_url($userAllVideos);?>" class="btn btn-link"><?php esc_html_e( 'view all', 'betube' ); ?></a>
								</div><!--bm_admin_main_content_widgets_box_head-->
								<?php
								$args = array(
									'post_type'  => 'post',
									'author' => $current_userID,
									'posts_per_page' => 5,
								);
								$authorposts = get_posts($args);
								if($authorposts){
									foreach ( $authorposts as $post ){
										setup_postdata( $post );
										$postThumb = betube_thumb_url($post->ID, 'post-thumbnail');
										$post_time = get_post_meta($post->ID, 'post_time', true);
										$post_quality = get_post_meta($post->ID, 'post_quality', true);
									?>
									<div class="media bm_admin_main_content_widgets_media mb-3">
										<?php if(!empty($postThumb)){ ?>
                                        <a href="<?php the_permalink(); ?>">
                                            <img class="rounded mr-2 bm_admin_main_content_widgets_img" src="<?php echo esc_url($postThumb);?>" alt="<?php echo get_the_title();?>">
                                        </a>
										<?php }?>
                                        <div class="media-body overflow-hidden">
											<span class="badge badge-success badge-pill mb-1">
												<i class="far fa-eye"></i>
												<?php echo betube_get_post_views($post->ID); ?>
											</span>
											<?php if(!empty($post_quality)){ ?>
                                            <span class="badge badge-success badge-pill mb-1">
												<i class="fas fa-ribbon"></i>
												<?php echo esc_html($post_quality);?>
											</span>
											<?php } ?>
											<?php if(!empty($post_time)){ ?>
											<span class="badge badge-success badge-pill mb-1">
												<i class="far fa-clock"></i>
												<?php echo esc_html($post_time);?>
											</span>
											<?php } ?>
                                            <h6 class="mb-0 text-ellipses">
                                                <a class="text-dark" href="<?php the_permalink(); ?>"><?php echo get_the_title();?></a>
                                            </h6>
                                            <span class="text-secondary small">
												<?php esc_html_e( 'Posted :', 'betube' ); ?> <?php echo get_the_date($beTubedateFormat, $post->ID); ?>
											</span>
                                        </div>
                                        <div class="dropdown align-self-center">
                                            <i class="text-secondary fas fa-ellipsis-v cursor" data-toggle="dropdown" aria-haspopup="true"></i>
                                            <div class="dropdown-menu dropdown-menu-right">
											<?php
											if ($wp_rewrite->permalink_structure == ''){
												/*==we are using ?page_id==*/
												$edit_post = $editPostURL."&post=".$post->ID;
												$del_post = $pagepermalink."&delete_id=".$post->ID;
											}else{
												/*==we are using Permalink==*/
												$edit_post = $editPostURL."?post=".$post->ID;
												$del_post = $pagepermalink."?delete_id=".$post->ID;
											}
											?>
                                                <a class="dropdown-item small text-secondary" href="<?php the_permalink(); ?>">
                                                    <i class="fas fa-eye mr-2"></i>
                                                    <?php esc_html_e("View video", 'betube') ?>
                                                </a>
                                                <a class="dropdown-item small text-secondary" href="<?php echo esc_url($edit_post); ?>">
                                                    <i class="fas fa-edit mr-2"></i>
                                                    <?php esc_html_e("Edit", 'betube') ?>
                                                </a>
                                                <a class="dropdown-item small text-secondary" href="<?php echo esc_url($del_post); ?>">
                                                    <i class="fas fa-trash-alt mr-2"></i>
                                                    <?php esc_html_e("Delete", 'betube') ?>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
									<?php
									}
								}
								?>
							</div><!--bm_admin_main_content_widgets_box-->
						</div><!--col-md-8-->
						<div class="col-md-4 col-lg-4">
							<div class="bm_admin_main_content_widgets_box bg-white rounded p-3 shadow-sm mb-2 mb-xl-0">
								<div class="bm_admin_main_content_widgets_box_head d-flex align-items-center justify-content-between border-bottom pb-3 mb-3">
									<h5 class="mb-0"><?php esc_html_e("About", 'betube') ?></h5>
								</div><!--bm_admin_main_content_widgets_box_head-->
								<div class="btp_about_author">
									<?php echo wpautop(get_the_author_meta('description', $current_userID)); ?>
									<div class="btp_user_social border-top pt-3">
									<?php 
										$authorWeb = get_the_author_meta('user_url', $current_userID);
										$authorEmail = get_the_author_meta('user_email', $current_userID);
										$authorPhone = get_the_author_meta('phone', $current_userID);
										$userFB = $user_info->facebook;
										$userTW = $user_info->twitter;
										$userPin = $user_info->pinterest;
										$userLin = $user_info->linkedin;
										$userYoutube = $user_info->youtube;
										$userVimeo = $user_info->vimeo;
										$userInstagram = $user_info->instagram;
									?>
									<?php if(!empty($authorWeb)){?>
									<a href="<?php echo esc_url($authorWeb);?>" class="btn btn-sm">
										<i class="fa fa-globe"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userFB)){?>
									<a href="<?php echo esc_url($userFB);?>" class="btn btn-sm">
										<i class="fab fa-facebook-f"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userTW)){?>
									<a href="<?php echo esc_url($userTW);?>" class="btn btn-sm">
										<i class="fab fa-twitter"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userPin)){?>
									<a href="<?php echo esc_url($userPin);?>" class="btn btn-sm">
										<i class="fab fa-pinterest-p"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userLin)){?>
									<a href="<?php echo esc_url($userLin);?>" class="btn btn-sm">
										<i class="fab fa-linkedin-in"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userYoutube)){?>
									<a href="<?php echo esc_url($userYoutube);?>" class="btn btn-sm">
										<i class="fab fa-youtube"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userVimeo)){?>
									<a href="<?php echo esc_url($userVimeo);?>" class="btn btn-sm">
										<i class="fab fa-vimeo-v"></i>
									</a>
									<?php } ?>
									<?php if(!empty($userInstagram)){?>
									<a href="<?php echo esc_url($userInstagram);?>" class="btn btn-sm">
										<i class="fab fa-instagram"></i>
									</a>
									<?php } ?>
									</div>
								</div><!--btp_about_author-->
							</div><!--bm_admin_main_content_widgets_box-->
						</div><!--col-md-4-->
					</div><!--row-->
				</div>
				<!--Admin Widgets -->
			</section>
		</main>
	</div><!--row-->
</div><!--container-fluid-->
<?php get_template_part('templates/dashboard/btp_dashboard_footer'); ?>