<?php
/**
 * Template name: Single User All Video
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package betube
 */

if ( !is_user_logged_in() ) {
	$login = betube_get_template_url('template-login.php');
	wp_redirect( $login ); exit;
}
if(isset($_GET['delete_id'])){
	$deleteUrl = $_GET['delete_id'];
	wp_delete_post($deleteUrl);
}
/*==========================
 BeTubePro : Define Variables
===========================*/
global $redux_demo, $current_user, $current_userID, $paged, $wp_query; 
$current_user = wp_get_current_user();
$current_userID = $current_user->ID;
$user_info = get_userdata($current_userID);
$displayName = $current_user->display_name;
if(empty($displayName)){
	$displayName = $current_user->user_nicename;
}
if(empty($displayName)){
	$displayName = $current_user->user_login;
}
$beTubedateFormat = get_option( 'date_format' );
$authorEmail = $current_user->user_email;
$betubeAuthorIMG = get_user_meta($current_userID, "betube_author_avatar_url", true);
$betubeAuthorIMG = betube_get_image_url($betubeAuthorIMG);
if(empty($betubeAuthorIMG)){
	$betubeAuthorIMG = betube_get_avatar_url ($authorEmail, $size = '150' );
}
/*==========================
 BeTubePro : Get Template URLS
===========================*/
$pagepermalink = get_permalink($post->ID);
$profileURL = betube_get_template_url('template-profile.php');
$all_adds = betube_get_template_url('template-all-posts.php');
$favouriteURL = betube_get_template_url('template-favorite.php');
$newPostAds = betube_get_template_url('template-submit-video.php');
$editPostURL = betube_get_template_url('template-edit-video.php');
?>
<?php get_template_part('templates/dashboard/btp_dashboard_header'); ?>
<div class="container-fluid">
	<div class="row">
		<?php get_template_part('templates/dashboard/btp_dashboard_nav'); ?>
		<main class="col-md-12 ml-xl-auto col-lg-12 col-xl-10 bm_admin_main">
			<nav class="bm_admin_main_nav nav align-items-center py-3 box-shadow-bottom bg-white">
				<button class="bm_cl_navbar__toggler navbar-toggler d-inline-flex d-xl-none align-items-center">
					<i class="bm_cl_navbar__toggler_icon fas fa-bars"></i>
				</button>
				<div class="media bm_admin_sidebar_author ml-auto p-0">
					<div class="media-body bm_admin_sidebar_author_body align-self-center">
						<h6 class="bm_admin_sidebar_author_heading small mb-0">
							<?php esc_html_e( 'Hello, ', 'betube' ); ?>&nbsp;<?php echo esc_html($displayName); ?>
						</h6>
					</div>
					<img class="bm_admin_sidebar_author_img ml-2" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName); ?>">
				</div><!--media-->
			</nav>
			<section class="bm_admin_main_content pt-4 px-xl-2">
				<!--breadcrumb-->
				<div class="bm_admin_main_content_head d-flex align-items-center mb-4 flex-wrap">
					<h4 class="mb-0 mr-3">
						<?php esc_html_e( 'Dashboard', 'betube' ); ?>
					</h4>
					<nav aria-label="breadcrumb">
						<ol class="breadcrumb bg-transparent mb-0 p-0 rounded-0 pl-0">
							<li class="breadcrumb-item">
								<a href="<?php echo esc_url($profileURL); ?>"><?php esc_html_e( 'Profile', 'betube' ); ?></a>
							</li>
							<li class="breadcrumb-item active" aria-current="page">
								<?php echo get_the_title(); ?>
							</li>
						</ol>
					</nav>
					<a href="<?php echo esc_url($newPostAds);?>" class="btn btn-success ml-auto">
						<i class="fas fa-edit"></i>
						<span class="d-none d-sm-inline-block">
							<?php esc_html_e( 'Post video', 'betube' ); ?>
						</span>
					</a>
				</div>
				<!--breadcrumb-->
				<!--Admin Widgets -->
				<div class="bm_admin_main_content_widgets mb-4">
					<div class="row justify-content-center">
						<div class="col-md-12 col-lg-12">
							<div class="bm_admin_main_content_widgets_box bg-white rounded p-3 shadow-sm mb-2 mb-xl-0">
								<div class="bm_admin_main_content_widgets_box_head d-flex align-items-center justify-content-between border-bottom pb-3 mb-3">
									<h5 class="mb-0"><?php esc_html_e( 'Latest videos', 'betube' ); ?></h5>									
								</div><!--bm_admin_main_content_widgets_box_head-->
								<?php
								$args = wp_parse_args($wp->matched_query);
								if ( !empty ( $args['paged'] ) && 0 == $paged ) {
                                    $wp_query->set('paged', $args['paged']);
                                    $paged = $args['paged'];
                                }
								$args = array(
									'post_type'  => 'post',
									'author' => $current_userID,
									'paged' => $paged,
									'posts_per_page' => 10,
								);								
								$wp_query = new WP_Query($args);
								if($wp_query->have_posts()){
									while ($wp_query->have_posts()) : $wp_query->the_post();
										$postThumb = betube_thumb_url($post->ID, 'post-thumbnail');
										$post_time = get_post_meta($post->ID, 'post_time', true);
										$post_quality = get_post_meta($post->ID, 'post_quality', true);
									?>
									<div class="media bm_admin_main_content_widgets_media mb-3">
										<?php if(!empty($postThumb)){ ?>
                                        <a href="<?php the_permalink(); ?>">
                                            <img class="rounded mr-2 bm_admin_main_content_widgets_img" src="<?php echo esc_url($postThumb);?>" alt="<?php echo get_the_title();?>">
                                        </a>
										<?php }?>
                                        <div class="media-body overflow-hidden">
											<span class="badge badge-success badge-pill mb-1">
												<i class="far fa-eye"></i>
												<?php echo betube_get_post_views($post->ID); ?>
											</span>
											<?php if(!empty($post_quality)){ ?>
                                            <span class="badge badge-success badge-pill mb-1">
												<i class="fas fa-ribbon"></i>
												<?php echo esc_html($post_quality);?>
											</span>
											<?php } ?>
											<?php if(!empty($post_time)){ ?>
											<span class="badge badge-success badge-pill mb-1">
												<i class="far fa-clock"></i>
												<?php echo esc_html($post_time);?>
											</span>
											<?php } ?>
                                            <h6 class="mb-0 text-ellipses">
                                                <a class="text-dark" href="<?php the_permalink(); ?>"><?php echo get_the_title();?></a>
                                            </h6>
                                            <span class="text-secondary small">
												<?php esc_html_e( 'Posted :', 'betube' ); ?> <?php echo get_the_date($beTubedateFormat, $post->ID); ?>
											</span>
                                        </div>
                                        <div class="dropdown align-self-center">
                                            <i class="text-secondary fas fa-ellipsis-v cursor" data-toggle="dropdown" aria-haspopup="true"></i>
                                            <div class="dropdown-menu dropdown-menu-right">
											<?php
											if ($wp_rewrite->permalink_structure == ''){
												/*==we are using ?page_id==*/
												$edit_post = $editPostURL."&post=".$post->ID;
												$del_post = $pagepermalink."&delete_id=".$post->ID;
											}else{
												/*==we are using Permalink==*/
												$edit_post = $editPostURL."?post=".$post->ID;
												$del_post = $pagepermalink."?delete_id=".$post->ID;
											}
											?>
                                                <a class="dropdown-item small text-secondary" href="<?php the_permalink(); ?>">
                                                    <i class="fas fa-eye mr-2"></i>
                                                    <?php esc_html_e("View video", 'betube') ?>
                                                </a>
                                                <a class="dropdown-item small text-secondary" href="<?php echo esc_url($edit_post); ?>">
                                                    <i class="fas fa-edit mr-2"></i>
                                                    <?php esc_html_e("Edit", 'betube') ?>
                                                </a>
                                                <a class="dropdown-item small text-secondary" href="<?php echo esc_url($del_post); ?>">
                                                    <i class="fas fa-trash-alt mr-2"></i>
                                                    <?php esc_html_e("Delete", 'betube') ?>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
									<?php
									endwhile;
									echo paginate_links();
									wp_reset_query();
								}
								?>
							</div><!--bm_admin_main_content_widgets_box-->
						</div><!--col-md-8-->
					</div><!--row-->
				</div>
				<!--Admin Widgets -->
			</section>
		</main>
	</div><!--row-->
</div><!--container-fluid-->
<?php get_template_part('templates/dashboard/btp_dashboard_footer'); ?>