<?php 
global $redux_demo;
$betubeLogo = $redux_demo['betube-dashboard-logo']['url'];
/*==========================
Here we will get URL for 
Selected Templates
===========================*/
$profilePageURL = betube_get_template_url('template-profile.php');
$followersPageURL = betube_get_template_url('template-followers.php');
$itemsPageURL = betube_get_template_url('template-user-all-video.php');
$favoritePageURL = betube_get_template_url('template-favorite.php');
$profileSettingsPageURL = betube_get_template_url('template-edit-profile.php');
$submitVideoPageURL = betube_get_template_url('template-submit-video.php');
/*==========================
Collect User Data
===========================*/
$current_user = wp_get_current_user();
$current_user_ID = $current_user->ID;
$authorEmail = $current_user->user_email;
$displayName = $current_user->display_name;
if(empty($displayName)){
	$displayName = $current_user->user_nicename;
}
if(empty($displayName)){
	$displayName = $current_user->user_login;
}
$betubeAuthorIMG = get_user_meta($current_user_ID, "betube_author_avatar_url", true);
$betubeAuthorIMG = betube_get_image_url($betubeAuthorIMG);
if(empty($betubeAuthorIMG)){
	$betubeAuthorIMG = betube_get_avatar_url ($authorEmail, $size = '150' );
}
?>
<nav class="col-md-2 bm_admin_sidebar bg-bdark px-0 bm_admin_responsive_sidebar">
	<div class="bm_admin_sidebar_sticky">
		<div class="bm_admin_sidebar_logo nav_border_bottom_dark">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="bm_admin_sidebar_logo_link">
				<?php if(!empty($betubeLogo)){ ?>
				<img class="bm_admin_sidebar_logo_img img-fluid" src="<?php echo esc_url($betubeLogo);?>" alt="<?php bloginfo( 'name' ); ?>">
				<?php } ?>
			</a>
			<button type="button" class="bm_admin_responsive_sidebar_close badge badge-danger mr-3 border-0 ml-3 d-xl-none" aria-label="<?php esc_attr_e( 'Close', 'betube' ); ?>">
				<i class="fas fa-times"></i>
			</button>
		</div><!--bm_admin_sidebar_logo-->
		<div class="media bm_admin_sidebar_author">
			<img class="bm_admin_sidebar_author_img mr-2" src="<?php echo esc_url($betubeAuthorIMG);?>" alt="<?php echo esc_html($displayName); ?>">
			<div class="media-body bm_admin_sidebar_author_body align-self-center">
				<h6 class="bm_admin_sidebar_author_heading small font-weight-bold mb-0 color-light">
					<?php echo esc_html($displayName); ?>
				</h6>
				<span class="small bm_admin_sidebar_author_stxt color-light">
				<?php echo esc_html($current_user->roles[0]);?>
				</span>
			</div>
		</div><!--media-->
		<?php if(!empty($submitVideoPageURL)){ ?>
		<div class="bm_admin_sidebar_pbtn p-20 nav_border_bottom_dark pt-0">
			<a href="<?php echo esc_url($submitVideoPageURL); ?>" class="btn btn-block btn-success">
				<i class="fas fa-edit"></i>
				<span class="font-weight-bold">
					<?php esc_html_e( 'Post video', 'betube' ); ?>
				</span>
			</a>
		</div><!--bm_admin_sidebar_pbtn-->
		<?php } ?>
		<ul class="nav flex-column bm_admin_nav">
			<?php if(!empty($profilePageURL)){ ?>
			<li class="bm_admin_nav__item">
				<a href="<?php echo esc_url($profilePageURL); ?>" class="d-flex align-items-center bm_admin_nav__link px-20 <?php if(is_page_template( 'template-profile.php' )){echo "active";}?>">
					<i class="bm_admin_nav__icon fas fa-tachometer-alt mr-3"></i>
					<span class="bm_admin_nav__txt">
						<?php esc_html_e( 'Dashboard', 'betube' ); ?>
					</span>
				</a>
			</li><!--Dashboard-->
			<?php } ?>
			<?php if(!empty($profileSettingsPageURL)){ ?>
			<li class="bm_admin_nav__item">
				<a href="<?php echo esc_url($profileSettingsPageURL); ?>" class="d-flex align-items-center bm_admin_nav__link px-20 <?php if(is_page_template( 'template-edit-profile.php' )){echo "active";}?>">
					<i class="bm_admin_nav__icon fas fa-user-edit mr-3"></i>
					<span class="bm_admin_nav__txt">
						<?php esc_html_e( 'Profile settings', 'betube' ); ?>
					</span>
				</a>
			</li><!--Profile-->
			<?php } ?>			
			<?php if(!empty($itemsPageURL)){ ?>
			<li class="bm_admin_nav__item">
				<a href="<?php echo esc_url($itemsPageURL); ?>" class="d-flex align-items-center bm_admin_nav__link px-20" <?php if(is_page_template( 'template-user-all-video.php' )){echo "active";}?>>
					<i class="bm_admin_nav__icon fas fa-video mr-3"></i>
					<span class="bm_admin_nav__txt">
						<?php esc_html_e( 'My videos', 'betube' ); ?>
					</span>
				</a>
			</li><!--My Ads-->
			<?php } ?>
			<?php if(!empty($favoritePageURL)){ ?>
			<li class="bm_admin_nav__item">
				<a href="<?php echo esc_url($favoritePageURL); ?>" class="d-flex align-items-center bm_admin_nav__link px-20" <?php if(is_page_template( 'template-favorite.php' )){echo "active";}?>>
					<i class="bm_admin_nav__icon fas fa-heart mr-3"></i>
					<span class="bm_admin_nav__txt">
						<?php esc_html_e( 'My favorite videos', 'betube' ); ?>
					</span>
				</a>
			</li><!--Favorite-->
			<?php } ?>
			<li class="bm_admin_nav__item">
				<a href="<?php echo esc_url($followersPageURL); ?>" class="d-flex align-items-center bm_admin_nav__link px-20 <?php if(is_page_template( 'template-followers.php' )){echo "active";}?>">
					<i class="bm_admin_nav__icon fas fa-users mr-3"></i>
					<span class="bm_admin_nav__txt">
						<?php esc_html_e( 'Followers', 'betube' ); ?>
					</span>
				</a>
			</li><!--Followers-->
			<li class="bm_admin_nav__item">
				<a href="<?php echo wp_logout_url(get_option('siteurl')); ?>" class="d-flex align-items-center bm_admin_nav__link px-20">
					<i class="bm_admin_nav__icon fas fa-power-off mr-3"></i>
					<span class="bm_admin_nav__txt">
						<?php esc_html_e( 'Logout', 'betube' ); ?>
					</span>
				</a>
			</li><!--Logout-->
		</ul>
	</div><!--bm_admin_sidebar_sticky-->
</nav>