<?php
global $redux_demo;
$beTubedateFormat = get_option( 'date_format' );
$betube_boxed= 'boxed';
$betube_latest_count = 8;
$betube_img_opti = true;
if(isset($redux_demo)){
	$betube_boxed = $redux_demo['betube_boxed'];
	$betube_img_opti = $redux_demo['betube_img_opti'];
	$betube_latest_count = $redux_demo['betube_latest_count'];
}
$btallVideoURL = betube_get_template_url('template-all-videos.php');
?>
<section class="btp_lt_posts pb-3">
	<div class="container<?php if($betube_boxed == 'wide'){ echo "-fluid"; }?>">
		<div class="row">
			<div class="col-12">
				<div class="btp_section_head d-flex justify-content-between align-items-center mb-4">
					<h4 class="btp_section_head__title mb-0">
						<?php esc_html_e('Latest videos', 'betube');?>
					</h4>
					<div class="btp_section_head__btns">
						<a href="<?php echo esc_url($btallVideoURL);?>" class="text-primary font-weight-bold mr-2 text-decoration-none">
							<?php esc_html_e('View all', 'betube');?>
						</a>
					</div>
				</div><!--btp_section_head-->
			</div><!--col-12-->
		</div><!--row-->
		<div class="btp_lt_posts__container d-grid align-items-center justify-content-start border-bottom pb-4">
			<?php
			$args = array(
				'post_type' => 'post',
				'numberposts' => $betube_latest_count,
				'post_status' => 'publish',
			);
			$latestposts = get_posts($args);
			if($latestposts){
				foreach ( $latestposts as $post ){
					setup_postdata( $post );
					if($betube_img_opti == true){
						$thumbURL = betube_thumb_url($post->ID, 'betube-thumbnail');
					}else{
						$thumbURL = betube_thumb_url($post->ID, 'full');
					}					
					$post_time = get_post_meta($post->ID, 'post_time', true);
					$post_quality = get_post_meta($post->ID, 'post_quality', true);
					?>
					<div class="card btp_post_card btp_post_card_lt border-0 bg-transparent">
						<div class="btp_post_card__top mb-3">
							<?php if(!empty($thumbURL)){ ?>
							<img class="btp_post_card__img" src="<?php echo esc_url($thumbURL);?>" alt="<?php echo get_the_title();?>">
							<?php } ?>
							<div class="card-img-overlay d-flex align-items-end justify-content-end">
								<div class="badge badge-dark rounded-0 mr-1">
									<?php echo esc_html($post_quality);?>
								</div>
								<div class="badge badge-dark rounded-0">
									<?php echo esc_html($post_time);?>
								</div>
							</div>
							<a href="<?php the_permalink(); ?>" class="btp_post_card__img_hover position-absolute d-flex text-decoration-none align-items-center justify-content-center">
								<i class="fas fa-play btp_post_card__img_hover_icon"></i>
							</a>
						</div><!--btp_post_card__top-->
						<h6 class="text-truncate">
							<a href="<?php the_permalink(); ?>" class="btp_post_card__title text-decoration-none">
								<?php echo get_the_title(); ?>
							</a>
						</h6>
						<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>" class="small btp_post_card__author text-decoration-none">
							<span class="btp_post_card__author_text">
							<?php the_author(); ?>
							</span>
							<i class="btp_post_card__author_icon fas fa-check-circle ml-1"></i>
						</a>
						<p class="mb-0">
							<small class="mr-2"><?php echo betube_get_post_views($post->ID); ?>&nbsp;<?php esc_html_e('views', 'betube');?></small>
							<small><?php echo get_the_date($beTubedateFormat, $post->ID); ?></small>
						</p>
					</div><!--card-->
					<?php
				}
			}wp_reset_postdata();
			?>
		</div><!--btp_lt_posts__container-->
	</div><!--container-fluid-->
</section>