<?php
/*
Plugin Name: BetubePro Helper
Plugin URI: http://joinwebs.com/
Description: BetubePro Helper Plugin help you to run betubepro theme.
Version: 1.0.1
Author: JoinWebs
Author URI: http://joinwebs.com/
License: GPLv2
*/
?>
<?php 
	define( 'BHP_VERSION', '1.0' );
	define( 'BHP_REQUIRED_WP_VERSION', '5.0' );
	define( 'BHP_PLUGIN', __FILE__ );
	define( 'BHP_PLUGIN_BASENAME', plugin_basename( BHP_PLUGIN ) );
	define( 'BHP_PLUGIN_NAME', trim( dirname( BHP_PLUGIN_BASENAME ), '/' ) );
	define( 'WPBHP_PLUGIN_DIR', untrailingslashit( dirname( BHP_PLUGIN ) ) );
	define( 'WPBHP_PLUGIN_INCLUDES_DIR', WPBHP_PLUGIN_DIR . '/includes/' );
	define( 'WPBHP_PLUGIN_JS_DIR', plugin_dir_url( __FILE__ ).'js/' );
	/*==========================
	Load Language file
	===========================*/
	if (!function_exists('betube_helper_textdomain')) {
		function betube_helper_textdomain() {
			load_plugin_textdomain( 'betubepro-helper', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
		}
		add_action( 'plugins_loaded', 'betube_helper_textdomain' );
	}
	/*==========================
	BeTubePro: Required files
	===========================*/
	require WPBHP_PLUGIN_INCLUDES_DIR . 'widgets/btp-recent-post-widget.php';
	require WPBHP_PLUGIN_INCLUDES_DIR . 'widgets/btp-most-views-widget.php';
	require WPBHP_PLUGIN_INCLUDES_DIR . 'widgets/btp-blog-categories-widget.php';
	require WPBHP_PLUGIN_INCLUDES_DIR . 'widgets/btp-recent-blogpost-widget.php';
	require WPBHP_PLUGIN_INCLUDES_DIR . 'betubepro-email.php';
	require WPBHP_PLUGIN_INCLUDES_DIR . 'post_meta.php';
	require WPBHP_PLUGIN_INCLUDES_DIR . 'page_meta.php';	
	require WPBHP_PLUGIN_INCLUDES_DIR . 'taxonomy-blog.php';	
	require WPBHP_PLUGIN_INCLUDES_DIR . 'taxonomy-movies.php';	
	require WPBHP_PLUGIN_INCLUDES_DIR . 'video-function.php';	
	require WPBHP_PLUGIN_INCLUDES_DIR . 'betubepro-db.php';	
	require WPBHP_PLUGIN_INCLUDES_DIR . 'betubepro-like.php';	
	require WPBHP_PLUGIN_DIR . '/ocdi/ocdi.php';	
	/*==========================
	beTube: Display Google Ads and HTML Code.
	===========================*/
	if(!function_exists('betube_escape')) { 
		function betube_escape($htmladcode){
			$displayCode = $htmladcode;
			echo $displayCode;
		}
	}
	/*==========================
	Add new fields for author contact
	===========================*/
	if(!function_exists('betube_author_new_contact')) {
		add_filter( 'user_contactmethods', 'betube_author_new_contact');
		function betube_author_new_contact( $contactmethods ) {
			$contactmethods['phone'] = esc_html__( 'Phone', 'betubepro-helper');
			$contactmethods['address'] = esc_html__( 'Address', 'betubepro-helper');
			$contactmethods['user_twitter'] = esc_html__( 'Twitter', 'betubepro-helper');	
			$contactmethods['facebook'] = esc_html__( 'Facebook', 'betubepro-helper');
			$contactmethods['linkedin'] = esc_html__( 'LinkedIn', 'betubepro-helper');
			$contactmethods['pinterest'] = esc_html__( 'Pinterest', 'betubepro-helper');
			$contactmethods['instagram'] = esc_html__( 'Instagram', 'betubepro-helper');
			$contactmethods['youtube'] = esc_html__( 'YouTube', 'betubepro-helper');
			$contactmethods['vimeo'] = esc_html__( 'Vimeo', 'betubepro-helper');
			$contactmethods['location'] = esc_html__( 'Location', 'betubepro-helper');
			return $contactmethods;		
		}
	}
	/*==========================
	BeTube: Removes the demo link and the notice of 
	integrated demo from the redux-framework plugin
	===========================*/
	if ( ! function_exists( 'remove_demo' ) ) {
		function remove_demo() {
			if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
				remove_filter( 'plugin_row_meta', array(
					ReduxFrameworkPlugin::instance(),
					'plugin_metalinks'
				), null, 2 );
				remove_action( 'admin_notices', array( ReduxFrameworkPlugin::instance(), 'admin_notices' ) );
			}
		}
	}
	/*==========================
	BeTube: Automatic YouTube Video Posts
	@url http://wordpress.org/extend/plugins/automatic-youtube-video-posts/
	Remove filter from the_content that added by Automatic YouTube 
	Video Posts plugin, because we have integrated it with our theme.
	===========================*/
	remove_filter('the_content','WP_ayvpp_content');
	/*==========================
	BeTube: Total Post Views of author
	===========================*/
	if ( ! function_exists( 'betube_total_views_byauthor' ) ) {
		function betube_total_views_byauthor($authorID){
			$totalViews = 0;
			$args = array(
				'author'=> $authorID,
			);
			$authorPosts = get_posts($args);
			if($authorPosts){
				foreach ( $authorPosts as $post ){
					setup_postdata( $post );
					$views = absint( get_post_meta( $post->ID, 'wpb_post_views_count', true ) );
					$totalViews += $views;
				}
			}			
			return $totalViews;
		}
	}
	/*==========================
	BetubePro delete thumbnail
	===========================*/
	if (!function_exists('betubepro_delete_thumbnail')) {
		function betubepro_delete_thumbnail($image_path){
			$thumb_deleted = array();
			$thumb_error = array();
			$thumb_regenerate = array();		
			/*==========================
			Hack to find thumbnail
			===========================*/
			$file_info = pathinfo($image_path);
			$file_info['filename'] .= '-';
			$files = array();
			$path = opendir($file_info['dirname']);
			if ( false !== $path ) {
				while (false !== ($thumb = readdir($path))) {
					if (!(strrpos($thumb, $file_info['filename']) === false)) {
						$files[] = $thumb;
					}
				}
				closedir($path);
				sort($files);
			}
			foreach ($files as $thumb) {
				$thumb_fullpath = $file_info['dirname'] . DIRECTORY_SEPARATOR . $thumb;
				$thumb_info = pathinfo($thumb_fullpath);
				$valid_thumb = explode($file_info['filename'], $thumb_info['filename']);
				if ($valid_thumb[0] == "") {
					$dimension_thumb = explode('x', $valid_thumb[1]);
					if (count($dimension_thumb) == 2) {
						if (is_numeric($dimension_thumb[0]) && is_numeric($dimension_thumb[1])) {
							unlink($thumb_fullpath);
							if (!file_exists($thumb_fullpath)) {
								$thumb_deleted[] = sprintf("%sx%s", $dimension_thumb[0], $dimension_thumb[1]);
							} else {
								$thumb_error[] = sprintf("%sx%s", $dimension_thumb[0], $dimension_thumb[1]);
							}
						}
					}
				}
			}
		}
	}
	/*==========================
	BetubePro Dropzon Upload image function
	===========================*/
	if (!function_exists('betubepro_media_upload')) {
		add_action( 'wp_ajax_nopriv_betubepro_media_upload', 'betubepro_media_upload' );
		add_action( 'wp_ajax_betubepro_media_upload', 'betubepro_media_upload' );
		function betubepro_media_upload(){
			/*==========================
			BetubePro upload image
			===========================*/
			if(isset($_FILES)){	
				require_once(ABSPATH . "wp-admin" . '/includes/image.php');
				require_once(ABSPATH . "wp-admin" . '/includes/file.php');
				require_once(ABSPATH . "wp-admin" . '/includes/media.php');
				$files = $_FILES['file'];			
				foreach ($files['name'] as $key => $value) {
					if ($files['name'][$key]) {
						$file = array(
							'name'     => $files['name'][$key],
							'type'     => $files['type'][$key],
							'tmp_name' => $files['tmp_name'][$key],
							'error'    => $files['error'][$key],
							'size'     => $files['size'][$key]
						);
						$_FILES = array("upload" => $file);
						foreach ($_FILES as $file => $array){
							$attachedID = media_handle_upload( $file, 0 );
						}
					}
				}			
				echo $attachedID;			 			
			}
			/*==========================
			BetubePro delete attached image
			===========================*/
			if(isset($_POST['delete_attached'])){
				$attachedID = absint($_POST['delete_attached'] );
				$filepath = get_attached_file($attachedID);
				betubepro_delete_thumbnail($filepath);
				wp_delete_file($filepath, false);
				$status = wp_delete_attachment($attachedID, true);
				if( $status ){
					echo json_encode(
						array(
							'delete'=> true,						
						)
					);
				}else{
					echo json_encode(
						array(
							'delete'=> false,						
						)
					);
				}
			}
			die();
		}
	}
	/*==========================
	BetubePro: Create database table
	===========================*/
	if( ! function_exists('betubepro_helper_activate')){
		function betubepro_helper_activate() {
			global $wpdb;
			$charset_collate = $wpdb->get_charset_collate();
			$sqfollowers = ("CREATE TABLE IF NOT EXISTS {$wpdb->prefix}author_followers(
				id int(11) NOT NULL AUTO_INCREMENT,
				author_id int(11) NOT NULL,		
				follower_id int(11) NOT NULL,
				PRIMARY KEY (id)
			) $charset_collate;");
			$sqlfavorite = ("CREATE TABLE IF NOT EXISTS {$wpdb->prefix}author_favorite(
				id int(11) NOT NULL AUTO_INCREMENT,
				author_id int(11) NOT NULL,		
				post_id int(11) NOT NULL,
				PRIMARY KEY (id)
			) $charset_collate;");
			$wpdb->query($sqfollowers);
			$wpdb->query($sqlfavorite);
		}
		register_activation_hook(__FILE__,'betubepro_helper_activate');
	}
	/*==========================
	Remove admin bar for normal users
	===========================*/
	if (!function_exists('betube_remove_admin_bar')) {
		add_action('after_setup_theme', 'betube_remove_admin_bar');		
		function betube_remove_admin_bar(){
			if (!current_user_can('administrator') && !is_admin()){
			  show_admin_bar(false);
			}
		}
	}
	/*==========================
	 Remove Notification from redux framework
	===========================*/
	if ( ! function_exists( 'betube_remove_redux_links' ) ) { 
		function betube_remove_redux_links() {
			if ( class_exists('ReduxFrameworkPlugin') ) {
				remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
				remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::instance(), 'plugin_metalinks'), null, 2 );
			}
			if ( class_exists('ReduxFrameworkPlugin') ) {
				remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
				remove_action('admin_notices', array( ReduxFrameworkPlugin::instance(), 'admin_notices' ) );    
			}
		}
		add_action('init', 'betube_remove_redux_links');
	}
	/*==========================
	Get Attached ID from attached URL
	===========================*/
	if ( ! function_exists( 'betube_get_attachedfile_id' ) ) { 
		function betube_get_attachedfile_id($fileURL){
			$fileName = basename($fileURL);
			$query_args = array(
				'post_status' => 'any',
				'post_type' => 'attachment',
				'fields' => 'ids',
				'meta_query' => array(
					array(
						'value' => $fileName,
						'compare' => 'LIKE',
					),
				),
			);
			$getPosts = get_posts($query_args);
			return $getPosts[0];
			wp_reset_query();
			wp_reset_postdata();
		}
	}
	if(!function_exists('remove_PMP_filter')) {
		/*==========================
		 beTube : Remove PMP login
		 @since 1.0
		===========================*/
		function remove_PMP_filter() {
			remove_filter( 'login_url', 'pmpro_login_url_filter', 50, 2 );	
		}
		add_action( 'wp_loaded', 'remove_PMP_filter' );
	}