<?php
/*==========================
betubepro: If user have already followed this author then
show unfollow button
===========================*/
if( ! function_exists('betube_authors_follower_check')){
	function betube_authors_follower_check($author_id, $follower_id){
		global $wpdb;
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_followers WHERE follower_id = {$follower_id} AND author_id = %d", $author_id));
		if(empty($results)){ ?>
		<form method="post">
			<input type="hidden" name="author_id" value="<?php echo esc_attr($author_id); ?>"/>
			<input type="hidden" name="follower_id" value="<?php echo esc_attr($follower_id); ?>"/>
			<button type="submit" name="follower" class="btn btn-primary btn-sm">
				<i class="fas fa-user-plus"></i>
				<?php esc_html_e( 'Follow', 'betubepro-helper' ); ?>
			</button>
		</form>
		<?php }else{ ?>
		<form method="post">
			<input type="hidden" name="author_id" value="<?php echo esc_attr($author_id); ?>"/>
			<input type="hidden" name="follower_id" value="<?php echo esc_attr($follower_id); ?>"/>
			<button type="submit" name="unfollow" class="btn btn-primary btn-sm">
				<i class="fas fa-user-minus"></i>
				<?php esc_html_e( 'Unfollow', 'betubepro-helper' ); ?>
			</button>
		</form>
		<?php		
		}
	}
}
if( ! function_exists('betube_authors_favorite_check')){
	function betube_authors_favorite_check($author_id, $post_id) {
		global $wpdb;		
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_favorite WHERE post_id = {$post_id} AND author_id = %d", $author_id));
		if(empty($results)){ ?>
			<form method="post">
				<input type="hidden" name="author_id" value="<?php echo esc_attr($author_id); ?>">
				<input type="hidden" name="post_id" value="<?php echo esc_attr($post_id); ?>">
				<button class="btn btn-sm btn-link btp_single_post_meta_link__btn" name="favorite" value="favorite" type="submit">
					<i class="far fa-heart"></i>
					<span>
					<?php esc_html_e( 'Add to favorite', 'betubepro' ); ?>
					</span>
				</button>
			</form>
		<?php }else{
			$all_fav_permalink = betube_get_template_url('template-favorite.php');
			echo '<a href="'.esc_url($all_fav_permalink).'" class="btn btn-sm btn-link btp_single_post_meta_link__btn"><i class="far fa-heart"></i><span class="ml-1">'.esc_html__('Browse Favorite', 'betubepro').'</span></a>';
		}
	}
}
/*==========================
betubepro: Insert Followers
===========================*/
if( ! function_exists('betube_authors_insert')){
	function betube_authors_insert($author_id, $follower_id) {
		global $wpdb;
		$betubeTable = $wpdb->prefix.'author_followers';
		$wpdb->insert($betubeTable, array('author_id' => $author_id, 'follower_id' => $follower_id), array('%d', '%d'));	
	}
}
/*==========================
betubepro: Un Follow
===========================*/
if( ! function_exists('betube_authors_unfollow')){
	function betube_authors_unfollow($author_id, $follower_id) {
		global $wpdb;
		$betubeTable = $wpdb->prefix.'author_followers';
		$wpdb->delete($betubeTable, array('author_id' => $author_id, 'follower_id' => $follower_id), array('%d', '%d'));	
	}
}
/*==========================
betubepro: Count all followers
===========================*/
if( ! function_exists('betubeFollowerCount')){
	function betubeFollowerCount($authorID) {	
		global $wpdb;	
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_followers WHERE author_id =%d", $authorID));
		$followcounter = count($results);
		return $followcounter;
	}
}
/*==========================
betubepro: Get All Followers IDS
===========================*/
if( ! function_exists('betubeAllFollowers')){
	function betubeAllFollowers($author_id) {
		global $wpdb;
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_followers WHERE author_id =%d", $author_id));
		if(!empty($results)){
			$follower_ids = array();			
			foreach ( $results as $ids ){
				$follower_ids[] .= $ids->follower_id;
			}
			return $follower_ids;
		}
	}
}
/*==========================
betubepro: Get All Following IDS
===========================*/
if( ! function_exists('betubeAllFollowing')){
	function betubeAllFollowing($author_id) {
		global $wpdb;
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_followers WHERE follower_id =%d", $author_id));
		if(!empty($results)){
			$following_ids = array();
			foreach ( $results as $ids ){
				$following_ids[] .= $ids->author_id;
			}
			return $following_ids;
		}
	}
}
/*==========================
betubepro: Count all followers
===========================*/
if( ! function_exists('betubeFavoriteCount')){
	function betubeFavoriteCount($author_id){	
		global $wpdb;	
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_favorite WHERE author_id =%d", $author_id));
		$favoritecounter = count($results);
		return $favoritecounter;
	}
}
/*==========================
betubepro: Insert favorite
===========================*/
if( ! function_exists('betube_favorite_insert')){
	function betube_favorite_insert($author_id, $post_id) {
		global $wpdb;
		$betubeTable = $wpdb->prefix.'author_favorite';
		$wpdb->insert($betubeTable, array('author_id' => $author_id, 'post_id' => $post_id), array('%d', '%d'));
	}
}
/*==========================
betubepro: un favorite
===========================*/
if( ! function_exists('betube_authors_unfavorite')){
	function betube_authors_unfavorite($author_id, $post_id) {
		global $wpdb;	
		$betubeTable = $wpdb->prefix.'author_favorite';
		$wpdb->delete($betubeTable, array('author_id' => $author_id, 'post_id' => $post_id), array('%d', '%d'));
	}
}
if( ! function_exists('betube_authors_favorite_remove')){
	function betube_authors_favorite_remove($author_id, $post_id) {
		global $wpdb;
		$results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->prefix}author_favorite WHERE post_id = {$post_id} AND author_id = %d", $author_id));
		if(!empty($results)){
		?>
		<input type="hidden" name="author_id" value="<?php echo esc_attr($author_id); ?>"/>
		<input type="hidden" name="post_id" value="<?php echo esc_attr($post_id); ?>"/>
		<?php
		}
	}
}
/*==========================
betubepro: all favorite
===========================*/
if( ! function_exists('betube_authors_all_favorite')){
	function betube_authors_all_favorite($author_id) {
		global $wpdb;
		$userID = $author_id;
		$prepared_statement = $wpdb->prepare( "SELECT post_id FROM {$wpdb->prefix}author_favorite WHERE author_id = %s", $userID);
		$postids = $wpdb->get_col( $prepared_statement );
		return $postids;
	}
}