<?php
	global $redux_demo;
	if (  class_exists( 'Redux' ) ) {   
	   $redux_demo = get_option( 'redux_demo' );
	}
	/*==========================
	beTube: Email function.
	===========================*/
	if( ! function_exists('betube_send_email')){
		function betube_send_email($emailTo, $subject, $message, $headers){
			wp_mail( $emailTo, $subject, $message, $headers );
		}
	}
	if( ! function_exists('betube_send_email_withoutheader')){
		function betube_send_email_withoutheader($emailTo, $subject, $message){
			wp_mail( $emailTo, $subject, $message);
		}
	}
	/*==========================
	BeTube: Email Filter
	===========================*/
	if (!function_exists('betube_mail_content_type')) {
		add_filter ("wp_mail_content_type", "betube_mail_content_type");
		function betube_mail_content_type() {
			return "text/html";
		}
	}
	if (!function_exists('betube_blog_name_from_name')) {
		add_filter('wp_mail_from_name', 'betube_blog_name_from_name');
		function betube_blog_name_from_name($name = '') {
			 return get_bloginfo('name');
		}
	}
	if (!function_exists('betube_mail_from')) {
		add_filter ("wp_mail_from", "betube_mail_from");
		function betube_mail_from() {
			$sendemail =  get_bloginfo('admin_email');
			return $sendemail;
		}
	}
	/*==========================
	beTube: Publish Post Email Function
	===========================*/
	$betubePublishPost = $redux_demo['betube-publish-post-notification'];
	if($betubePublishPost == 1){		
		if ( !function_exists( 'betubePostnotify' ) ) {
			add_action("publish_post", "betubePostnotify");
			function betubePostnotify($post_id) {
				$post = get_post($post_id);
				$author = get_userdata($post->post_author);
				if (  class_exists( 'Redux' ) ) {   
				   $redux_demo = get_option( 'redux_demo' );
				}
				$logo = $redux_demo['betube-logo']['url'];
				$author_email = $author->user_email;			
				$email_subject = esc_html__('Your video has been published!', 'betube-helper');
				
				ob_start();
				include(WPBHP_PLUGIN_INCLUDES_DIR. 'email-header.php');
				?>
				<p>
					<?php if (!empty($logo)) { ?>
					<img src="<?php echo esc_url($logo); ?>" alt="Logo" />
					<?php } else { ?>
					<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
					<?php } ?>
				</p>
				<p>
					<?php esc_html_e( 'Hi', 'betube-helper' ); ?>, <?php echo esc_attr($author->display_name); ?>. <?php esc_html_e( 'Congratulations your video has been published', 'betube-helper' ); ?>! 
					<strong>(<?php echo esc_html($post->post_title); ?>)</strong> <?php esc_html_e( 'on', 'betube-helper' ); ?> <?php echo  $blog_title = get_bloginfo('name'); ?>!
				</p>
				<p><?php esc_html_e( 'You have successfully published your video on', 'betube-helper' ); ?> <strong><?php echo  $blog_title = get_bloginfo('name'); ?></strong>, <?php esc_html_e( 'now sit back and let us do the hard work.', 'betube-helper' ); ?></p>
				<p>
					<?php esc_html_e( 'If youd like to take a look', 'betube-helper' ); ?>, <a href="<?php echo get_permalink($post->ID) ?>"><?php esc_html_e( 'Click Here', 'betube-helper' ); ?></a>.
					
				</p>
				
				<?php
				include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-footer.php');
				$message = ob_get_contents();
				ob_end_clean();			
				betube_send_email_withoutheader($author_email, $email_subject, $message);
			}
		}
	}
	/*==========================
	beTube: New User Registration Function Start
	===========================*/	
	if ( !function_exists( 'beTubeUserNotification' ) ) {
		function beTubeUserNotification($email, $password, $username) {	

			$blog_title = get_bloginfo('name');
			$blog_url = esc_url( home_url() ) ;
			$adminEmail =  get_bloginfo('admin_email');
			if (  class_exists( 'Redux' ) ) {   
			   $redux_demo = get_option( 'redux_demo' );
			}
			$logo = $redux_demo['betube-logo']['url'];
			
			$email_subject = "Welcome to ".$blog_title." ".$username."!";
			
			ob_start();	
			include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-header.php');
			
			?>
			<p>
				<?php if (!empty($logo)) { ?>
				<img src="<?php echo esc_url($logo); ?>" alt="<?php echo esc_attr($blog_title);?>" />
				<?php } else { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
				<?php } ?>
			</p>
			<p><?php esc_html_e( 'A very special welcome to you', 'betube-helper' ); ?>, <?php echo esc_attr($username); ?>. <?php esc_html_e( 'Thank you for joining', 'betube-helper' ); ?> <?php echo esc_html($blog_title); ?>!</p>
			<p>
				<?php esc_html_e( 'Your username is', 'betube-helper' ); ?> <strong style="color:orange"><?php echo esc_attr($username); ?></strong> <br>		
			</p>
			<p>
				<?php esc_html_e( 'Your password is', 'betube-helper' ); ?> <strong style="color:orange"><?php echo esc_attr($password); ?></strong> <br>
				<?php esc_html_e( 'Please keep it secret and keep it safe!', 'betube-helper' ); ?>
			</p>
			
			<p>
				<?php esc_html_e( 'We hope you enjoy your stay at', 'betube-helper' ); ?> <a href="<?php echo esc_url($blog_url); ?>"><?php echo esc_html($blog_title); ?></a>. <?php esc_html_e( 'If you have any problems, questions, opinions, praise, comments, suggestions, please feel free to contact us at', 'betube-helper' ); ?> 
				 <strong><?php echo sanitize_email($adminEmail); ?> </strong><?php esc_html_e( 'any time!', 'betube-helper' ); ?>
			</p>
			
			
			<?php
			
			include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-footer.php');
			
			$message = ob_get_contents();
			ob_end_clean();

			betube_send_email_withoutheader($email, $email_subject, $message);
		}
	}
	/*==========================
	beTube: Email to Admin On New User Registration
	===========================*/	
	if ( !function_exists( 'beTubeNewUserNotifiy' ) ) {
		function beTubeNewUserNotifiy($email, $username) {	

			$blog_title = get_bloginfo('name');
			$blog_url = esc_url( home_url() ) ;
			$adminEmail =  get_bloginfo('admin_email');
			if (  class_exists( 'Redux' ) ) {   
			   $redux_demo = get_option( 'redux_demo' );
			}
			$logo = $redux_demo['betube-logo']['url'];
			
			$email_subject = "New User Has been Registered On ".$blog_title;
			
			ob_start();	
			include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-header.php');
			
			?>
			<p>
				<?php if (!empty($logo)) { ?>
				<img src="<?php echo esc_url($logo); ?>" alt="Logo" />
				<?php } else { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
				<?php } ?>
			</p>
			<p><?php esc_html_e( 'Hello, New User has been Registered on', 'betube-helper' ); ?>, <?php echo esc_html($blog_title); ?>. <?php esc_html_e( 'By using this email', 'betube-helper' ); ?> <?php echo sanitize_email($email); ?>!</p>
			<p>
				<?php esc_html_e( 'His User name is:', 'betube-helper' ); ?> <strong style="color:orange"><?php echo esc_attr($username); ?></strong> <br>		
			</p>
			<?php
			
			include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-footer.php');
			
			$message = ob_get_contents();
			ob_end_clean();

			betube_send_email_withoutheader($adminEmail, $email_subject, $message);
		}
	}
	/*==========================
	beTube: Pending Post Status Function
	===========================*/	
	if ( !function_exists( 'betubePendingPost' ) ) {
		function betubePendingPost( $new_status, $old_status, $post ) {
			if ( $new_status == 'private' ) {
				$author = get_userdata($post->post_author);
				if (  class_exists( 'Redux' ) ) {   
				   $redux_demo = get_option( 'redux_demo' );
				}
				$logo = $redux_demo['betube-logo']['url'];
				$adminEmail =  get_bloginfo('admin_email');
				$email_subject = "New Post Has been Posted";
				
				ob_start();
				include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-header.php');
				?>
					<p>
						<?php if (!empty($logo)) { ?>
						<img src="<?php echo esc_url($logo); ?>" alt="Logo" />
						<?php } else { ?>
						<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
						<?php } ?>
					</p>
					<p>
						<?php esc_html_e( 'Hi', 'betube-helper' ); ?>, <?php echo esc_attr($author->display_name); ?>. <?php esc_html_e( 'have post new video', 'betube-helper' ); ?><strong>(<?php echo esc_html($post->post_title); ?>)</strong> <?php esc_html_e( 'on', 'betube-helper' ); ?> <?php echo  $blog_title = get_bloginfo('name'); ?>!
					</p>
					<p><?php esc_html_e( 'Please Approve or Reject this Post from WordPress Dashboard.', 'betube-helper' ); ?></p>
				<?php
				include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-footer.php');
				$message = ob_get_contents();
				ob_end_clean();
				betube_send_email_withoutheader($adminEmail, $email_subject, $message);
			}
		}
		add_action(  'transition_post_status',  'betubePendingPost', 10, 3 );
	}
	/*==========================
	beTube: Email to Post Author
	===========================*/	
	if ( !function_exists( 'contact_us_page_mail' ) ) {
		function contact_us_page_mail($emailTo, $subject, $message, $name, $emailfrom, $headers) {	

			$blog_title = get_bloginfo('name');
			$blog_url = esc_url( home_url() ) ;
			$adminEmail =  get_bloginfo('admin_email');
			if (  class_exists( 'Redux' ) ) {   
			   $redux_demo = get_option( 'redux_demo' );
			}
			$logo = $redux_demo['betube-logo']['url'];
			
			$email_subject = $subject;
			
			ob_start();	
			include(WPBHP_PLUGIN_INCLUDES_DIR . 'email-header.php');
			
			?>
			<p>
				<?php if (!empty($logo)) { ?>
				<img src="<?php echo esc_url($logo); ?>" alt="Logo" />
				<?php } else { ?>
				<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
				<?php } ?>
			</p>
			<p><?php echo esc_html($message); ?></p>
			<p><?php esc_html_e( 'Your have received this email from', 'betube-helper' ); ?></p>
			<p><strong><?php esc_html_e( 'Sender Name', 'betube-helper' ); ?></strong>:&nbsp;<?php echo esc_attr($name);?></p>
			<p>
				<strong><?php esc_html_e( 'Sender Email', 'betube-helper' ); ?></strong>:&nbsp;
				<?php echo sanitize_email($emailfrom);?>
			</p>
			
			<?php
			
			include(WPBHP_PLUGIN_INCLUDES_DIR. 'email-footer.php');
			
			$message = ob_get_contents();
			ob_end_clean();				
			betube_send_email($emailTo, $email_subject, $message, $headers);
		}
	}
