<?php
/*==========================
Load Scripts
===========================*/
if (!function_exists('dealerspro_helper_scripts')) {
	function dealerspro_helper_scripts(){		
		wp_enqueue_script('betubepro-helper', WPBHP_PLUGIN_JS_DIR . 'betubepro-helper.js', 'jquery', '', true);
		wp_localize_script( 'betubepro-helper', 'btVar', array( 
			'ajaxurl' => admin_url( 'admin-ajax.php' ),
			'like' => __( 'Like', 'betube-helper' ),
			'unlike' => __( 'Unlike', 'betube-helper' ),
		));
		/*==========================
		Define Global Variables
		===========================*/
	}
	add_action('wp_enqueue_scripts','dealerspro_helper_scripts');
}
if(!function_exists('betube_process_like')) {
	add_action( 'wp_ajax_nopriv_betube_process_like', 'betube_process_like' );
	add_action( 'wp_ajax_betube_process_like', 'betube_process_like' );
	function betube_process_like() {
		/*==========================
		beTube: Security
		===========================*/
		$nonce = isset( $_REQUEST['nonce'] ) ? sanitize_text_field( $_REQUEST['nonce'] ) : 0;
		if ( !wp_verify_nonce( $nonce, 'btp-likes-nonce' ) ) {
			exit( __( 'Not permitted', 'betubepro-helper' ) );
		}
		/*==========================
		beTube: Test if JavaScript is disabled
		===========================*/
		$disabled = ( isset( $_REQUEST['disabled'] ) && $_REQUEST['disabled'] == true ) ? true : false;
		/*==========================
		beTube: Test if this is a comment
		===========================*/
		$is_comment = ( isset( $_REQUEST['is_comment'] ) && $_REQUEST['is_comment'] == 1 ) ? 1 : 0;
		/*==========================
		beTube: Base variables
		===========================*/
		$post_id = ( isset( $_REQUEST['post_id'] ) && is_numeric( $_REQUEST['post_id'] ) ) ? $_REQUEST['post_id'] : '';
		$result = array();
		$post_users = NULL;
		$like_count = 0;
		if ( $post_id != '' ) {
			$count = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_comment_like_count", true ) : get_post_meta( $post_id, "_post_like_count", true ); // like count
			$count = ( isset( $count ) && is_numeric( $count ) ) ? $count : 0;
			if ( !already_liked( $post_id, $is_comment ) ) { // Like the post
				if ( is_user_logged_in() ) { // user is logged in
					$user_id = get_current_user_id();
					$post_users = post_user_likes( $user_id, $post_id, $is_comment );
					if ( $is_comment == 1 ) {
						// Update User & Comment
						$user_like_count = get_user_option( "_comment_like_count", $user_id );
						$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
						update_user_option( $user_id, "_comment_like_count", ++$user_like_count );
						if ( $post_users ) {
							update_comment_meta( $post_id, "_user_comment_liked", $post_users );
						}
					} else {
						// Update User & Post
						$user_like_count = get_user_option( "_user_like_count", $user_id );
						$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
						update_user_option( $user_id, "_user_like_count", ++$user_like_count );
						if ( $post_users ) {
							update_post_meta( $post_id, "_user_liked", $post_users );
						}
					}
				} else { // user is anonymous
					$user_ip = sl_get_ip();
					$post_users = post_ip_likes( $user_ip, $post_id, $is_comment );
					// Update Post
					if ( $post_users ) {
						if ( $is_comment == 1 ) {
							update_comment_meta( $post_id, "_user_comment_IP", $post_users );
						} else { 
							update_post_meta( $post_id, "_user_IP", $post_users );
						}
					}
				}
				$like_count = ++$count;
				$response['status'] = "liked";
				$response['icon'] = get_liked_icon();
			} else { // Unlike the post
				if ( is_user_logged_in() ) { // user is logged in
					$user_id = get_current_user_id();
					$post_users = post_user_likes( $user_id, $post_id, $is_comment );
					// Update User
					if ( $is_comment == 1 ) {
						$user_like_count = get_user_option( "_comment_like_count", $user_id );
						$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
						if ( $user_like_count > 0 ) {
							update_user_option( $user_id, "_comment_like_count", --$user_like_count );
						}
					} else {
						$user_like_count = get_user_option( "_user_like_count", $user_id );
						$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
						if ( $user_like_count > 0 ) {
							update_user_option( $user_id, '_user_like_count', --$user_like_count );
						}
					}
					// Update Post
					if ( $post_users ) {	
						$uid_key = array_search( $user_id, $post_users );
						unset( $post_users[$uid_key] );
						if ( $is_comment == 1 ) {
							update_comment_meta( $post_id, "_user_comment_liked", $post_users );
						} else { 
							update_post_meta( $post_id, "_user_liked", $post_users );
						}
					}
				} else { // user is anonymous
					$user_ip = sl_get_ip();
					$post_users = post_ip_likes( $user_ip, $post_id, $is_comment );
					// Update Post
					if ( $post_users ) {
						$uip_key = array_search( $user_ip, $post_users );
						unset( $post_users[$uip_key] );
						if ( $is_comment == 1 ) {
							update_comment_meta( $post_id, "_user_comment_IP", $post_users );
						} else { 
							update_post_meta( $post_id, "_user_IP", $post_users );
						}
					}
				}
				$like_count = ( $count > 0 ) ? --$count : 0; // Prevent negative number
				$response['status'] = "unliked";
				$response['icon'] = get_unliked_icon();
			}
			if ( $is_comment == 1 ) {
				update_comment_meta( $post_id, "_comment_like_count", $like_count );
				update_comment_meta( $post_id, "_comment_like_modified", date( 'Y-m-d H:i:s' ) );
			} else { 
				update_post_meta( $post_id, "_post_like_count", $like_count );
				update_post_meta( $post_id, "_post_like_modified", date( 'Y-m-d H:i:s' ) );
			}
			$response['count'] = get_like_count( $like_count );
			//$response['testing'] = $is_comment;
			if ( $disabled == true ) {
				if ( $is_comment == 1 ) {
					wp_redirect( get_permalink( get_the_ID() ) );
					exit();
				} else {
					wp_redirect( get_permalink( $post_id ) );
					exit();
				}
			} else {
				wp_send_json( $response );
			}
		}
	}
}
/*==========================
beTube: Utility to test if the post is already liked
===========================*/
if(!function_exists('already_liked')) {
	function already_liked( $post_id, $is_comment ) {
		$post_users = NULL;
		$user_id = NULL;
		if ( is_user_logged_in() ) { // user is logged in
			$user_id = get_current_user_id();
			$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_liked" ) : get_post_meta( $post_id, "_user_liked" );
			if ( count( $post_meta_users ) != 0 ) {
				$post_users = $post_meta_users[0];
			}
		} else { // user is anonymous
			$user_id = sl_get_ip();
			$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_IP" ) : get_post_meta( $post_id, "_user_IP" ); 
			if ( count( $post_meta_users ) != 0 ) { // meta exists, set up values
				$post_users = $post_meta_users[0];
			}
		}
		if ( is_array( $post_users ) && in_array( $user_id, $post_users ) ) {
			return true;
		} else {
			return false;
		}
	}
}
/*==========================
beTube: Output the like button
===========================*/
if(!function_exists('btp_likes_button')) {
	function btp_likes_button( $post_id, $is_comment = NULL ) {
		$is_comment = ( NULL == $is_comment ) ? 0 : 1;
		$output = '';
		$nonce = wp_create_nonce( 'btp-likes-nonce' ); // Security
		if ( $is_comment == 1 ) {
			$post_id_class = esc_attr( ' sl-comment-button-' . $post_id );
			$comment_class = esc_attr( ' sl-comment' );
			$like_count = get_comment_meta( $post_id, "_comment_like_count", true );
			$like_count = ( isset( $like_count ) && is_numeric( $like_count ) ) ? $like_count : 0;
		} else {
			$post_id_class = esc_attr( ' sl-button-' . $post_id );
			$comment_class = esc_attr( '' );
			$like_count = get_post_meta( $post_id, "_post_like_count", true );
			$like_count = ( isset( $like_count ) && is_numeric( $like_count ) ) ? $like_count : 0;
		}
		$count = get_like_count( $like_count );
		$icon_empty = get_unliked_icon();
		$icon_full = get_liked_icon();
		// Loader
		$loader = '<span class="sl-loader"></span>';
		// Liked/Unliked Variables
		if ( already_liked( $post_id, $is_comment ) ) {
			$class = esc_attr( ' liked' );
			$title = __( 'Unlike', 'betube-helper' );
			$icon = $icon_full;
		} else {
			$class = '';
			$title = __( 'I like this', 'betube-helper' );
			$icon = $icon_empty;
		}
		$output = '<a class="btn btn-sm btn-link btp_single_post_meta_link__btn btp_like" href="' . admin_url( 'admin-ajax.php?action=betube_process_like' . '&nonce=' . $nonce . '&post_id=' . $post_id . '&disabled=true&is_comment=' . $is_comment ) . '" data-nonce="' . $nonce . '" data-post-id="' . $post_id . '" data-iscomment="' . $is_comment . '" title="' . $title . '"><i class="far fa-thumbs-up"></i><span class="btp-count ml-1">'. $count .'</span></a>';
		return $output;
	}
}
/*==========================
beTube: Utility retrieves post meta user likes (user id array)
then adds new user id to retrieved array
===========================*/
if(!function_exists('post_user_likes')) {
	function post_user_likes( $user_id, $post_id, $is_comment ) {
		$post_users = '';
		$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_liked" ) : get_post_meta( $post_id, "_user_liked" );
		if ( count( $post_meta_users ) != 0 ) {
			$post_users = $post_meta_users[0];
		}
		if ( !is_array( $post_users ) ) {
			$post_users = array();
		}
		if ( !in_array( $user_id, $post_users ) ) {
			$post_users['user-' . $user_id] = $user_id;
		}
		return $post_users;
	}
}
/*==========================
beTube: Utility retrieves post meta ip likes (ip array)
then adds new ip to retrieved array
===========================*/
if(!function_exists('post_ip_likes')) {
	function post_ip_likes( $user_ip, $post_id, $is_comment ) {
		$post_users = '';
		$post_meta_users = ( $is_comment == 1 ) ? get_comment_meta( $post_id, "_user_comment_IP" ) : get_post_meta( $post_id, "_user_IP" );
		// Retrieve post information
		if ( count( $post_meta_users ) != 0 ) {
			$post_users = $post_meta_users[0];
		}
		if ( !is_array( $post_users ) ) {
			$post_users = array();
		}
		if ( !in_array( $user_ip, $post_users ) ) {
			$post_users['ip-' . $user_ip] = $user_ip;
		}
		return $post_users;
	}
}
/*==========================
beTube: Utility to retrieve IP address
===========================*/
if(!function_exists('sl_get_ip')) {
	function sl_get_ip() {
		if ( isset( $_SERVER['HTTP_CLIENT_IP'] ) && ! empty( $_SERVER['HTTP_CLIENT_IP'] ) ) {
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		} elseif ( isset( $_SERVER['HTTP_X_FORWARDED_FOR'] ) && ! empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) {
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			$ip = ( isset( $_SERVER['REMOTE_ADDR'] ) ) ? $_SERVER['REMOTE_ADDR'] : '0.0.0.0';
		}
		$ip = filter_var( $ip, FILTER_VALIDATE_IP );
		$ip = ( $ip === false ) ? '0.0.0.0' : $ip;
		return $ip;
	}
}
/*==========================
beTube: Utility returns the button icon for "like" action
===========================*/
if(!function_exists('get_liked_icon')) {
	function get_liked_icon() {
		$icon = '<i class="fa fa-thumbs-o-up"></i>';
		return $icon;
	}
}
/*==========================
beTube: Utility returns the button icon for "unlike" action
===========================*/
if(!function_exists('get_unliked_icon')) {
	function get_unliked_icon() {
		$icon = '<i class="fa fa-thumbs-o-up"></i>';
		return $icon;
	}
}
/*==========================
beTube: Utility function to format the button count,
appending "K" if one thousand or greater,
"M" if one million or greater,
and "B" if one billion or greater (unlikely).
$precision = how many decimal points to display (1.25K)
===========================*/
if(!function_exists('sl_format_count')) {
	function sl_format_count( $number ) {
		$precision = 2;
		if ( $number >= 1000 && $number < 1000000 ) {
			$formatted = number_format( $number/1000, $precision ).'K';
		} else if ( $number >= 1000000 && $number < 1000000000 ) {
			$formatted = number_format( $number/1000000, $precision ).'M';
		} else if ( $number >= 1000000000 ) {
			$formatted = number_format( $number/1000000000, $precision ).'B';
		} else {
			$formatted = $number; // Number is less than 1000
		}
		$formatted = str_replace( '.00', '', $formatted );
		return $formatted;
	}
}
/*==========================
beTube: Utility retrieves count plus count options,
returns appropriate format based on options
===========================*/
if(!function_exists('get_like_count')) {
	function get_like_count( $like_count ) {
		$like_text = __( 'Like', 'betube' );
		if ( is_numeric( $like_count ) && $like_count > 0 ) { 
			$number = sl_format_count( $like_count );
		} else {
			$number = $like_text;
		}
		$count = $number;
		return $count;
	}
}
/*==========================
beTube: Output the dislike button
===========================*/
if(!function_exists('btp_dislike_button')) {
	function btp_dislike_button( $post_id) {		
		$output = '';
		$nonce = wp_create_nonce( 'btp-dislike-nonce' );
		$dislikecount = get_post_meta( $post_id, "_post_dislike_count", true );
		$dislikecount = ( isset( $dislikecount ) && is_numeric( $dislikecount ) ) ? $dislikecount : 0;
		$count = get_dislike_count( $dislikecount );
		// Liked/Unliked Variables
		if ( already_disliked( $post_id) ) {
			$class = esc_attr( ' disliked' );
			$title = __( 'Dislike', 'betube-helper' );
		} else {
			$title = __( 'I dislike this', 'betube-helper' );
		}
		$output = '<a class="btn btn-sm btn-link btp_single_post_meta_link__btn btp_dislike" href="' . admin_url( 'admin-ajax.php?action=betube_process_dislike' . '&nonce=' . $nonce . '&post_id=' . $post_id) . '" data-nonce="' . $nonce . '" data-post-id="' . $post_id . '" title="' . $title . '"><i class="far fa-thumbs-down"></i><span class="btp-count ml-1">'. $count .'</span></a>';
		return $output;
	}
}
/*==========================
beTube: Utility retrieves count plus count options,
returns appropriate format based on options
===========================*/
if(!function_exists('get_dislike_count')) {
	function get_dislike_count( $like_count ) {
		$like_text = __( 'Dislike', 'betube' );
		if ( is_numeric( $like_count ) && $like_count > 0 ) { 
			$number = sl_format_count( $like_count );
		} else {
			$number = $like_text;
		}
		$count = $number;
		return $count;
	}
}
/*==========================
beTube: Utility to test if the post is already liked
===========================*/
if(!function_exists('already_disliked')) {
	function already_disliked( $post_id) {
		$post_users = NULL;
		$user_id = NULL;
		if ( is_user_logged_in() ) { // user is logged in
			$user_id = get_current_user_id();
			$post_meta_users = get_post_meta( $post_id, "_user_disliked" );
			if ( count( $post_meta_users ) != 0 ) {
				$post_users = $post_meta_users[0];
			}
		} else { // user is anonymous
			$user_id = sl_get_ip();
			$post_meta_users = get_post_meta( $post_id, "_user_IP" ); 
			if ( count( $post_meta_users ) != 0 ) { // meta exists, set up values
				$post_users = $post_meta_users[0];
			}
		}
		if ( is_array( $post_users ) && in_array( $user_id, $post_users ) ) {
			return true;
		} else {
			return false;
		}
	}
}
/*==========================
beTube: process dislike
===========================*/
if(!function_exists('betube_process_dislike')) {
	add_action( 'wp_ajax_nopriv_betube_process_dislike', 'betube_process_dislike' );
	add_action( 'wp_ajax_betube_process_dislike', 'betube_process_dislike' );
	function betube_process_dislike() {
		/*==========================
		beTube: Security
		===========================*/
		$nonce = isset( $_REQUEST['nonce'] ) ? sanitize_text_field( $_REQUEST['nonce'] ) : 0;
		if ( !wp_verify_nonce( $nonce, 'btp-dislike-nonce' ) ) {
			exit( __( 'Not permitted', 'betubepro-helper' ) );
		}
		/*==========================
		beTube: Test if JavaScript is disabled
		===========================*/
		$disabled = ( isset( $_REQUEST['disabled'] ) && $_REQUEST['disabled'] == true ) ? true : false;
		/*==========================
		beTube: Base variables
		===========================*/
		$post_id = ( isset( $_REQUEST['post_id'] ) && is_numeric( $_REQUEST['post_id'] ) ) ? $_REQUEST['post_id'] : '';
		$result = array();
		$post_users = NULL;
		$dislike_count = 0;
		if ( $post_id != '' ) {
			$is_comment = false;
			$count = get_post_meta( $post_id, "_post_dislike_count", true ); // like count
			$count = ( isset( $count ) && is_numeric( $count ) ) ? $count : 0;
			if ( !already_disliked( $post_id) ) { // dislike the post
				if ( is_user_logged_in() ) { // user is logged in
					$user_id = get_current_user_id();
					$post_users = post_user_dislikes( $user_id, $post_id);
					
					// Update User & Post
					$user_like_count = get_user_option( "_user_dislike_count", $user_id );
					$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
					update_user_option( $user_id, "_user_dislike_count", ++$user_like_count );
					if ( $post_users ) {
						update_post_meta( $post_id, "_user_disliked", $post_users );
					}
					
				} else { // user is anonymous
					$user_ip = sl_get_ip();
					$post_users = post_ip_likes( $user_ip, $post_id, $is_comment );
					// Update Post
					if ( $post_users ) {
						update_post_meta( $post_id, "_user_IP", $post_users );
					}
				}
				$dislike_count = ++$count;
				$response['status'] = "disliked";
			} else { // Unlike the post
				if ( is_user_logged_in() ) { // user is logged in
					$user_id = get_current_user_id();
					$post_users = post_user_dislikes( $user_id, $post_id);
					// Update User
					$user_like_count = get_user_option( "_user_dislike_count", $user_id );
					$user_like_count =  ( isset( $user_like_count ) && is_numeric( $user_like_count ) ) ? $user_like_count : 0;
					if ( $user_like_count > 0 ) {
						update_user_option( $user_id, '_user_dislike_count', --$user_like_count );
					}					
					// Update Post
					if ( $post_users ) {	
						$uid_key = array_search( $user_id, $post_users );
						unset( $post_users[$uid_key] );
						update_post_meta( $post_id, "_user_disliked", $post_users );
						
					}
				} else { // user is anonymous
					$user_ip = sl_get_ip();
					$post_users = post_ip_likes( $user_ip, $post_id, $is_comment );
					// Update Post
					if ( $post_users ) {
						$uip_key = array_search( $user_ip, $post_users );
						unset( $post_users[$uip_key] );
						update_post_meta( $post_id, "_user_IP", $post_users );
						
					}
				}
				$dislike_count = ( $count > 0 ) ? --$count : 0; // Prevent negative number
				$response['status'] = "undislike";
			}			 
			update_post_meta( $post_id, "_post_dislike_count", $dislike_count );
			update_post_meta( $post_id, "_post_dislike_modified", date( 'Y-m-d H:i:s' ) );
			$response['count'] = get_dislike_count( $dislike_count );
			if ( $disabled == true ) {
				wp_redirect( get_permalink( $post_id ) );
				exit();
				
			} else {
				wp_send_json( $response );
			}
		}
	}
}
/*==========================
beTube: Utility retrieves post meta user likes (user id array)
then adds new user id to retrieved array
===========================*/
if(!function_exists('post_user_dislikes')) {
	function post_user_dislikes( $user_id, $post_id) {
		$post_users = '';
		$post_meta_users = get_post_meta( $post_id, "_user_disliked" );
		if ( count( $post_meta_users ) != 0 ) {
			$post_users = $post_meta_users[0];
		}
		if ( !is_array( $post_users ) ) {
			$post_users = array();
		}
		if ( !in_array( $user_id, $post_users ) ) {
			$post_users['user-' . $user_id] = $user_id;
		}
		return $post_users;
	}
}