<?php
	/*==========================
	Make it HD
	===========================*/
	if( ! function_exists('hd_post')){
		add_action( 'add_meta_boxes', 'hd_post' );
		function hd_post() {
			add_meta_box( 
				'hd_post',
				esc_html__( 'Is this HD post?', 'betubepro' ),
				'betubeHDPost',
				'post',
				'side',
				'high'
			);
		}	
		function betubeHDPost() {
			global $post;
			wp_nonce_field( 'hd_post_check_box', 'hd_post_check_box_nonce' );
			$hd_post = get_post_meta($post->ID, 'hd_post', true);
			echo '<span class="text overall" style="margin-right: 20px;">'.esc_html__('Check This for HD:', 'betube').'</span>';
			$checked = get_post_meta($post->ID, 'hd_post', true) == '1' ? "checked" : "";		
			echo '<input type="checkbox" name="hd_post" id="hd_post" value="1" '. $checked .'/>';
		}	
		add_action( 'save_post', 'hd_save_post_meta' );
		function hd_save_post_meta($post_id) {
			global $post;
			if ( ! isset( $_POST['hd_post_check_box_nonce'] ) ) {
				return;
			}
			if ( ! wp_verify_nonce( $_POST['hd_post_check_box_nonce'], 'hd_post_check_box' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}
			if ( !current_user_can( 'edit_post', $post_id )){
				return $post_id;
			}				
			$chk = ( isset( $_POST['hd_post'] ) && $_POST['hd_post'] ) ? '1' : '2';
			update_post_meta( $post_id, 'hd_post', $chk );
			if(isset($_POST['hd_post'])){
				$events_meta['hd_post'] = $_POST['hd_post'];
				foreach ($events_meta as $key => $value) {
					if( $post->post_type == 'post' ){
						return;
					}
					$value = implode(',', (array)$value);
					if(get_post_meta($post->ID, $key, FALSE)) {
						update_post_meta($post->ID, $key, $value);
					} else {
						add_post_meta($post->ID, $key, $value);
					}
					if(!$value){
						delete_post_meta($post->ID, $key);
					}
				}
			}
		}
	}
	/*==========================
	End Make it HD
	===========================*/
	/*==========================
	Make it Featured
	===========================*/
	if( ! function_exists('featured_post')){	
		add_action( 'add_meta_boxes', 'featured_post' );
		function featured_post() {
			add_meta_box( 
				'featured_post',
				esc_html__( 'Make it Featured post', 'betube' ),
				'classieraFeaturedPost',
				'post',
				'side',
				'high'
			);
		}		
		function classieraFeaturedPost() {
			global $post;
			wp_nonce_field( 'betube_featured_check_box', 'betube_featured_check_box_nonce' );
			$featured_post = get_post_meta($post->ID, 'featured_post', true);
			echo '<span class="text overall" style="margin-right: 20px;">'.esc_html__('Is this a Featured post:', 'betubepro-helper').'</span>';
			$checked = get_post_meta($post->ID, 'featured_post', true) == '1' ? "checked" : "";
			echo '<input type="checkbox" name="featured_post" id="featured_post" value="1" '. $checked .'/>';
		}		
		add_action( 'save_post', 'wpcrown_save_post_meta' );
		function wpcrown_save_post_meta($post_id) {
			global $post;
			if ( ! isset( $_POST['betube_featured_check_box_nonce'] ) ) {
				return;
			}
			if ( ! wp_verify_nonce( $_POST['betube_featured_check_box_nonce'], 'betube_featured_check_box' ) ) {
				return;
			}			
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}				
			if ( !current_user_can( 'edit_post', $post_id )){
				return $post_id;
			}			
			$chk = ( isset( $_POST['featured_post'] ) && $_POST['featured_post'] ) ? '1' : '2';
			update_post_meta( $post_id, 'featured_post', $chk );
			if(isset($_POST['featured_post'])){
				$events_meta['featured_post'] = $_POST['featured_post'];
				foreach ($events_meta as $key => $value) {
					if( $post->post_type == 'post' ){
						return;
					}
					$value = implode(',', (array)$value);
					if(get_post_meta($post->ID, $key, FALSE)) {
						update_post_meta($post->ID, $key, $value);
					} else {
						add_post_meta($post->ID, $key, $value);
					}
					if(!$value){
						delete_post_meta($post->ID, $key);
					}
				}
			}
		}
	}
	/*==========================
	Post Time box
	===========================*/
	if( ! function_exists('post_time')){	
		add_action( 'add_meta_boxes', 'post_time' );
		function post_time() {
			add_meta_box( 
				'post_time',
				esc_html__( 'Duration', 'betube' ),
				'post_time_content',
				'post',
				'normal',
				'high'
			);
		}
		function post_time_content( $post ) {
			wp_nonce_field( 'myplugin_meta_boxeee', 'myplugin_meta_box_nonceeee' );
			$post_time = get_post_meta( $post->ID, 'post_time', true );

			echo '<label for="post_time"></label>';
			echo '<input type="text" id="post_time" name="post_time" placeholder="Enter Time here" value="';
			echo $post_time; 
			echo '">';
			
		}
		add_action( 'save_post', 'post_time_save' );
		function post_time_save( $post_id ) {		

			global $post_time;
			
			if ( ! isset( $_POST['myplugin_meta_box_nonceeee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['myplugin_meta_box_nonceeee'], 'myplugin_meta_boxeee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["post_time"]))
			$post_time = $_POST['post_time'];
			update_post_meta( $post_id, 'post_time', $post_time );

		}
	}
	/*==========================
	Post Quality box
	===========================*/
	if( ! function_exists('post_quality')){
		add_action( 'add_meta_boxes', 'post_quality' );
		function post_quality() {
			add_meta_box( 
				'post_quality',
				esc_html__( 'Quality', 'betube' ),
				'post_quality_content',
				'post',
				'normal',
				'high'
			);
		}
		function post_quality_content( $post ) {
			wp_nonce_field( 'myplugin_meta_boxee', 'myplugin_meta_box_nonceee' );
			$post_quality = get_post_meta( $post->ID, 'post_quality', true );

			echo '<label for="post_quality"></label>';
			echo '<input type="text" id="post_quality" name="post_quality" placeholder="HD, 720p, 320p" value="';
			echo $post_quality; 
			echo '">';
			
		}
		add_action( 'save_post', 'post_quality_save' );
		function post_quality_save( $post_id ) {				
			global $post_quality;
			if ( ! isset( $_POST['myplugin_meta_box_nonceee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['myplugin_meta_box_nonceee'], 'myplugin_meta_boxee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["post_quality"]))
			$post_quality = $_POST['post_quality'];
			update_post_meta( $post_id, 'post_quality', $post_quality );
		}
	}
	/*==========================
	Post video link
	===========================*/	
	if( ! function_exists('video_link')){	
		add_action( 'add_meta_boxes', 'video_link' );
		function video_link() {
			add_meta_box( 
				'video_link',
				esc_html__( 'Video Link', 'betube' ),
				'video_link_content',
				'post',
				'normal',
				'high'
			);
		}
		function video_link_content( $post ) {
			wp_nonce_field( 'myplugin_meta_boxeee', 'myplugin_meta_box_nonceeee' );
			$video_link = get_post_meta( $post->ID, 'jtheme_video_url', true );
			
			echo '<textarea name="video_link" id="video_link" cols="94">'.$video_link.'</textarea>';		
		}
		add_action( 'save_post', 'video_link_save' );
		function video_link_save( $post_id ) {
			global $video_link;
			
			if ( ! isset( $_POST['myplugin_meta_box_nonceeee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['myplugin_meta_box_nonceeee'], 'myplugin_meta_boxeee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["video_link"]))
			$video_link = $_POST['video_link'];
			update_post_meta( $post_id, 'jtheme_video_url', $video_link );

		}
	}
	/*End Post video link */	
	/*==========================
	Post Embed Code
	===========================*/	
	if( ! function_exists('jtheme_video_code')){	
		add_action( 'add_meta_boxes', 'jtheme_video_code' );
		function jtheme_video_code() {
			add_meta_box( 
				'jtheme_video_code',
				esc_html__( 'Video Code', 'betube' ),
				'jtheme_video_code_content',
				'post',
				'normal',
				'high'
			);
		}
		function jtheme_video_code_content( $post ) {
			wp_nonce_field( 'myplugin_meta_boxeee', 'myplugin_meta_box_nonceeee' );
			$jtheme_video_code = get_post_meta( $post->ID, 'jtheme_video_code', true );
			
			echo '<textarea name="jtheme_video_code" id="jtheme_video_code" cols="94">'.$jtheme_video_code.'</textarea>';		
		}
		add_action( 'save_post', 'jtheme_video_code_save' );
		function jtheme_video_code_save( $post_id ) {		

			global $jtheme_video_code;
			
			if ( ! isset( $_POST['myplugin_meta_box_nonceeee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['myplugin_meta_box_nonceeee'], 'myplugin_meta_boxeee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["jtheme_video_code"]))
			$jtheme_video_code = $_POST['jtheme_video_code'];
			update_post_meta( $post_id, 'jtheme_video_code', $jtheme_video_code );

		}
	}
	/*==========================
	Custom Video Link
	===========================*/
	if( ! function_exists('jtheme_video_file')){	
		add_action( 'add_meta_boxes', 'jtheme_video_file' );
		function jtheme_video_file() {
			add_meta_box( 
				'jtheme_video_file',
				esc_html__( 'Video File URL', 'betube' ),
				'jtheme_video_file_content',
				'post',
				'normal',
				'high'
			);
		}
		function jtheme_video_file_content( $post ) {
			wp_nonce_field( 'myplugin_meta_boxeee', 'myplugin_meta_box_nonceeee' );
			$jtheme_video_file = get_post_meta( $post->ID, 'jtheme_video_file', true );		
			echo '<textarea name="jtheme_video_file" id="jtheme_video_file" cols="94">'.$jtheme_video_file.'</textarea>';		
		}
		add_action( 'save_post', 'jtheme_video_file_save' );
		function jtheme_video_file_save( $post_id ) {		

			global $jtheme_video_file;
			
			if ( ! isset( $_POST['myplugin_meta_box_nonceeee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['myplugin_meta_box_nonceeee'], 'myplugin_meta_boxeee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["jtheme_video_file"]))
			$jtheme_video_file = $_POST['jtheme_video_file'];
			update_post_meta( $post_id, 'jtheme_video_file', $jtheme_video_file );

		}
	}
	/*==========================
	PostViews
	===========================*/
	if( ! function_exists('betube_fake_views')){	
		add_action( 'add_meta_boxes', 'betube_fake_views' );
		function betube_fake_views() {
			add_meta_box( 
				'betube_fake_views',
				esc_html__( 'Fake Views', 'betube' ),
				'betube_fake_views_content',
				'post',
				'normal',
				'high'
			);
		}
		function betube_fake_views_content( $post ) {
			wp_nonce_field( 'fakeview_meta_boxeee', 'fakeviews_meta_box_nonceeee' );
			$betubeFakeViews = get_post_meta( $post->ID, 'wpb_post_views_count', true );
			
			echo '<label for="post_fake_views"></label>';
			echo '<input type="text" id="post_fake_views" name="wpb_post_views_count" value="';
			echo $betubeFakeViews; 
			echo '">';			
		}
		add_action( 'save_post', 'betube_fake_views_save' );
		function betube_fake_views_save( $post_id ) {		

			global $betubeFakeViews;
			
			if ( ! isset( $_POST['fakeviews_meta_box_nonceeee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['fakeviews_meta_box_nonceeee'], 'fakeview_meta_boxeee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["wpb_post_views_count"]))
			$betubeFakeViews = $_POST['wpb_post_views_count'];
			update_post_meta( $post_id, 'wpb_post_views_count', $betubeFakeViews );

		}	
	}	
	/*==========================
	PostLikes
	===========================*/
	if( ! function_exists('betube_fake_likes')){
		add_action( 'add_meta_boxes', 'betube_fake_likes' );
		function betube_fake_likes() {
			add_meta_box( 
				'betube_fake_likes',
				esc_html__( 'Fake Likes', 'betube' ),
				'betube_fake_likes_content',
				'post',
				'normal',
				'high'
			);
		}
		function betube_fake_likes_content( $post ) {
			wp_nonce_field( 'fakelikes_meta_boxeee', 'fakelikes_meta_box_nonceeee' );
			$betubeFakeLikes = get_post_meta( $post->ID, '_post_like_count', true );
			
			echo '<label for="post_fake_likes"></label>';
			echo '<input type="text" id="post_fake_likes" name="betube_like_count" value="';
			echo $betubeFakeLikes; 
			echo '">';			
		}
		add_action( 'save_post', 'betube_fake_likes_save' );
		function betube_fake_likes_save( $post_id ) {		

			global $betubeFakeLikes;
			
			if ( ! isset( $_POST['fakelikes_meta_box_nonceeee'] ) ) {
			return;
			}
			if ( ! wp_verify_nonce( $_POST['fakelikes_meta_box_nonceeee'], 'fakelikes_meta_boxeee' ) ) {
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}

			if(isset($_POST["betube_like_count"]))
			$betubeFakeLikes = $_POST['betube_like_count'];
			update_post_meta( $post_id, '_post_like_count', $betubeFakeLikes );

		}	
	}
	/*==========================
	BeTube: Adding Custom Columns in manage post table
	===========================*/
	if( ! function_exists('betube_views_post_column')){
		add_filter('manage_post_posts_columns', 'betube_views_post_column');
		function betube_views_post_column( $defaults ) {
			$defaults['wpb_post_views_count']  = esc_html__( 'Views', 'betube' );
			return $defaults;
		}
		add_action( 'manage_post_posts_custom_column', 'btp_post_table_content', 10, 2 );
		function btp_post_table_content( $column_name, $post_id ) {
			if ($column_name == 'wpb_post_views_count') {
				echo get_post_meta( $post_id, 'wpb_post_views_count', true );
			}
		}		
	}
?>