<?php 
/*==========================
 Register Blog Post Type
===========================*/
if (!function_exists('betube_blogs_category')) {
	function betube_blogs_category() {
		$labels = array(		
			'name' => _x('Blogs Categories', 'taxonomy general name', 'betubepro-helper'),
			'singular_name'     => _x( 'Blogs Category', 'betubepro-helper' ),
			'search_items'      => __( 'Search Blogs Categories', 'betubepro-helper'),
			'all_items'         => __( 'All Blogs Categories', 'betubepro-helper'),
			'parent_item'       => __( 'Parent Blogs Category', 'betubepro-helper'),
			'parent_item_colon' => __( 'Parent Blogs Category:', 'betubepro-helper'),
			'edit_item'         => __( 'Edit Blogs Category', 'betubepro-helper'), 
			'update_item'       => __( 'Update Blogs Category', 'betubepro-helper'),
			'add_new_item'      => __( 'Add New Blogs Category', 'betubepro-helper'),
			'new_item_name'     => __( 'New Blogs Category', 'betubepro-helper'),
			'menu_name'         => __( 'Blogs Categories', 'betubepro-helper'),
		);
		$args = array(
			'labels' => $labels,
			'hierarchical' => true,
			'show_in_rest' => true,
		);
		register_taxonomy( 'blog_category', 'blog', $args );
		unset( $args );
		unset( $labels );
	}
	add_action( 'init', 'betube_blogs_category', 0 );
}
if (!function_exists('betube_post_type_blogs')) {
	function betube_post_type_blogs(){
		$labels = array(
			'name' => _x('Blogs', 'post type general name', 'betubepro-helper'),
			'singular_name' => _x('Blogs', 'post type singular name', 'betubepro-helper'),
			'add_new' => _x('Add New Blog Post', 'book', 'betubepro-helper'),
			'add_new_item' => __('Add New Blog Post', 'betubepro-helper'),
			'edit_item' => __('Edit Blog Post', 'betubepro-helper'),
			'new_item' => __('New Blog Post', 'betubepro-helper'),
			'view_item' => __('View Blog Post', 'betubepro-helper'),
			'search_items' => __('Search Blog Post', 'betubepro-helper'),
			'not_found' =>  __('No Blog Post found', 'betubepro-helper'),
			'not_found_in_trash' => __('No Blog Post found in Trash', 'betubepro-helper'), 
			'parent_item_colon' => ''
		);		
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false, 
			'show_ui' => true, 
			'query_var' => true,
			'show_in_rest' => true,
			'menu_position' => null,
			'hierarchical' => false,
			'rewrite' =>  array('slug' => esc_html__('blog', 'betubepro-helper'), 'with_front' => true ),
			'has_archive' => true,
			'capability_type' => 'post',		
			'supports' => array('title','editor', 'thumbnail', 'comments', 'author'),
			'taxonomies' => array('post_tag', 'blog_category'),
			'menu_icon' => 'dashicons-admin-post'
		);		
		register_post_type('blog', $args ); 
		flush_rewrite_rules(true);	
		unset( $args );
		unset( $labels );
	} 
	add_action('init', 'betube_post_type_blogs');
}