<?php 
/*==========================
 Register Movies Post Type
===========================*/
if (!function_exists('betube_movies_category')) {
	function betube_movies_category() {
		$labels = array(		
			'name' => _x('Movies Categories', 'taxonomy general name', 'betubepro-helper'),
			'singular_name'     => _x( 'Movies Category', 'betubepro-helper' ),
			'search_items'      => __( 'Search Movies Categories', 'betubepro-helper' ),
			'all_items'         => __( 'All Movies Categories', 'betubepro-helper'),
			'parent_item'       => __( 'Parent Movies Category', 'betubepro-helper'),
			'parent_item_colon' => __( 'Parent Movies Category:', 'betubepro-helper'),
			'edit_item'         => __( 'Edit Movies Category', 'betubepro-helper'), 
			'update_item'       => __( 'Update Movies Category', 'betubepro-helper'),
			'add_new_item'      => __( 'Add New Movies Category', 'betubepro-helper'),
			'new_item_name'     => __( 'New Movies Category', 'betubepro-helper'),
			'menu_name'         => __( 'Movies Categories', 'betubepro-helper'),
		);
		$args = array(
			'labels' => $labels,
			'hierarchical' => true,
			'show_in_rest' => true,
		);
		register_taxonomy( 'movies_category', 'movies', $args );
		unset( $args );
		unset( $labels );
	}
	add_action( 'init', 'betube_movies_category', 0 );
}
if (!function_exists('betube_post_type_movies')) {
	function betube_post_type_movies() {
		$labels = array(
			'name' => _x('Movies', 'post type general name', 'betubepro-helper'),
			'singular_name' => _x('Movies', 'post type singular name', 'betubepro-helper'),
			'add_new' => _x('Add New Movie', 'book', 'betubepro-helper'),
			'add_new_item' => __('Add New Movie', 'betubepro-helper'),
			'edit_item' => __('Edit Movie', 'betubepro-helper'),
			'new_item' => __('New Movie', 'betubepro-helper'),
			'view_item' => __('View Movie', 'betubepro-helper'),
			'search_items' => __('Search Movie', 'betubepro-helper'),
			'not_found' =>  __('No Movie found', 'betubepro-helper'),
			'not_found_in_trash' => __('No Movie found in Trash', 'betubepro-helper'), 
			'parent_item_colon' => ''
		);
		$args = array(
			'labels' => $labels,
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false, 
			'show_ui' => true, 
			'query_var' => true,
			'show_in_rest' => true,
			'menu_position' => null,
			'hierarchical' => false,
			'rewrite' =>  array('slug' => esc_html__('movies', 'betubepro-helper'), 'with_front' => true ),
			'has_archive' => true,
			'capability_type' => 'post',		
			'supports' => array('title','editor', 'thumbnail', 'comments', 'author', 'custom-fields'),
			'taxonomies' => array('post_tag', 'movies_categories'),
			'menu_icon' => 'dashicons-format-video'
		);
		register_post_type('movies', $args ); 
		flush_rewrite_rules(true);
		unset( $args );
		unset( $labels );
	}
	add_action('init', 'betube_post_type_movies');
}
/*==========================
Movies Published year
===========================*/
if (!function_exists('btp_published_movies_year')) {
	add_action( 'add_meta_boxes', 'btp_published_movies_year' );
	function btp_published_movies_year() {
		add_meta_box( 
			'movies_year',
			esc_html__( 'Published year ', 'betubepro-helper' ),
			'btp_published_movies_year_content',
			'movies',
			'side',        
			'high'
		);
	}
	function btp_published_movies_year_content( $post ) {
		wp_nonce_field( 'movies_year_meta_box', 'movies_year_meta_box_nonce' );
		$movies_year = get_post_meta( $post->ID, 'movies_year', true );

		echo '<label for="movies_year"></label>';
		echo '<input type="text" id="movies_year" name="movies_year" placeholder="'.esc_html__( 'Published year', 'betubepro-helper' ).'" value="';
		echo esc_attr($movies_year); 
		echo '">';	
	}
	add_action( 'save_post', 'btp_published_movies_year_save' );
	function btp_published_movies_year_save( $post_id ) {
		global $movies_year;
		if ( ! isset( $_POST['movies_year_meta_box_nonce'] ) ) {
			return;
		}
		if ( ! wp_verify_nonce( $_POST['movies_year_meta_box_nonce'], 'movies_year_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}
		if(isset($_POST["movies_year"])){
			$movies_year = $_POST['movies_year'];
			update_post_meta( $post_id, 'movies_year', $movies_year );
		}
	}
}
/*==========================
Post Mileage Post meta
===========================*/
if (!function_exists('btp_movies_duration')) {
	add_action( 'add_meta_boxes', 'btp_movies_duration' );
	function btp_movies_duration() {
		add_meta_box( 
			'movies_duration',
			esc_html__( 'Duration', 'dealerspro-helper' ),
			'movies_duration_content',
			'movies',
			'side',
			'high'
		);
	}
	function movies_duration_content( $post ) {
		wp_nonce_field( 'movies_duration_meta_box', 'movies_duration_meta_box_nonce' );
		$movies_duration = get_post_meta( $post->ID, 'movies_duration', true );

		echo '<label for="movies_duration"></label>';
		echo '<input type="text" id="movies_duration" name="movies_duration" placeholder="'.esc_html__( 'Duration', 'dealerspro-helper' ).'" value="';
		echo esc_attr($movies_duration); 
		echo '">';	
	}
	add_action( 'save_post', 'movies_duration_save' );
	function movies_duration_save( $post_id ) {
		global $movies_duration;	
		if ( ! isset( $_POST['movies_duration_meta_box_nonce'] ) ) {
			return;
		}
		if ( ! wp_verify_nonce( $_POST['movies_duration_meta_box_nonce'], 'movies_duration_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["movies_duration"])){
			$movies_duration = $_POST['movies_duration'];
			update_post_meta( $post_id, 'movies_duration', $movies_duration );
		}
	}
}