<?php
class btp_blog_cats_widget extends WP_Widget{
	/*==========================
	Sets up the widgets name
	===========================*/
	public function __construct() {
		$widget_ops = array( 
			'classname' => 'widget_blog_categories',
			'description' => esc_html__( 'BeTube blog categories', 'betubepro-helper' ),
		);
		parent::__construct( 'btp_blog_categories_widget', esc_html__( 'BeTube blog categories', 'betubepro-helper' ), $widget_ops );
	}
	/*==========================
	Outputs the content of the widget
	@param array $args
	@param array $instance
	===========================*/
	public function widget( $args, $instance ) {
		echo $args['before_widget'];
		if ( ! empty( $instance['title'] ) ) {
			echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'];
		}
		$argscats = array(
			'parent' => 0,
			'orderby' => 'name',
			'order' => 'ASC',
			'pad_counts' => true,
			'hide_empty' => false,
		);
		$categories = get_terms('blog_category',$argscats);
		?><ul><?php
		foreach ($categories as $category) {
			$term_id = $category->term_id;
			?>
			<li class="cat-item cat-item-<?php echo esc_attr($term_id);?>">
				<a href="<?php echo esc_url(get_category_link( $category->term_id ))?>">
					<?php echo esc_html($category->name) ?>
				</a>
			</li>
			<?php
		}
		?></ul><?php
		echo $args['after_widget'];
	}
	/*==========================
	Outputs the options form on admin
	@param array $instance The widget options
	===========================*/
	public function form( $instance ) {
		$title = ! empty( $instance['title'] ) ? $instance['title'] : esc_html__( 'BeTube Blog categories', 'betubepro-helper' );
		?>
		<!--Title Field-->
		<p>
			<label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>">
				<?php esc_attr_e( 'Title:', 'betubepro-helper' ); ?>
			</label> 
			<input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
		</p>
		<?php
	}
	/*==========================
	Processing widget options on save
	@param array $new_instance The new options
	@param array $old_instance The previous options
	@return array
	===========================*/
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? sanitize_text_field( $new_instance['title'] ) : '';		
		return $instance;
	}
}
/*==========================
Register Recent post widget
using widgets_init hook
===========================*/
add_action( 'widgets_init', function(){
	register_widget( 'btp_blog_cats_widget' );
});
?>