<?php
/*==========================
beTube : One Click Demo Importer
===========================*/
if ( ! function_exists( 'betubepro_demo_importer' ) ){
	function betubepro_demo_importer(){
		return array(
			array(
				'import_file_name' => esc_html__( 'BetubePro Dark', 'betubepro' ),
				'local_import_file' => trailingslashit( plugin_dir_path( __FILE__ ) ) . 'btpdark.xml',
				'local_import_widget_file' => trailingslashit( plugin_dir_path( __FILE__ ) ) . 'btpdarkwidgets.json',				
				'local_import_redux' => array(
					array(
						'file_path'   => trailingslashit( plugin_dir_path( __FILE__ ) ) . 'btpdark.json',
						'option_name' => 'redux_demo',
					),
				),
				'import_preview_image_url' => 'http://beetube.me/docs/importer/btpdark.webp',
				'import_notice' => esc_html__( 'After you import this demo, you will have to setup the slider & categories thumbnail separately.', 'betubepro' ),
				'preview_url' => 'http://demo.beetube.me/pro/',
			),
			array(
				'import_file_name' => esc_html__( 'BetubePro Light', 'betubepro' ),
				'local_import_file' => trailingslashit( plugin_dir_path( __FILE__ ) ) . 'btplight.xml',
				'local_import_widget_file' => trailingslashit( plugin_dir_path( __FILE__ ) ) . 'btplightwidgets.json',
				'local_import_redux' => array(
					array(
						'file_path'   => trailingslashit( plugin_dir_path( __FILE__ ) ) . 'btplight.json',
						'option_name' => 'redux_demo',
					),
				),
				'import_preview_image_url' => 'http://beetube.me/docs/importer/btplight.webp',
				'import_notice' => esc_html__( 'After you import this demo, you will have to setup the slider & categories thumbnail separately.', 'betubepro' ),
				'preview_url' => 'http://demo.beetube.me/pro/light',
			),
			
		);
	}
	add_filter( 'pt-ocdi/import_files', 'betubepro_demo_importer' );
}
/*==========================
beTube : After Import demo 
We will setup Menu
===========================*/
if ( ! function_exists( 'betubepro_after_import_setup' ) ){
	function betubepro_after_import_setup(){
		$primary = get_term_by( 'name', 'Primary', 'nav_menu' );
		set_theme_mod( 'nav_menu_locations', array(			
				'primary' => $primary->term_id,
				'mobile' => $primary->term_id,
			)
		);
		$front_page_id = get_page_by_title( 'Home' );
		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
	}
	add_action( 'pt-ocdi/after_import', 'betubepro_after_import_setup' );
}
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );